2018-03-11  6.9.9-38 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-38, GIT revision 13009:9f53c16ef:20180311.

2018-03-09  6.9.9-38 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-03-04  6.9.9-37 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-37, GIT revision 12940:93dff0b31:20180304.

2018-03-04  6.9.9-37 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow, memory
    exceeded, and timeouts (credit to OSS Fuzz).

2018-02-25  6.9.9-36 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-36, GIT revision 12898:fad4ecb37:20180225.

2018-02-19  6.9.9-36 Cristy  <quetzlzacatenango@image...>
  * Do not refer to page in OptimizeLayerFrames (reference
    https://github.com/ImageMagick/ImageMagick/pull/987).
  * PerlMagick unit tests pass again.
  * Fixed numerous use of uninitialized values, integer overflow,
    memory exceeded, and timeouts (credit to OSS Fuzz).

2018-02-18  6.9.9-35 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-35, GIT revision 12843:46d8215af:20180218.

2018-02-09  6.9.9-35 Dirk Lemstra <dirk@lem.....org>
  * Add support for reading the HEIC image format to the Windows build.

2018-01-23  6.9.9-35 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous use of uninitialized values, integer overflow,
    memory exceeded, and timeouts (credit to OSS Fuzz).
  * Add list-length policy to limit the maximum image sequence length.

2018-01-22  6.9.9-34 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-34, GIT revision 12574:5370ede60:20180122.

2018-01-06  6.9.9-34 Cristy  <quetzlzacatenango@image...>
  * Support aspect ratio geometry, e.g. -crop 3:2.
  * Add support for reading the HEIC image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/507).
  * Fix IM build when HEIC is enabled.
  * Fixed numerous memory leaks, credit to OSS Fuzz.

2018-01-06  6.9.9-33 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-33, GIT revision 12491:5c40f3a88:20180106.

2018-01-06  6.9.9-33 Dirk Lemstra <dirk@lem.....org>
  * Fix some enum values in the OpenCL code.

2018-01-06  6.9.9-32 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-32, GIT revision 12489:33a04d3e5:20180105.

2018-01-05  6.9.9-32 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2018-01-01  6.9.9-31 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-31, GIT revision 12477:7701c8ade:20180101.

2017-12-29  6.9.9-31 Cristy  <quetzlzacatenango@image...>
  * Check for webpmux library version 0.4.4 (reference
    https://github.com/ImageMagick/ImageMagick/issues/896).

2017-12-28  6.9.9-30 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-30, GIT revision 12462:c2c8f1ab2:20171228.

2017-12-28  6.9.9-30 Cristy  <quetzlzacatenango@image...>
  * Fix error reading from pipe under Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=33288).

2017-12-26  6.9.9-29 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-29, GIT revision 12459:90e2b0782:20171227.

2017-12-26  6.9.9-29 Cristy  <quetzlzacatenango@image...>
  * Fix heap use after free error (reference
    https://github.com/ImageMagick/ImageMagick/issues/918).

2017-12-24  6.9.9-28 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-28, GIT revision 12438:b01f6cc52:20171225.

2017-12-18  6.9.9-28 Cristy  <quetzlzacatenango@image...>
  * Fix error reading multi-layer XCF image file.
  * Fix possible stack overflow in WEBP reader (reference
    https://github.com/ImageMagick/ImageMagick/issues/907)
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-12-16  6.9.9-27 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-27, GIT revision 12369:82d92312a:20171216.

2017-12-08  6.9.9-27 Cristy  <quetzlzacatenango@image...>
  * Overall standard deviation is the average of each pixel channel (reference
    https://www.imagemagick.org/discourse-server/viewforum.php?f=3).

2017-12-06  6.9.9-26 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-26, GIT revision 12341:8f0e0897b:20171205.

2017-11-30  6.9.9-26 Cristy  <quetzlzacatenango@image...>
  * Support Stereo composite operator.
  * Fix build failure with --without-modules (reference
    https://github.com/ImageMagick/ImageMagick/issues/890).

2017-11-30  6.9.9-25 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-25, GIT revision 12329:9a5a16a1d:20171130.

2017-11-30  6.9.9-25 Cristy  <quetzlzacatenango@image...>
  * Fix build failure with libraw 0.14.8 (reference
    https://github.com/ImageMagick/ImageMagick/issues/888).

2017-11-29  6.9.9-24 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-24, GIT revision 12324:5ef2c5a67:20171129.

2017-11-17  6.9.9-24 Cristy  <quetzlzacatenango@image...>
  * Support HDRI color profile management.
  * Don't delete in-memory blob when reading an image (reference
    https://github.com/ImageMagick/ImageMagick/issues/886).

2017-11-11  6.9.9-23 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-23, GIT revision 12245:6dea84616:20171111.

2017-11-10  6.9.9-23 Dirk Lemstra <dirk@lem.....org>
  * Fixed initialization of OpenCL (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=33044).

2017-11-05  6.9.9-22 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-22, GIT revision 12235:27954ec10:20171105.

2017-11-03  6.9.9-22 Dirk Lemstra <dirk@lem.....org>
  * Fixed a problem with resource bookkeeping in AcquireMatrixInfo().

2017-10-31  6.9.9-21 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-21, GIT revision 12218:43b16fff0:20171031.

2017-10-29  6.9.9-21 Cristy  <quetzlzacatenango@image...>
  * Encode JSON control characters (reference
    https://github.com/ImageMagick/ImageMagick/issues/848).

2017-10-15  6.9.9-20 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-20, GIT revision 12187:fff1bee84:20171015.

2017-10-08  6.9.9-20 Cristy  <quetzlzacatenango@image...>
  * Return expected results for a percent 0 -chop option argument (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=32806).
  * Tweaks to OpenMP support within ImageMagick.

2017-10-07  6.9.9-19 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-19, GIT revision 12151:be787b70d:20171007.

2017-10-06  6.9.9-19 Cristy  <quetzlzacatenango@image...>
  * Correct handling of GIF transparency (reference
    https://github.com/ImageMagick/ImageMagick/issues/831).

2017-10-04  6.9.9-18 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-18, GIT revision 12147:f18d78856:20171004.

2017-10-02  6.9.9-18 Cristy  <quetzlzacatenango@image...>
  * Resetting the magick_list_initialized boolean when needed (reference
    https://github.com/ImageMagick/ImageMagick/pull/826).

2017-10-01  6.9.9-17 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-17, GIT revision 12132:c19d58e90:20171001.

2017-10-01  6.9.9-17 Cristy  <quetzlzacatenango@image...>
  * Fix broken build (reference
    https://github.com/ImageMagick/ImageMagick/issues/823).

2017-10-01  6.9.9-16 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-16, GIT revision 12125:723b0aa6a:20171001.

2017-09-28  6.9.9-16 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/pull/763).
  * Support URW-base35 fonts.

2017-09-23  6.9.9-15 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-15, GIT revision 12079:839a14e43:20170923.

2017-09-23  6.9.9-15 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-09-17  6.9.9-14 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-14, GIT revision 12050:b9c9b5fe7:20170917.

2017-09-17  6.9.9-14 ADLab of Venustech
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/pull/763).

2017-09-15  6.9.9-14 Glenn Randers-Pehrson <glennrp@image...>
  * Stop poential leaks in the JNG decoder (reference:
    https://github.com/ImageMagick/ImageMagick/issues/760).
  * Maximum valid hour is 23, not 24, in the PNG tIME chunk, and maximum
    valid minute is 59, not 60.

2017-09-12  6.9.9-13 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-13, GIT revision 12008:9730b86ce:20170912.

2017-09-11  6.9.9-13 Glenn Randers-Pehrson <glennrp@image...>
  * Use signed integer arithmetic to calculate timezone corrections (reference
    https://github.com/ImageMagick/ImageMagick/issues/685).

2017-09-09  6.9.9-12 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-12, GIT revision 11996:fca0f6e33:20170909.

2017-09-07  6.9.9-12 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * The 'compare' difference image now respects the -fuzz option.

2017-09-03  6.9.9-11 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-11, GIT revision 11969:a12fbb873:20170903.

2017-08-28  6.9.9-11 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Don't overwrite symbolic links when the shred policy is enabled.

2017-08-27  6.9.9-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-10, GIT revision 11936:a8112a821:20170827.

2017-08-26  6.9.9-10 Dirk Lemstra <dirk@lem.....org>
  * Fixed thread safety issue inside the pango and librsvg decoder
    (reference: https://github.com/dlemstra/Magick.NET/issues/91).

2017-08-20  6.9.9-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-9, GIT revision 11915:5205bda17:20170820.

2017-08-18  6.6.9-9 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with writing tIME chunk when timezone has a negative offset
    (reference: https://github.com/ImageMagick/ImageMagick/issues/685).

2017-08-18  6.9.9-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-8, GIT revision 11906:26078285f:20170818.

2017-08-18  6.9.9-8 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-08-12  6.9.9-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-7, GIT revision 11893:8c4c56a0e:20170812
    (Windows binaries out of sync).

2017-08-10  6.9.9-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-6, GIT revision 11886:af2b102db:20170810.

2017-08-10  6.9.9-6 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-08-10  6.9.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * tests/validate.c: Show the reason for failures in the test logs,
    if available.

2017-08-03  6.9.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Put UTC time in the PNG tIME chunk instead of local time (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=32447).

2017-08-02  6.9.9-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-5, GIT revision 11858:7a555e53f:20170802.

2017-08-01  6.9.9-5 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-07-29  6.9.9-5 Glenn Randers-Pehrson <glennrp@image...>
  * Properly set image->colorspace in the PNG decoder (previously
    it was setting image->gamma, but only setting image->colorspace
    for grayscale and gray-alpha images.  Reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=32418).
  * Fix improper use of NULL in the JNG decoder (CVE-2017-11750, Reference
    https://github.com/ImageMagick/ImageMagick/issues/632).

2017-07-29  6.9.9-5 Cristy  <quetzlzacatenango@image...>
  * Off by one error for gradient coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=32416).

2017-07-28  6.9.9-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-4, GIT revision 11833:4e81160d6:20170728.

2017-07-25  6.9.9-4 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * coders/png.c: Initialized quantum_scanline to prevent a bad free
    (reference https://github.com/ImageMagick/ImageMagick/issues/621).

2017-07-24  6.9.9-4 Glenn Randers-Pehrson <glennrp@image...>
  * Removed write_chunk_from_profile() from coders/png.c because it
    has not worked at least since version 6.7.6.
  * Removed many redundant checks before RelinquishMagickMemory(),
    which is safe to call with a NULL argument.
  * Removed vpAg chunk write support (we are now writing caNv instead).
  * coders/png.c: Initialized quantum_info to prevent memory leakage
    (reference https://github.com/ImageMagick/ImageMagick/issues/582,
    CVE-2017-11539).
  * coders/png.c: fixed NULL dereference when trying to write an empty MNG
    (CVE-2017-11522, reference
    https://github.com/ImageMagick/ImageMagick/issues/586).

2017-07-24  6.9.9-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-3, GIT revision 11809:2bd88257b:20170724.

2017-07-23  6.9.9-3 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-07-23  6.9.9-3 Glenn Randers-Pehrson <glennrp@image...>
  * Fix memory leaks when reading a malformed JNG image:
    https://github.com/ImageMagick/ImageMagick/issues/600 (CVE-2017-13141),
    https://github.com/ImageMagick/ImageMagick/issues/602 (CVE-2017-12565).

2017-07-22  6.9.9-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-2, GIT revision 11786:21b23bf09:20170722.

2017-07-22  6.9.9-2 Cristy  <quetzlzacatenango@image...>
  * composite -dissolve works again reference
    https://github.com/ImageMagick/ImageMagick/issues/597).

2017-07-21  6.9.9-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-1, GIT revision 11782:75f7e994e:20170721.

2017-07-19  6.9.9-1 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).

2017-07-15  6.9.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write a hex-encoded Exif profile when writing the eXIf chunk.
  * Added caNv, eXIf, and pHYs to the list of PNG chunks to be removed
    by the "-strip" option.

2017-07-15  6.9.9-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.9-0, GIT revision 11738:8903861b2:20170715.

2017-07-13  6.9.9-0 Glenn Randers-Pehrson <glennrp@image...>
  * Implemented PNG eXIf chunk support.

2017-07-08  6.9.9-0 Cristy  <quetzlzacatenango@image...>
  * Fixed numerous memory leaks (reference
    https://github.com/ImageMagick/ImageMagick/issues).
  * Don't use variable float_t / double_t, bump SO (reference
    https://github.com/ImageMagick/ImageMagick/issues/510).
  * Support DNG images with libraw delegate library.

2017-06-10  6.9.8-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-10, GIT revision 11637:eb6f363:20170610.

2017-06-10  6.9.8-10 Cristy  <quetzlzacatenango@image...>
  * Introduce SetMagickSecurityPolicy() (MagickCore) and
    MagickSetSecurityPolicy() (MagickWand) to set the ImageMagick security
    policy (reference https://github.com/ImageMagick/ImageMagick/issues/407).

2017-06-02  6.9.8-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-9, GIT revision 11625:91bb35e:20170602.

2017-06-02  6.9.8-9 Cristy  <quetzlzacatenango@image...>
  * Fix choppy bitmap font rendering (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=32071).
  * Add support for 'hex:' property.

2017-05-28  6.9.8-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-8, GIT revision 11606:8b67333:20170528.

2017-05-28  6.9.8-8 Cristy  <quetzlzacatenango@image...>
  * Transient error validating the JPEG-2000 image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/501).
  * Properly allocate DCM image colormap (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=32063).

2017-05-26  6.9.8-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-7, GIT revision 11598:07d1dee:20170526.

2017-05-23  6.9.8-7 Cristy  <quetzlzacatenango@image...>
  * Improper allocation of memory for IM instances without threads (reference
	  https://github.com/ImageMagick/ImageMagick/issues/497).
  * Delete corrupt image from list (reference
    https://github.com/ImageMagick/ImageMagick/issues/500).

2017-05-19  6.9.8-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-6, GIT revision 11590:7ce2d38:20170519.

2017-05-15  6.9.8-6 Cristy  <quetzlzacatenango@image...>
  * Support various image operators for the compare utility (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=31938).

2017-05-12  6.9.8-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-5, GIT revision 11575:186b15d:20170512.

2017-05-10  6.9.8-5 John Cupitt <jcupitt@gmail.com>
  * Revise DICOM window and rescale handling (reference
    https://github.com/ImageMagick/ImageMagick/pull/484)

2017-05-08  6.9.8-5 Cristy  <quetzlzacatenango@image...>
  * Fix transient PDF bug (reference
    https://github.com/ImageMagick/ImageMagick/issues/463).
  * Check for EOF conditions for RLE image format.
  * Reset histogram page geometry (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31920).

2017-04-24  6.9.8-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-4, GIT revision 11521:d7433aa:20170424.

2017-03-26  6.9.8-4 Cristy  <quetzlzacatenango@image...>
  * Minimize buffer copies to improve OpenCL performance.
  * Patch a PCD writer problem, dark pixels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=3164).
  * Support ICC based PDF's (reference
    https://github.com/ImageMagick/ImageMagick/issues/417).

2017-03-24  6.9.8-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-3, GIT revision 11444:3f523e5:20170324.

2017-03-20  6.9.8-3 Cristy  <quetzlzacatenango@image...>
  * MagickWand-config, use --cflags, not --clags (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31602).
  * Respect -loop option for animate -window (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31619).

2017-03-18  6.9.8-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-2, GIT revision 11436:a912791:20170318.

2017-03-14  6.9.8-2 Cristy  <quetzlzacatenango@image...>
  * Support namespaces for the security policy.

2017-03-11  6.9.8-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-1.

2017-03-03  6.9.8-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.8-0, GIT revision 11408:da91a7c:20170311.

2017-03-06  6.9.8-0 Cristy  <quetzlzacatenango@image...>
  * Respect throttle policy (reference
    https://github.com/ImageMagick/ImageMagick/issues/393).
  * Support the -authenticate option for PDF (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31530).

2017-03-03  6.9.7-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-10, GIT revision 11396:44b1bc6:20170303.

2017-02-21  6.9.7-10 Cristy  <quetzlzacatenango@image...>
  * Fix Spurious memory allocation message (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31438).
  * Identical images should return inf for PSNR (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31487).

2017-02-18  6.9.7-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-9, GIT revision 11371:126c7c9:20170218.

2017-02-18  6.9.7-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed fd leak for webp coder (reference
    https://github.com/ImageMagick/ImageMagick/pull/382)

2017-02-15  6.9.7-9 Cristy  <quetzlzacatenango@image...>
  * Prevent random pixel data for corrupt JPEG image (bug report from
    Hirokazu Moriguchi, Sony).
  * Support pixel-cache and shred security policies.

2017-02-12  6.9.7-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-8.

2017-02-09  6.9.7-8 Dirk Lemstra <dirk@lem.....org>
  * Fixed memory leak when creating nested exceptions in Magick++ (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=23&p=142634)

2017-02-06  6.9.7-8 Cristy  <quetzlzacatenango@image...>
  * Eliminate bogus assertion (reference
    https://github.com/ImageMagick/ImageMagick/issues/372).
  * Unbreak build without JPEG support (reference
    https://github.com/ImageMagick/ImageMagick/pull/373).

2017-02-04  6.9.7-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-7, GIT revision 11338:cc980d1:20170204.

2017-01-28  6.9.7-7 Cristy  <quetzlzacatenango@image...>
  * Sanitize comments that include braces for the MIFF image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/368).

2017-01-27  6.9.7-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-6, GIT revision 11327:6b2f052:20170127.

2017-01-27  6.9.7-6 Cristy  <quetzlzacatenango@image...>
  * Uninitialized data in MAT image format (reference
    https://github.com/ImageMagick/ImageMagick/issues/362).

2017-01-22  6.9.7-6 Glenn Randers-Pehrson <glennrp@image...>
  * Renamed read_vpag_chunk_callback() function to png_user_chunk_callback()
    in coders/png.c
  * Implemented a private PNG caNv (canvas) chunk for remembering the
    original dimensions and offsets when an image is cropped.  Previously
    we used the oFFs and vpAg chunks for this purpose, but this had potential
    conflicts with other applications that also use the oFFs chunk.
  * coders/png.c: Added support for a proposed new PNG chunk (exIf
    read-write, eXIf read-only) that is currently being discussed on the
    png-mng-misc at lists.sourceforge.net mailing list.

2017-01-14  6.9.7-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-5, GIT revision 11306:cd9b64b:20170121.

2017-01-18  6.9.7-5 Cristy  <quetzlzacatenango@image...>
  * Don't set background for transparent tiled images (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31210).

2017-01-14  6.9.7-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-4, GIT revision 11293:c359058:20170114.

2017-01-14  6.9.7-4 Dirk Lemstra <dirk@lem.....org>
  * Added support for RGB555, RGB565, ARGB4444 and ARGB1555 to the
    BMP encoder (reference
    https://github.com/ImageMagick/ImageMagick/issues/344).

2017-01-10  6.9.7-4 Cristy  <quetzlzacatenango@image...>
  * Recognize XML policy closing tags (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31182).
  * Fix memory leak in MPC image format.

2017-01-07  6.9.7-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-3, GIT revision 11280:7d65a81:20170107.

2017-01-04  6.9.7-3 Cristy  <quetzlzacatenango@image...>
  * Increase memory allocation for TIFF pixels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31161).

2017-01-03  6.9.7-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-2, GIT revision 11274:2faf8d7:20170103.

2017-01-02  6.9.7-2 Cristy  <quetzlzacatenango@image...>
  * Validation unit test for MNG works again.

2016-12-31  6.9.7-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-1, GIT revision 11265:2b38406:20161231.

2016-12-26  6.9.7-1 Cristy  <quetzlzacatenango@image...>
  * Initialize draw_info alpha member to OpaqueAlpha.
  * The TMPDIR environment variable has precedence over P_tmpdir (reference
    https://github.com/ImageMagick/ImageMagick/issues/337).
  * Monochrome images no longer have inverted colors (reference
    https://github.com/ImageMagick/ImageMagick/issues/332).

2016-12-10  6.9.7-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.7-0, GIT revision 11230:d5e8abc:20161218.

2016-12-14  6.9.7-0 Cristy  <quetzlzacatenango@image...>
  * Bump release to 6.9.7 to ensure coinstallability of old and new library.
  * Lazily evaluate the image storage class and colorspace to prevent cache
    allocation when pinging an image.
  * Do not close path for linejoins of round (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31039).

2016-12-10  6.9.6-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-8, GIT revision 11219:11d48fe:20161210.

2016-12-07  6.9.6-8 Cristy  <quetzlzacatenango@image...>
  * Set colorspace to sRGB if -append has non-homogenous colorspaces (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29105).
  * Respect connected-components:area-threshold define (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31006).
  * Return correct offset for negative index for -fx option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31019).
  * ABI breakage requires an SO bump (reference
    https://github.com/ImageMagick/ImageMagick/issues/320).
  * Fixed improper scaling of certain FITS images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31028).
  * Properly center text label (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=31027).

2016-12-05  6.9.6-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-7, GIT revision 11188:668b60c:20161205.

2016-12-02  6.9.6-7 Cristy  <quetzlzacatenango@image...>
  * Fix possible buffer overflow when writing compressed TIFFS (vulnerability
    report from Cisco Talos, CVE-2016-8707).

2016-11-25  6.9.6-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-6, GIT revision 11169:94edafc:20161125.

2016-11-20  6.9.6-6 Cristy  <quetzlzacatenango@image...>
  * If a convenient line break is not found, force it for caption: (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30887).
  * Off by 1 error when computing the standard deviation (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=30866).
  * Apply Debian patches, (reference
    https://github.com/ImageMagick/ImageMagick/issues/304).
  * Permit EPT images with just a TIFF or EPS image, not both (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30921).
  * The -clone option no longer leak memory.

2016-11-15  6.9.6-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-5, GIT revision 11139:5175b3c:20161115.

2016-11-10  6.9.6-5 Cristy  <quetzlzacatenango@image...>
  * Web pages were broken when we moved to HTTPS protocol.
  * Restore -sharpen / -convolve options to work with CMYK (reference
    https://github.com/ImageMagick/ImageMagick/issues/299).

2016-11-08  6.9.6-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-4, GIT revision 11130:d7a7e4d:20161108.

2016-11-01  6.9.6-4 Cristy  <quetzlzacatenango@image...>
  * Off by one memory allocation (reference
    https://github.com/ImageMagick/ImageMagick/issues/296).
  * Prevent fault in MSL interpreter (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30797).

2016-10-30  6.9.6-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-3, GIT revision 11117:e857a26:20161030.

2016-10-16  6.9.6-3 Dirk Lemstra <dirk@lem.....org>
  * Added layer ZIP compression to the PSD encoder.

2016-10-10  6.9.6-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-2, GIT revision 11095:14d2cea:20161010.

2016-10-10  6.9.6-2 Cristy  <quetzlzacatenango@image...>
  * Unit test pass again after small SUN image patch.

2016-10-07  6.9.6-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-1, GIT revision 11092:1f7ca24:20161008.

2016-10-07  6.9.6-1 Dirk Lemstra <dirk@lem.....org>
  * Fixed incorrect RLE decoding when reading a DCM image that contains
    multiple segments.

2016-10-02  6.9.6-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.6-0, GIT revision 11078:9aec251:20161002.

2016-09-27  6.9.6-0 Dirk Lemstra <dirk@lem.....org>
  * Fixed incorrect RLE decoding when reading an SGI image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30514)

2016-09-05  6.9.5-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-10, GIT revision 11054:ddda572:20160920.

2016-09-17  6.9.5-10 Dirk Lemstra <dirk@lem.....org>
  * Added layer RLE compression to the PSD encoder.
  * Added define 'psd:preserve-opacity-mask' to preserve the opacity mask
    in a PSD file.
  * Fixed issue where the display window was used instead of the data window
    when reading EXR files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&p=137849).

2016-09-05  6.9.5-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-9, GIT revision 11029:777f14c:20160905.

2016-08-31  6.9.5-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed incorrect padding calculation in PSD encoder.

2016-08-27  6.9.5-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-8, GIT revision 11015:e3335b3:20160827.

2016-08-27  6.9.5-8 Dirk Lemstra <dirk@lem.....org>
  * Added define 'psd:additional-info' to preserve the additional information
    in a PSD file.

2016-08-15  6.9.5-8 Cristy  <quetzlzacatenango@image...>
  * Prevent buffer overflow in BMP & SGI coders (bug report from
	  pwchen&rayzhong of tencent).
  * Fix MSVG regression (reference
    https://github.com/ImageMagick/ImageMagick/issues/252).
  * Prevent buffer overflow and other problems in SIXEL, PDB, MAP, TIFF, and
	  CALS coders (bug report from Donghai Zhu).

2016-08-14  6.9.5-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-7, GIT revision 10993:7d2fd25:20160814.

2016-08-14  6.9.5-7 Cristy  <quetzlzacatenango@image...>
  * Eliminate compiler warning.

2016-08-14  6.9.5-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-6, GIT revision 10991:ab76b09:20160814

2016-08-07  6.9.5-6 Cristy  <quetzlzacatenango@image...>
  * Prevent spurious removal of MPC cache files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30256).

2016-08-06  6.9.5-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-5, GIT revision 10980:ecc03a2:20160806.

2016-08-03  6.9.5-5 Cristy  <quetzlzacatenango@image...>
  * Prevent buffer overflow (bug report from Max Thrane).
  * Prevent memory use after free (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=30245).

2016-07-30  6.9.5-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-4, GIT revision 10973:a00fa93:20160729.

2016-07-35  6.9.5-4 Cristy  <quetzlzacatenango@image...>
  * Prevent buffer overflow (bug report from Ibrahim el-sayed).

2016-07-15  6.9.5-3 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-3, GIT revision 18627:2b5ddbd:20160721.

2016-07-13  6.9.5-3 Cristy  <quetzlzacatenango@image...>
  * Fix MVG stroke-opacity (reference
    https://github.com/ImageMagick/ImageMagick/issues/229).
  * Prevent possible buffer overflow when reading TIFF images (bug report from
    Shi Pu of MS509 Team).

2016-07-11  6.9.5-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-2, GIT revision 18591:50debe5:20160710.

2016-07-10  6.9.5-2 Cristy  <quetzlzacatenango@image...>
  * To comply with the SVG standard, use stroke-opacity for transparent strokes.

2016-07-09  6.9.5-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-1, GIT revision 18572:28560fc:20160709.

2016-07-04  6.9.5-1 Cristy  <quetzlzacatenango@image...>
  * The histogram coder now returns the correct extent.
  * Use CopyMagickString() rather than CopyMagickMemory() for strings.

2016-06-26  6.9.5-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.5-0, GIT revision 18514:a7b5b46:20160626.

2016-06-23  6.9.5-0 Cristy  <quetzlzacatenango@image...>
  * Correct for numerical instability (reference
    https://github.com/ImageMagick/ImageMagick/issues/218).

2016-06-21  6.9.4-10 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-10, GIT revision 10907:a08de63:20160622.

2016-06-17  6.9.4-10 Dirk Lemstra <dirk@lem.....org>
  * Added support for GROUP4 compression to the FAX coder.

2016-06-17  6.9.4-10 Cristy  <quetzlzacatenango@image...>
  * Don't return a zero bounding box for QueryMultilineFontMetrics() (reference
    https://github.com/ImageMagick/ImageMagick/issues/222).

2016-06-12  6.9.4-9 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-9, GIT revision 10884:f0e15e8:20160612.

2016-06-09  6.9.4-9 Cristy  <quetzlzacatenango@image...>
  * Backoff finite precision epsilon (reference
    https://github.com/ImageMagick/ImageMagick/issues/215).
  * Fix drawing glitch for stroke widths greater than 2 (reference
    https://github.com/ImageMagick/ImageMagick/issues/218).

2016-06-05  6.9.4-8 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-8, GIT revision 18406:ba4ad2d:20160607.

2016-06-04  6.9.4-8 Cristy  <quetzlzacatenango@image...>
  * RLE check for pixel offset less than 0 (heap overflow report from Craig
    Young).
  * Properly initialze PES blocks (reference
    https://github.com/ImageMagick/ImageMagick/issues/213).

2016-06-03  6.9.4-7 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-7, GIT revision 10847:339f803:20160602.

2016-06-02  6.9.4-7 Cristy  <quetzlzacatenango@image...>
  * Fix small memory leak (patch provided by Андрей Черный).
  * Coder path traversal is not authorized (bug report provided by
    Masaaki Chida).
  * Turn off alpha channel for the compare difference image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29828).

2016-05-31  6.9.4-6 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-6, GIT revision 18334:97775b5:20160531.

2016-05-31  6.9.4-6 Cristy  <quetzlzacatenango@image...>
  * Support configure script --enable-pipes option to enable pipes (|) in
    filenames.
  * Support configure script --enable-indirect-reads option to enable
    indirect reads (@) in filenames.

2016-05-30  6.9.4-5 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-5, GIT revision 18321:5511ef5:20160530.

2016-05-28  6.9.4-5 Dirk Lemstra <dirk@lem.....org>
  * Most OpenCL operations are now executed asynchronous.

2016-05-25  6.9.4-5 Cristy  <quetzlzacatenango@image...>
  * Security improvements to TEXT coder broke it (reference
  * Prevent possible shell command injection vulnerability through the
    authenticate parameter of the PDF, PCL and XPS coders (report from
    Erez Turjeman).
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29754).
  * Fix stroke offset problem for -annotate (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29626).
  * Add additional checks to DCM reader to prevent data-driven faults (bug
    report from Hanno Böck).

2016-05-21  6.9.4-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-4, GIT revision 18241:d4f277c:20160521.

2016-05-20  6.9.4-4 Cristy  <quetzlzacatenango@image...>
  * Fixed proper placement of text annotation for east / west gravity.

2016-05-15  6.9.4-4 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-4, GIT revision 10789:f7c2e89:20160518.

2016-05-15  6.9.4-3 Cristy  <quetzlzacatenango@image...>
  * Fix pixel cache on disk regression (reference
    https://github.com/ImageMagick/ImageMagick/issues/202).

2016-05-15  6.9.4-2 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-2, GIT revision 10778:52dae14:20160516.

2016-05-10  6.9.4-2 Cristy  <quetzlzacatenango@image...>
  * Quote passwords when passed to a delegate program.
  * Can read geo-related EXIF metdata once-again (reference
    https://github.com/ImageMagick/ImageMagick/issues/198).
  * Sanitize all delegate emedded formatting characters.
  * Don't sync pixel cache in AcquireAuthenticCacheView() (bug report from
    Hanno Böck).

2016-05-09  6.9.4-1 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-1, GIT revision 10755:d540dda:20160509.

2016-05-07  6.9.4-1 Cristy  <quetzlzacatenango@image...>
  * Remove https delegate.

2016-05-05  6.9.4-0 Cristy  <quetzlzacatenango@image...>
  * Release ImageMagick version 6.9.4-0, GIT revision 10741:5746147:20160507.

2016-05-04  6.9.4-0 Cristy  <quetzlzacatenango@image...>
  * Check for buffer overflow in magick/draw.c/DrawStrokePolygon().
  * Replace show delegate title with image filename rather than label.
  * Fix GetNextToken() off by one error.
  * Remove support for internal ephemeral coder.

2016-05-03  6.9.3-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-10, GIT revision 10723:9fc8a0c:20160503.

2016-05-03  6.9.3-10 Cristy  <quetzlzacatenango@image...>
  * Sanitize input filename for http / https delegates (improved patch).
  * Fix for possible security vulnerabilities (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=4&t=29588).

2016-04-30  6.9.3-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-9, GIT revision 10716:b527bce:20160430.

2016-04-12  6.9.3-9 Cristy  <quetzlzacatenango@image...>
  * Sanitize input filename for http / https delegates.
  * Indirect filename must be authorized by policy.
  * The txt coder now properly reports Lab colors (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=2944).

2016-04-11  6.9.3-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-8, GIT revision 10690:d058a53:20160411

2016-03-22  6.9.3-8 Cristy  <quetzlzacatenango@image...>
  * Respect gravity when rendering text (e.g. convert -gravity center my.txt)
  * Return empty string for %d property and no directory (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29365)
  * Return filename for the %i property (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=29364).
  * Fixed lost pixels in frequency space (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29374).

2016-03-06  6.9.3-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-7, GIT revision 10628:810a9fe:20160306

2016-03-05  6.9.3-7 Dirk Lemstra <dirk@lem.....org>
  * -size can now be used the specify the maximum width/height for the
    following vector formats:
      * SVG (when librsvg and cairo are being used).
      * EMF (did not work on Windows).

2016-02-29  6.9.3-7 Cristy  <quetzlzacatenango@image...>
  * Fixed text alignment issue for label: / coder: (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29223).

2016-02-27  6.9.3-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-6, GIT revision 10597:83584a1:20160228.

2016-02-25  6.9.3-6 Cristy  <quetzlzacatenango@image...>
  * Ensure TXT: image format survives round-trip (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29206).

2016-02-21  6.9.2-6 Dirk Lemstra <dirk@lem.....org>
  * Added wavelet denoise.

2016-02-20  6.9.3-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-5, GIT revision 10572:cb24a69:20160219.

2016-02-16  6.9.3-5 Cristy  <quetzlzacatenango@image...>
  * Too many bytes when writing raw image formats (reference
    https://github.com/ImageMagick/ImageMagick/issues/132).

2016-02-12  6.9.3-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-4, GIT revision 10560:09f5f5d:20160212.

2016-02-12  6.9.3-4 Dirk Lemstra <dirk@lem.....org>
  * Fixed memory leak when reading an SVG without width/height (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=27&p=130197).

2016-02-09  6.9.3-4 Cristy  <quetzlzacatenango@image...>
  * Fix compiler error for complext text layout.

2016-02-05  6.9.3-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-3, GIT revision 10540:6b4c918:20160206.

2016-02-04  6.9.3-3 Cristy  <quetzlzacatenango@image...>
  * Numerous bugs fixed from fuzzed images (reference
    https://github.com/ImageMagick/ImageMagick/issues/123).
  * The -bias option is no longer a noop (reference
    https://github.com/ImageMagick/ImageMagick/issues/125).

2016-01-25  6.9.3-3 Dirk Lemstra <dirk@lem.....org>
  * Read XCF layer name (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&p=129638).

2016-01-23  6.9.3-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-2, GIT revision 10496:315028c:20160122.

2016-01-17  6.9.3-2 Cristy  <quetzlzacatenango@image...>
  * Don't reuse lock after free (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=29031).

2016-01-21  6.9.3-2 Dirk Lemstra <dirk@lem.....org>
  * Fixed writing DocClass in CALS coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&p=129478).

2016-01-17  6.9.3-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-1, GIT revision 10488:e4f046e:20160116.

2016-01-06  6.9.3-1 Cristy  <quetzlzacatenango@image...>
  * Pair AcquireMagickResource with calls to RelinquishMagickResource when
    resource limits are hit (reference
    https://github.com/ImageMagick/ImageMagick/pull/75).
  * Return non-zero for the -format %b option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28969).

2016-01-01  6.9.3-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.3-0, GIT revision 10445:620328b:20160101.

2015-12-31  6.9.3-0 Cristy  <quetzlzacatenango@image...>
  * Don't break on euro-style numbers (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28910).

2015-12-22  6.9.3-0 Glenn Randers-Pehrson <glennrp@image...>
  * 16-bit pnm images have a max value of 65535.

2015-12-18  6.9.2-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-10, GIT revision 10415:e31c09d:20151219.

2015-12-19  6.9.2-10 Cristy  <quetzlzacatenango@image...>
  * Fixed compile error when POSIX threads are not defined.

    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28791).
2015-12-18  6.9.2-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-9, GIT revision 10402:0027295:20151219

2015-12-05  6.9.2-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed memory leak when reading incorrect PSD files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28791).

2015-12-05  6.9.2-9 Cristy  <quetzlzacatenango@image...>
  * Enhance PDF to properly handle unicode titles (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28786).
  * Fix memory leak in icon coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=6&t=28848).

2015-12-05  6.9.2-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-8, GIT revision 10374:ac7d144:20151205.

2015-12-04  6.9.2-8 Cristy  <quetzlzacatenango@image...>
  * Gray artifacts in large gif when using -layers optimize (reference
    https://github.com/ImageMagick/ImageMagick/issues/57).

2015-11-26  6.9.2-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-7, GIT revision 10370:eeb7d4e:20151126.

2015-11-24  6.9.2-7 Dirk Lemstra <dirk@lem.....org>
  * The DICOM reader now handles the rescale intercept and slope.
  * Added 'bmp3:alpha' option for including the alpha channel when writing
    an image in the BMP3 format. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28733).
  * Only one thread permitted when delegating to the Ghostscript library
    under Windows.

2015-11-14  6.9.2-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-6, GIT revision 10341:f408196:20151113.

2015-11-08  6.9.2-6 Cristy  <quetzlzacatenango@image...>
  * PixelColor off by one on i386 (reference
    https://github.com/ImageMagick/ImageMagick/issues/54).
  * Eliminate stack overflow (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28658).

2015-11-03  6.9.2-6 Dirk Lemstra <dirk@lem.....org>
  * Added local contrast enhancement.
  * Fixed bug in SetPixelCacheExtent that made images all black (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28514).
  * Added support for reading DICOM images with implicit vr little-endian
    transfer syntax.

2015-11-02  6.9.2-6 Samuel Thibault <samuel.thibault@...org>
  * Added 6dot variant for unicode and iso braille formats (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&p=127111).

2015-10-31  6.9.2-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-5, GIT revision 10316:86a76b6:20151031.

2015-10-15  6.9.2-5 Dirk Lemstra <dirk@lem.....org>
  * Fixed alpha blending issue with semi-transparent pixels in the merged
    image of PSD files. This can be disabled by setting the option
    'psd:alpha-unblend' to 'off' (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28169).
  * Fixed issue in jpeg:extent that prevented it from working (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&p=126638).
  * Fixed memory leak when reading Photoshop layers in a TIFF file.

2015-10-12  6.9.2-5 Cristy  <quetzlzacatenango@image...>
  * Support gradient:bounding-box, gradient:vector, gradient:center, and
    gradient:radius to shape the gradient rendering.
  * Recognize label:@- as stdin (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28501).
  * Make commas optional for coordinates (e.g. 0,0 256,256).

2015-10-10  6.9.2-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-4, GIT revision 10273:e00cf21:20151010

2015-10-08  6.9.2-4 Dirk Lemstra <dirk@lem.....org>
  * Fixed accessing subimage in a TIFF photoshop layer (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28469).
  * Fixed out of bounds error in -splice (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28466).

2015-09-25  6.9.2-4 Eric McConville <emcconville@emccon...>
  * Created Manhattan Interpolate method for -sparse-color (reference
    https://github.com/ImageMagick/ImageMagick/pull/36).

2015-09-22  6.9.2-4 Cristy  <quetzlzacatenango@image...>
  * Prevent null pointer access (reference
    https://github.com/ImageMagick/ImageMagick/pull/34).
  * Specify histogram code image format implictedly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28412).
  * Don't round up for JPEG image resolution (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28422).
  * Read the whole image @ image.jp2[0] or an individual tile @ image.jp2[1],
    image.jp2[2].
  * The -caption option no longer fails for filenames with @ prefix (reference
    https://github.com/ImageMagick/ImageMagick/issues/43).
  * Honor $XDG_CONFIG_HOME and $XDG_CACHE_HOME (reference
    https://github.com/ImageMagick/ImageMagick/issues/44).

2015-09-19  6.9.2-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-3, GIT revision 10235:c40ee57:20150919

2015-09-17  6.9.2-2 Dirk Lemstra <dirk@lem.....org>
  * Added extra checks to avoid out of bounds error when parsing the 8bim
    profile (reference https://github.com/ImageMagick/ImageMagick/issues/31).
  * Fixed size of memory allocation in RLE coder to avoid segfault (reference
    https://github.com/ImageMagick/ImageMagick/issues/32).

2015-09-16  6.9.2-2 Cristy  <quetzlzacatenango@image...>
  * Add Bootstrap MIT license to ImageMagick web CSS and JS.
  * Use modern idiom for autoconf
    Fix a forgotten dir when regenerating html doc (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28363).
  * The -colorspace gray option no long leaves a ghostly shadow (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28350).

2015-09-14  6.9.2-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-1, GIT revision 10201:5879612:20150913.

2015-09-13  6.9.2-1 Dirk Lemstra <dirk@lem.....org>
  * Preserving image origin in TGA files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28310).

2015-08-15  6.9.2-1 Cristy  <quetzlzacatenango@image...>
  * Support color compliance for TXT format (e.g. -define txt:compliance=css)
    (bug report from Anthony).
  * The first argument of a hsl() color is integer, not percentage (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=26072).
  * Limit -fx recursive to avoid stack overflow (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28200).
  * Support inline images with data URLS.
  * Report progress less often (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28299).
  * Don't set image colorspace to gray for -alpha copy option.
  * Fixed a possible memory leak associated with the -sampling-factor option.
  * GetImageType() no longer has side-effects to match behavior of IMv7.

2015-08-15  6.9.2-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.2-0, GIT revision 10143:3534f6d:20150815.

2015-08-10  6.9.2-0 Cristy  <quetzlzacatenango@image...>
  * Swap pixels for -spread command-line option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28043).
  * fx logical operations short circuit (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28179).
  * Type cast intensity variable (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28182).
  * Fix ModulusAdd & ModulusSubstract for HDRI compositing (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28186).

2015-07-25  6.9.2-0 Dirk Lemstra <dirk@lem.....org>
  * Added "-set colorspace:auto-grayscale false" that will prevent automatic
    conversion to grayscale inside coders that support grayscale.
  * Fixed -list weight and the options for -weight.
  * Added fontFamily, fontStyle, fontWeight and textUnderColor to the Image
    class of Magick++.
  * Fixed reading Photoshop layers of LSB TIFF files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=28045).
  * Fixed memory leak in font cache under Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=6&t=28191).

2015-07-25  6.9.1-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-10, SVN revision 19269.

2015-07-20  6.9.1-10 Glenn Randers-Pehrson <glennrp@image...>
  * coders/magick.c: added "-define h:format=FMT" and
    "-define magick:format=FMT" options. FMT can be any output format
    supported by ImageMagick except "H" or "MAGICK". If this define is
    omitted, the encoder uses GIF by default for pseudoclass images and
    PNM for directclass images, as previously.  Made "MAGICK" (read-write)
    and "H" (write-only) visible in the format list.

2015-07-18  6.9.1-10 Dirk lemstra <dirk@lem.....org>
  * Removed incorrect EOF check in the DDS reader (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28065).

2015-07-18  6.9.1-10 Cristy  <quetzlzacatenango@image...>
  * Fixed undefined behaviors (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28067).
  * Return exception message for unknown image properties.
  * Color shift removed when reading transparent gray images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28081)

2015-07-18  6.9.1-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-9, SVN revision 19200.

2015-07-12  6.9.1-9 Dirk Lemstra <dirk@lem.....org>
  * Fixed issue with radial gradient in MVG (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27995).

2015-07-11  6.9.1-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-8, SVN revision 19167.

2015-06-25  6.9.1-8 Cristy  <quetzlzacatenango@image...>
  * Correct install location of the Magick++ headers (reference
    https://github.com/ImageMagick/ImageMagick/pull/17/commits).
  * Different gif cropping behavior between versions (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28013).
  * Cannot read properly simple psd file (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=28002).

2015-07-04  6.9.1-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-7, SVN revision 19121.

2015-06-27  6.9.1-7 Eric Dalquist
  * Fixed and escaped output of the json coder. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&p=27894).

2015-06-25  6.9.1-7 Cristy  <quetzlzacatenango@image...>
  * Support BPG image format (respects -quality option).
  * A bordered transparent image now remains transparent (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=5&t=27937).
  * The -update option behavior restored (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=27939).

2015-06-13  6.9.1-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-6, SVN revision 18945.

2015-06-14  6.9.1-6 Cristy  <quetzlzacatenango@image...>
  * Cache cloning on disk optimized with sendfile() (if available).
  * Add an additional check for end-of-file for the RLE coder (reference
    https://www.imagemagick.org/discourse-server/viewforum.php?f=3&t=27870).
  * Respect resource limits in AVS coder.

2015-06-13  6.9.1-6 Glenn Randers-Pehrson <glennrp@image...>
  * Reverted change to 6.9.1-3 that skipped palette-building.

2015-06-13  6.9.1-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-5, SVN revision 18882.

2015-06-03  6.9.1-5 Cristy  <quetzlzacatenango@image...>
  * Use correct scale when interpretting alpha (e.g. rgba(0,0,0,1)).
  * DrawGetVectorGraphics() now returns proper XML (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27751).
  * Support writing EXR files with different color types (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=27759).
  * Prefer PKG_CHECK_MODULES() when searching for delegate libraries.
  * Throw exception if frame option bevel exceeds to the image width / height.
  * Resolve undefined behaviors (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27811).

2015-06-01  6.9.1-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-4, SVN revision 18697.

2015-06-01  6.9.1-4 Cristy  <quetzlzacatenango@image...>
  * Support 'restrict' keyword under Windows.

2015-05-25  6.9.1-4 Dirk Lemstra <dirk@lem.....org>
  * Added support for reading a user supplied layer mask in PSD files.
  * Added support for reading photoshop layers in TIFF files.

2015-05-24  6.9.1-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-3, SVN revision 18623.

2015-05-03  6.9.1-3 Dirk Lemstra <dirk@lem.....org>
  * Fixed transparency issue with 16-bit tga files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27469).
  * Fixed writing label and comment in tiff images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25516).
  * Jpeg images no longer have pixels per inch as a default value for density
    units when the density is not set (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27589).
  * Added support for setting the font color with -fill to the pango coder.

2015-05-03  6.9.1-3 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with "-define png:format=x" in png.c, introduced in version
    6.8.9-0, that caused the define to be ignored.
  * Replaced some dead code in ReadJNGImage with an assert().
  * Avoid palette-building when writing a grayscale PNG (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27580).

2015-04-20  6.9.1-3 Cristy  <quetzlzacatenango@image...>
  * Support -define compose:clamp=false option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26946).
  * Don't extend any user supplied image buffer in SeekBlob() (bug report
    from a.chernij@corp...).
  * Improved reproducible builds (reference
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=783933).
  * Draw a rectangle of width & height of 1 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24874).

2015-04-19  6.9.1-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-2, SVN revision 18429.

2015-04-09  6.9.1-2 Glenn Randers-Pehrson <glennrp@image...>
  * Avoid using a NULL alpha_image or color_image in the JNG decoder.

2015-04-07  6.9.1-2 Cristy  <quetzlzacatenango@image...>
  * Fix JPEG-2000 transparency on write (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27304).
  * Identify now identifies PSD (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26948).
  * Speed up writing to TGA (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27369).

2015-04-06  6.9.1-2 Dirk Lemstra <dirk@lem.....org>
  * Reduce draw epsilon to increase mathematical stability.
  * Fixed UTF8 issue when determining the current working directory
    on Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27295).

2015-04-04  6.9.1-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-1, SVN revision 18308.

2015-03-21  6.9.1-1 Cristy  <quetzlzacatenango@image...>
  * Skip empty frames when comparing layers (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27234).

2015-03-21  6.9.1-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.1-0, SVN revision 18245.

2015-03-17  6.9.1-0 Cristy  <quetzlzacatenango@image...>
  * Grayscale DPX image files are no longer skewed (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27209).

2015-03-16  6.9.1-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fix integer overflow when scaling a 1-bit sample to Q64 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27195).

2015-03-01  6.9.0-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-10, SVN revision 18299.

2015-03-03  6.9.0-10 Cristy  <quetzlzacatenango@image...>
  * Account for differences in image size when comparing two images (bug
    report from Dirk).
  * Set an upper ceiling compression with -quality and jpeg:extent (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=27071).

2015-03-01  6.9.0-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-9, SVN revision 18179.

2015-02-22  6.9.0-9 Cristy  <quetzlzacatenango@image...>
  * Writing histograms / mpeg working again (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27089).
  * The -linear-stretch option worked for Q16 but not Q32 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27112).

2015-02-22  6.9.0-8 Cristy  <quetzlzacatenango@image...>
  * Bogus release, withdrawn.

2015-02-22  6.9.0-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-7, SVN revision 18067.

2015-02-15  6.9.0-7 Cristy  <quetzlzacatenango@image...>
  * Line strokes appeared too thin (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26927).
  * Keep text in caption area (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22504).

2015-02-14  6.9.0-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-6, SVN revision 18010.

2015-02-12  6.9.0-6 Dirk Lemstra <dirk@lem.....org>
  * Fixed command line execution in Windows for delegates that
    move files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=27027).

2015-02-10  6.9.0-6 Cristy  <quetzlzacatenango@image...>
  * A transient bug for the write MSL element (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27022).

2015-02-08  6.9.0-6 Glenn Randers-Pehrson <glennrp@image...>
  * Remove uninitialized, unused "p++" from coders/png.c, MNG reader.
  * Initialize "length" in coders/png.c, WriteJNGImage().
  * Fix signed/unsigned mismatch in coders/png.c, MNG reader.

2015-02-08  6.9.0-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-5, SVN revision 17946.

2015-01-30  6.9.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * In coders/gif.c, quiet two warnings.

2015-01-24  6.9.0-5 Dirk Lemstra <dirk@lem.....org>
  * Fixed iccColorProfile() in Magick++ (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=26910).
  * Fixed infinite loop in HDR reader (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26929).

2015-01-23  6.9.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * Check lengths of certain MNG chunks before reading them.
  * In the PNG codec, check status wherever a function returns it.

2015-01-18  6.9.0-5 Cristy  <quetzlzacatenango@image...>
  * Remove possible resource memory leak in a multi-threaded program (bug
    report and patch from David Chapman <d...@acm.org>.
  * Small optimization to pixel cache.
  * More image sanity checks.
  * Support writing base64-encoded images (e.g
	  convert logo: inline:jpeg:logo.txt).
  * Repair small TIFF leak when pinging (patch provided by Andrey Cherniy).

2015-01-16  6.9.0-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-4, SVN revision 17697.

2015-01-07  6.9.0-4 Cristy  <quetzlzacatenango@image...>
  * Additional coder sanity checks (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26842,
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26682).

2015-01-05  6.9.0-4 Dirk Lemstra <dirk@lem.....org>
  * Report Ghostscript version when -verbose is used and when an exception
    is raised.
  * Fixed invalid path check in MagickCoreGenesis under Windows and disabled
    ProvideDllMain by default (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&p=118875).

2015-01-01  6.9.0-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-3, SVN revision 17537.

2015-01-01  6.9.0-3 Cristy  <quetzlzacatenango@image...>
  * ImageMagick builds when HDRI is enabled (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26803).

2014-12-31  6.9.0-3 Glenn Randers-Pehrson <glennrp@image...>
  * Don't read beyond the end of a tEXt keyword when checking for Raw profile.

2014-12-27  6.9.0-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-2, SVN revision 17468.

2014-12-14  6.9.0-1 Dirk Lemstra <dirk@snakeware...>
  * Added support for reading EXR files to the Windows distribution.
  * Fixed enabling alpha in 32-bit BMP files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26662).
  * Added support for writing 16-bit TGA files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=26693).
  * Improved performance of dds:cluster-fit when OpenMP is enabled.
  * Added support for distributed pixel cache to the Windows distribution.

2014-12-04  6.9.0-1 Alexey Dolgavin <dolgavin.alexey@gmail...>
  * Fix ImageMagick crashes while read EXIF from TIFF.

2014-11-20  6.9.0-1 Glenn Randers-Pehrson <glennrp@image...>
  * Don't handle a "previous" image in the PNG or JNG decoder.
  * Don't override gamma with 1.0 when reading a grayscale PNG image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26576).
  * Update progress monitor for every PNG row instead of every pass (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=26589).
  * Reject input PNG with dimensions larger than specified with -limit width
    and -limit height.

2014-11-20  6.9.0-1 Cristy  <quetzlzacatenango@image...>
  * Fix double free / invalid read when converting jpg to pdb (thanks to
    Hanno).
  * Maximum XWD image size is 64Kx64K (thanks to Hanno).
  * Maximum DPX number of elements is 8 (thanks to Hanno).
  * Transient problem with SVG (reference
      https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26587).
  * Numerous buffer overflow fixes (thanks to Gynvael Coldwind and
    Mateusz Jurczyk of the Google Security Team).
  * Additional PNM sanity checks (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26682).
  * The SetImageBias() bias value is no longer ignored (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25732).
  * Area crop now returns the expected number of tiles (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26701).
  * Respect TGA ColorMapIndex field (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26738).
  * Clang does not support __alloc_size__, fix fabs() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26739).
  * Support width and height resource limits.
  * Don't read TIFF profiles when pinging (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=26670).

2014-11-16  6.9.0-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.9.0-0, SVN revision 17067.

2014-11-03  6.9.0-0 Cristy  <quetzlzacatenango@image...>
  * Check for zero-sized rendered SVG image (bug report from
    Vladimir Davydov).

2014-11-01  6.8.9-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-10, SVN revision 16910.

2014-10-29  6.8.9-10 Cristy  <quetzlzacatenango@image...>
  * EXIF directory offsets must be greater than 0 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26456).
  * Accept morphology kernels from files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=26466).
  * Don't optimize JPEG compression by default (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26482).

2014-10-26  6.8.9-10 Dirk Lemstra <dirk@snakeware...>
  * Added support for reading jpeg compressed YCCK tiff files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24412).
  * Fixed reading DICOM files with big endian transfer syntax (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26448).

2014-10-25  6.8.9-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-9, SVN revision 16819.

2014-10-03  6.8.9-9 Dirk Lemstra <dirk@snakeware...>
  * Added sixel coder created by Hayaki Saito (@kefir_).
  * Fixed buffer overflow in PCX and DCM coder (bug report from Hanno Böck).
  * Added support for reading/writing the tIME chunk in the PNG coder.
  * Added eps:fit-page option to the PS coder to set -dEPSFitPage.
  * Improved reporting tiff:alpha and allowed setting tiff:alpha to
    unspecified.

2014-09-30  6.8.9-9 Cristy  <quetzlzacatenango@image...>
  * Support xyY colorspace (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=26324).
  * Reduce noise while preserving edges with the -kuwahara option.
  * Off-by-one count when parsing an 8BIM profile.
  * Locale.c won't build if uselocale found but strtod_l isn't (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26362).
  * OpenCL no longer benchmarks are run on every initialization (patch
    submitted by Jan Steffens).
  * Don't clone a 0x0 image (bug report from Hanno Böck).

2014-09-21  6.8.9-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-8, SVN revision 16502.

2014-09-16  6.8.9-8 Cristy  <quetzlzacatenango@image...>
  * JPEG library version >= 80 is thread safe (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=25495).

2014-08-31  6.8.9-8 Dirk Lemstra <dirk@snakeware...>
  * Added support for some legacy dds formats (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=26184).

2014-08-16  6.8.9-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-7, SVN revision 16330.

2014-08-14  6.8.9-7 Cristy  <quetzlzacatenango@image...>
  * Fix off by one buglet when extracting profiles 8BIM (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26095).

2014-07-31  6.8.9-7 Dirk Lemstra <dirk@snakeware...>
  * Fixed bug when reading 1 bit PSD. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=26015).

2014-07-25  6.8.9-7 Glenn Randers-Pehrson <glennrp@image...>
  * Relocate initialization of "image_colors" in the PNG encoder, to avoid
    a possible use of uninitialized variable.

2014-07-25  6.8.9-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-6, SVN revision 16211.

2014-07-24  6.8.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Use IsOptionMember() instead of LocaleNCompare() in coders/png.c to
    parse the list of excluded and included PNG chunks.

2014-07-19  6.8.9-6 Dirk Lemstra <dirk@snakeware...>
  * Fixed fill-rule in SVG clip path (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=25882).

2014-07-14  6.8.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Removed some dead code (testing image->matte) in PNG64 encoder.

2014-07-07  6.8.9-6 Dirk Lemstra <dirk@snakeware...>
  * Added support for R5G6B5, RGB5A1 and RGBA4 dds files.

2014-07-01  6.8.9-6 Cristy  <quetzlzacatenango@image...>
  * Write LAB pixels as percentages in the TXT image format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25830).
  * Throw exception when image morphology differs when comparing (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25927).
  * Remove mogrify backup file (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25683).
  * Read WEBP images from STDIN (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25886).

2014-07-01  6.8.9-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-5, SVN revision 16123.

2014-06-28  6.8.9-5 Glenn Randers-Pehrson <glennrp@image...>
  * Do not let libpng16 check ICC/sRGB profiles in non-debug runs; we do
    it ourselves anyway.  Avoids emitting "known incorrect profile" warnings.
    For strict profile checking and warning, use "-debug coder".

2014-06-27  6.8.9-5 Dirk Lemstra <dirk@snakeware...>
  * Disabled OpenCL acceleration when image has a 'mask' or 'clip-mask'.

2014-06-25  6.8.9-5 Cristy  <quetzlzacatenango@image...>
  * Use -define profile:skip=icc, for example,  to skip color profiles on read.

2014-06-23  6.8.9-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-4, SVN revision 16057.

2014-06-15  6.8.9-4 Cristy  <quetzlzacatenango@image...>
  * Support RMS argument for -evaluate-sequence and -statistic options.
  * Fix lseek define for a successful compile under 64-bit MinGW.
  * Pipe image to display program no longer reports an exception (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23532).
  * Check that profile is non-NULL in coders/tiff.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25770).

2014-06-08  6.8.9-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-3, SVN revision 15975.

2014-06-07  6.8.9-3 Glenn Randers-Pehrson <glennrp@image...>
  * Quiet warning about unused variable "skip_to_iend" in coders/png.c.

2014-06-07  6.8.9-3 Dirk Lemstra <dirk@snakeware...>
  * Fixed creation of SVG from 8bim clip path. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=25594).

2014-06-02  6.8.9-3 Cristy  <quetzlzacatenango@image...>
  * The -version option returns 0 status (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25667).
  * The inline coder can now read from standard input (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25641).
  * Add '=' character to the sanitize whitelist.

2014-05-30  6.8.9-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-2, SVN revision 15932.

2014-05-18  6.8.9-2 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed some bugs in the PNG codec discovered by coverity analysis.

2014-05-14  6.8.9-2 Cristy  <quetzlzacatenango@image...>
  * The -fx equality operator returns a proper boolean result now (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25580).
  * Permit spaces in the gradient color specification (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25614).
  * Fix IdentifyImage() crash when image->magick member is null (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25615).
  * The -format M and Y channels are no longer reversed (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25633).
  * Remove Makefile race condition where two targets attempt to install
    magick-baseconfig.h (reference
    http://git.buildroot.net/buildroot/commit/?id=7395ee9d3b88e45798143e05a28d6d4b51409130)
  * Fix memory leak in BlobToStringInfo() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25639).
  * In certain cases, -adaptive-sharpen failed to sharpen (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23211

2014-05-12  6.8.9-2 Dirk Lemstra <dirk@snakeware...>
  * Bump major Magick++ library version.
  * Added support for writing RLE compressed TGA files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=12335).
  * Improved performance of parsing the xmp profile (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25612).
  * Fixed detecting transparency in PSD files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25634).

2014-05-09  6.8.9-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-1, SVN revision 15697.

2014-04-22  6.8.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with the PNG00 subformat when the original format was PNG32.
  * The "-strip" option now only removes profiles and comments from PNG
    output.  Previously the background, density, and other metadata were
    also discarded.

2014-04-22  6.8.9-1 Cristy  <quetzlzacatenango@image...>
  * Support new -hough-lines option.
  * Support new -mean-shift option.
  * identify -units without argument no longer faults (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25542).
  * Require OpenJP2 version 2.1.0 (opj_stream_set_user_data() method signature
    change between 2.0.0 and 2.1.0).

2014-04-20  6.8.9-1 Dirk Lemstra <dirk@snakeware...>
  * Added image moments, canny edge and hough line to Magick++.
  * The 8bim profile will be updated when the icc/iptc/xmp profile is changed.
  * Fix for stack overflow in DestroyXMLTree in Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25457).
  * Added new coder for VIPS image format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=25445).
  * Moved detection of type to a separate method in Magick++. The type() method
    no longer modifies the type of the image. Use determineType() instead.
  * Improved error messages when a coder uses Ghostscript.

2014-04-11  6.8.9-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.9-0, SVN revision 15441.

2014-04-03  6.8.9-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with -strip failing to exclude PNG chunks (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25353).

2014-03-30  6.8.9-0 Dirk Lemstra <dirk@snakeware...>
  * Added new coder to take a screen shot of a monitor in Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=23&t=25191).

2014-03-24  6.8.9-0 Cristy  <quetzlzacatenango@image...>
  * Don't transform sRGB compatible colorspaces to sRGB, doing so
    inadvertently promotes colormapped images to DirectClass.
  * Use temporary path rather then current working directory (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25313).
  * Support -canny edge detection option.
  * Use MAGICKCORE_LIBOPENJP2_DELEGATE instead of MAGICKCORE_JP2_DELEGATE
    (reference www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25376).

2014-03-28  6.8.8-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-9, SVN revision 15239.

2014-03-23  6.8.8-10 Cristy  <quetzlzacatenango@image...>
  * Although they are internal methods, deprecate InitializeModuleList(),
    LoadMimeLists(), and RelinquishCommandQueue() (reference
   https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25263).

2014-03-20  6.8.8-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-9, SVN revision 15192.

2014-03-16  6.8.8-9 Glenn Randers-Pehrson <glennrp@image...>
  * Do not block threads in the png codec when PNG_SETJMP_SUPPORTED is not
    defined (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=23&t=25218).

2014-03-15  6.8.8-9 Dirk Lemstra <dirk@snakeware...>
  * Added tiff:ignore-tags to ignore specific tags.
  * Added orderedDither, selectiveBlur, separate, sepiaTone, sketch,
    smushImages, tint, uniqueColors and vignette to Magick++.

2014-03-11  6.8.8-9 Cristy  <quetzlzacatenango@image...>
  * The -define jpeg:extent option overrides the image quality (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25200).

2014-03-09  6.8.8-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-8, SVN revision 15097.

2014-03-04  6.8.8-8 Glenn Randers-Pehrson <glennrp@image...>
  * Reset colorspace to Grayscale when reading a gray PNG image with
    gamma > 0.75 instead of when gamma==1.0 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25136).

2014-02-22  6.8.8-8 Dirk Lemstra <dirk@snakeware...>
  * The PSD reader creates a merged image if the image does not contain one.
  * Added option pdf:fit-page to scale a pdf to the specified size (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=25044).
  * The ResolutionInfo in the 8BIM profile will be updated when an image is
    written.
  * Fixed UTF8 issues and added support for reading files with long path names
    for the Windows distribution.

2014-02-21  6.8.8-8 Cristy  <quetzlzacatenango@image...>
  * Convert linear RGB to sRGB before writing the Targa image format.
  * Make sure we use the secure C library functions when compiling ImageMagick
    on Windows.
  * Tweak color reduction optimization to return a full color palette (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=25098).
  * Patch configure.ac to support FlashPix under Debian (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25140).
  * OpenCL support writes to $HOME/.config/ImageMagick, if the path does not
    exist, two calls to mkdir() are required (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25080).
  * Replace  MAGICKCORE_JP2_DELEGATE with MAGICKCORE_LIBOPENJP2_DELEGATE in
    magick/static.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25153).
  * Eliminate thread race condition (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25168).

2014-02-18  6.8.8-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-7, SVN revision 14908.

2014-02-16  6.8.8-7 Cristy  <quetzlzacatenango@image...>
  * Prevent possible buffer overflow in messaging system.

2014-02-16  6.8.8-7 Dirk Lemstra <dirk@snakeware...>
  * Improved detection of JPEG 2000 code streams and .j2c support (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24942).
  * Added morphology to Magick++.

2014-02-13  6.8.8-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-6, SVN revision 14868.

2014-02-13  6.8.8-6 Cristy  <quetzlzacatenango@image...>
  * identify -define identify:locate=maximum locates the position of the
    maximum value (stopped working in 6.8.8-5).

2014-02-03  6.8.8-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-5, SVN revision 14838.

2014-01-31  6.8.8-5 Cristy  <quetzlzacatenango@image...>
  * Fix case where an image moment might have a mass of 0 or a Hu moment might
    be 0.
  * Enhance the TXT coder to read RGB percent values, e.g. 10.008% (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24934).

2014-01-30  6.8.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed new "-define png:swap-bytes" option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24818).

2014-01-29  6.8.8-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-4, SVN revision 14676.

2014-01-29  6.8.8-4 Cristy  <quetzlzacatenango@image...>
  * Remove comma at end of enumerator list, magick/compare.h.

2014-01-28  6.8.8-4 Dirk Lemstra <dirk@snakeware...>
  * Added transpose and transverse to Magick++. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24884).

2014-01-25  6.8.8-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-3, SVN revision 14651.

2014-01-18  6.8.8-3 Dirk Lemstra <dirk@snakeware...>
  * Added ResourceLimits class and text direction/gravity to Magick++.
  * Added support for defining dimensions with icon:auto-resize (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=24796).

2014-01-16  6.8.8-3 Glenn Randers-Pehrson <glennrp@image...>
  * Added "-define png:swap-bytes" option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24818).
  * Added image->duration to image.h, calculate duration in gif.c, and
    report duration in identify.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23276).

2014-01-15  6.8.8-3 Cristy  <quetzlzacatenango@image...>
  * The -type truecolor option for a grayscale image returns RGB JPEG (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24814).
  * Support JSON coder (.e.g. convert image.jpg image.json).

2014-01-10  6.8.8-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-2, SVN revision 14347.

2014-01-09  6.8.8-2 Dirk Lemstra <dirk@snakeware...>
  * Added option 'icon:auto-resize' to automatically store multiple sizes
    in an ico image (requires 256x256 input image).
  * Added text kerning/spacing to Magick++. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=23&t=24716).

2013-12-30  6.8.8-2 Cristy  <quetzlzacatenango@image...>
  * The -evaluate-sequence sum returns a proper alpha channel now (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24704).
  * Support OpenJPEG for JPEG-2000 support.
  * Support IsMagickWandInstantiated() method (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=6&t=24724).
  * LevelColorsImageChannel() returns proper status (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24751).
  * Generate a proper SVG clipping path (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24752).
  * Return image moments with the identify -moments -verbose options.
  * Perceptual hash metric for compare utility: -metric PHASH (algorithm
    by Fred Wienhaus).

2013-12-30  6.8.8-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-1, SVN revision 14087.

2013-12-27  6.8.8-1 Cristy  <quetzlzacatenango@image...>
  * Support points argument for draw MSL element.
  * Fix misplaced closing parenthesis for strncmp() call in magick/xml-tree.c.
  * The -page option now correctly sets the image page offset (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24701).

2013-12-26  6.8.8-1 Dirk Lemstra <dirk@snakeware...>
  * Added support for reading zip compressed PSD files. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24676).

2013-12-25  6.8.8-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.8-0, SVN revision 14027.

2013-12-23  6.8.8-0 Cristy  <quetzlzacatenango@image...>
  * Blurring with transparency no longer returns a halo (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24665).
  * Eliminate ICC profile memory leak for JP2 coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24679).

2012-12-21  6.8.8-0 Dirk Lemstra <dirk@snakeware...>
  * Made librsvg the default svg library for the windows distribution.

2013-12-10  6.8.7-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-10, SVN revision 13965.

2013-12-10  6.8.7-10  SiuChi Chan  <...>
  * Fix crash when using -resize with GPU acceleration (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24603).

2013-12-08  6.8.7-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-9, SVN revision 13950.

2013-12-05  6.8.7-9  SiuChi Chan  <...>
  * Silence warning related to GPU memory issues.
  * Check if OpenCL is disabled in checkOpenCLEnvironment() method.
  * Turn off OpenCL path for Intel OpenCL to avoid crash when not enough memory.
  * Fixed a bug for OpenCL convolution.
  * Reduce compiler warnings.

2013-12-03  6.8.7-9 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug in coders/png.c that caused -define png:color-type=0 to
    fail (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=24568).

2013-11-30  6.8.7-9 Dirk Lemstra <dirk@snakeware...>
  * Fixed bug in automatic selection of OpenCL device (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24542).
  * Fixed transparency for 32 bits BMP.

2013-11-28  6.8.7-9 Cristy  <quetzlzacatenango@image...>
  * The -type bilevel option sometimes returned an all white image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24444).
  * Check blue channel threshold for -solarize option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24473).

2013-11-27  6.8.7-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-8, SVN revision 13850.

2013-11-27  6.8.7-8  SiuChi Chan  <...>
  * Add an OpenCL-accelerated analog of AddNoiseImage().

2013-11-23  6.8.7-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-7, SVN revision 13827.

2013-11-23  6.8.7-7  SiuChi Chan  <...>
  * Simplified interface to initialize the OpenCL environment.
  * Automatic OpenCL device selection algorithm.
  * Support ModulateImage() acceleration.
  * Reduce the memory requirement for accelerated blur and unsharp mask.

2013-11-16  6.8.7-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-6, SVN revision 13767.

2013-11-14  6.8.7-6 Cristy  <quetzlzacatenango@image...>
  * Fix possible memory corruption when writing PSD images (bug report from
    Justin Grant).
  * Constrain color reduction acceleration to positive integers (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=24459).
  * fx:maxima.a now returns the alpha value rather than opacity (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24461).

2013-11-08  6.8.7-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-5, SVN revision 13682.

2013-11-03  6.8.7-5 Cristy  <quetzlzacatenango@image...>
  * The jpeg:extent option no longer returns double-free exception (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24366).
  * Turn off arch-specific optimizations (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24353).
  * The -type bilevel option no longer returns black image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24394).

2013-11-03  6.8.7-5 Dirk Lemstra <dirk@snakeware...>
  * Added support for pangocairo to the windows distribution.
  * Added /OpenCL option to configure.exe to enable OpenCL.
  * The MIFF/PCL/PDF/PNG/PS2/PS3/TIFF coders will no longer use the quality and
    compression of the source image when writing.

2013-10-31  6.8.7-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed cut-and-paste error in version.c that caused the "png" delegate
    to be listed twice by the "convert -version" command.

2013-10-30  6.8.7-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-4, SVN revision 13616.

2013-10-26  6.8.7-4  Siu Chi Chan <...@amd.com>
  * Major improvements to the OpenCL infrastructure.
  * New OpenCL accelerated algorithms (function image, blur, radial blur,
    unsharp mask, resize, contrast, equalize, despeckle).
  * Added a new checkbox to enable OpenCL in the configure program.

2013-10-24  6.8.7-4 Cristy  <quetzlzacatenango@image...>
  * Color reduction acceleration from Yoya (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24324).
  * -intensity rec709luma -colorspace gray returns gamma 1.0/2.2 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24330).
  * Handle 16-bit JPEG-compressed TIFF images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24331).
  * An image -compose ModulusAdd negate-image returns the original (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24337).
  * Support %U escape character for resolution units (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=24140).

2013-10-23  6.8.7-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-3, SVN revision 13557.

2013-10-23  6.8.7-3 Cristy  <quetzlzacatenango@image...>
  * The -roll option is now working when the +x coordinate is +0 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24314).

2013-10-22  6.8.7-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-2, SVN revision 13534.

2013-10-20  6.8.7-2 Cristy  <quetzlzacatenango@image...>
  * Define cmsUInt32Number if LCMS version is < 2000.
  * Set xc:gray() intensity to Rec709Luma (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24303).

2013-10-20  6.8.7-2 Dirk Lemstra <dirk@snakeware...>
  * GetImageDepth() no longer returns incorrect depth when HDRI enabled.

2013-10-19  6.8.7-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-1, SVN revision 13486.

2013-10-10  6.8.7-1 Cristy  <quetzlzacatenango@image...>
  * Add support for the -complex option, perform complex mathematics on an
    image sequence.
  * Sync pixel cache for -set colorspace cmyk option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24173).

2013-09-27  6.8.7-1 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed problem with PNG8 reduction in coders/png.c (special case where
    exactly 256 colors plus one transparent color are present).
  * Set image->intensity = Rec709LuminancePixelIntensityMethod before
    setting the colorspace to Gray while reading a gray PNG (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24205).
    This ensures that image->gamma will be set to 1.0 (linear).

2013-09-26  6.8.7-1 Dirk Lemstra <dirk@snakeware...>
  * Fixed incorrect size of DICOM image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24135).
  * Fixed rounding in YUV coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24148).
  * Fixed colorspace issue when combining images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24173).
  * Replaced libjpeg with libjpeg-turbo in the windows distribution.
  * Added support for liquid rescale to the windows distribution.
  * Set image type after syncing the pixel cache.

2013-09-25  6.8.7-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.7-0, SVN revision 13290.

2013-09-23  6.8.7-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed comments about the -quality value in PNG coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=24134).

2013-09-19  6.8.7-0 Dirk Lemstra <dirk@snakeware...>
  * Fixed issue with colormap when reading Viff image.
  * Added support for opening https files under windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24121).
  * Fixed incorrect format when reading EPT image from a blob (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24129).

2013-09-18  6.8.6-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-10, SVN revision 13240.

2013-09-07  6.8.6-10 Dirk Lemstra <dirk@snakeware...>
  * Added support for writing DDS files.

2013-08-29  6.8.6-10 Cristy  <quetzlzacatenango@image...>
  * Call SVG / MSL xmlCleanupParser() / xmlInitParser() once (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23991).
  * Support LEGO Mindstorms EV3 Robot Graphics File format (contributed
    by bdwheele@ind.../
  * Since glib-2.35.0 g_type_init() was removed (reference
    https://bugs.gentoo.org/show_bug.cgi?id=481042).
  * New identify define to output the location of the minimum, maximum, or
    mean pixel of the image (e.g. identify -define identify:locate=maximum
    -define identify:limit=7 rose).
  * Column columns / rows no longer inverted for RGF image format (patch
    from Brian Wheeler <bdwheele@india...>.
  * 16bit PSD images might have a 65536 colormap (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24102).
  * Ascii map is now declare as AsciiMap (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24106).
  * Return label for identify -format "%l" (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=24105).
  * Add option to perform Fourier normalization in either the forward or
    inverse transform (e.g -define fourier:normalize=inverse). The default
    remains as it was in the forward transform (i.e. -define
    fourier:normalize=forward)

2013-08-26  6.8.6-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-9, SVN revision 13087.

2013-08-16  6.8.6-9  SiuChi Chan  <...>
  * Accelerate numerous image filters with OpenCL under AMD, Intel, and
    NVidia.  Adapted from MulticoreWare OpenCL contribution.

2013-08-10  6.8.6-9 Dirk Lemstra <dirk@snakeware..>
  * Added the following command line options to configure.exe:
      /x64, set 64 bit build
      /mtd, set project type to: multi threaded dll
      /sts, set project type to: single threaded static
      /mts, set project type to: multi threaded static
      /mtsd, set project type to: multi threaded static dll
      /noWizard, skip the wizard and generate the project/solution files
  * Fixed infinite loop with jpeg:extent (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23314).
  * Fixed performance issue when converting jpeg to png (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23922).

2013-08-10  6.8.6.9 Glenn Randers-Pehrson <glennrp@image...>
  * Added "-define bmp:format=bmp2|bmp3|bmp4" option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23875).

2013-08-07  6.8.6-9 Cristy  <quetzlzacatenango@image...>
  * Free disk resource if cache resources are exhausted (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23877).
  * Return proper EXIF:ISOSpeedRating property value for TIFF images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23913).
  * Escape MIFF properties with null values (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23931).
  * Allow negative pixel values in TXT image format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23923).
  * The -fx option no longer crashes for certain expressions (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23932).
  * Add support for the -compare option (e.g. convert image.png reference.png
    -metric RMSE -compare -format "%[distortion]" info:).
  * The internal SVG renderer is now invariant for the "fill" and "opacity"
    keywords.

2013-08-06  6.8.6-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-8, SVN revision 12918.

2013-08-04  6.8.6-8 Dirk Lemstra <dirk@snakeware...>
  * Added support for WebP to the Windows distribution (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23856).

2013-07-31  6.8.6-8 Cristy  <quetzlzacatenango@image...>
  * Properly handle interlaced GIF images with less than 8 rows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23812).
  * Ensure image colorspace is sRGB when writing WebP format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23841).
  * Avoid deadlock with logging subsystem (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=23849).

2013-07-25  6.8.6-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-7, SVN revision 12752.

2013-07-24  6.8.6-7 Cristy  <quetzlzacatenango@image...>
  * Missing case for HCLpColorspace (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23811).

2013-07-21  6.8.6.7 Glenn Randers-Pehrson <glennrp@image...>
  * Do not write "jpeg:" properties in a PNG output file (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23794).

2013-07-17  6.8.6-7 Dirk Lemstra <dirk@snakeware...>
  * Fix memory leak in CloneImageArtifacts and CloneImageProfiles.
  * Minor fix for the clipMask property in Magick++.

2013-07-16  6.8.6-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-6, SVN revision 12718.

2013-07-16  6.8.6-6 Cristy  <quetzlzacatenango@image...>
  * JPEG ICC color profile requires null after ICC tag (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23756).
  * Don't sync channels for the -unsharp option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23740).
  * Magick++ version so bump (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23752).

2013-07-15  6.8.6-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-5, SVN revision 12684.

2013-07-12  6.8.6-5 Dirk Lemstra <dirk@snakeware...>
  * Fixed calculation of pixel area count limit flag ('@').
  * Added option to enable OpenMP to configure.exe and improved creation
    of x64 project file

2013-07-10  6.8.6-5 Cristy  <quetzlzacatenango@image...>
  * Compare exits with a non-zero exit code when no error (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23722).
  * Correct calculation of quantization error (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=23734).
  * Correct quantize tree walking mistake for RiemersmaDither (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=23735).

2013-07-10  6.8.6-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-4, SVN revision 12661.

2013-07-09  6.8.6-4 Dirk Lemstra <dirk@snakeware...>
  * Added combineImages, evaluateImages, mergeImageLayers, optimizeImageLayers
    optimizePlusImageLayers and separateImages to STL.h (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=23699).
  * Added support for the fill area flag ('^') and the pixel area
    count limit flag ('@') to the Geometry class of Magick++ (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=23704).
  * Enabled automatic linking for static Magick++ in Visual Studio (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=23558).

2013-07-01  6.8.6-4 Cristy  <quetzlzacatenango@image...>
  * Thumb property need Height, not height (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23661).
  * White pixels previously were written as black for the CIP format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23677).
  * Rec709Luma is sRGB compatible (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23693).
  * Colorspace RGB is linear, gamma is 1.0 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23708).

2013-07-01  6.8.6-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-3, SVN revision 12579.

2013-06-26  6.8.6-3 Cristy  <quetzlzacatenango@image...>
  * Improve HCL to RGB roundtrip (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22384).
  * Prefer external log configuration file to built-in (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23640).
  * Do not log in the IsLinkedListEmpty() method to prevent overflow (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23640).
  * Fix bug loading TGA image with 32-bit palette (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17889).
  * Color profiles are no longer corrupted for the JPEG format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23651).
  * Repair problem with -emboss / -equalize problem (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23643).

2013-06-24  6.8.6-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-2, SVN revision 12561.

2013-06-21  6.8.6-2 Cristy  <quetzlzacatenango@image...>
  * Fix memory corruption in the MorphologyApply() method.

2013-06-20  6.8.6.2 Glenn Randers-Pehrson <glennrp@image...>
  * Quiet two warnings about uninitialized variables in coders/png.c

2013-06-20  6.8.6-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-1, SVN revision 12509.

2013-06-16  6.8.6-1 Cristy  <quetzlzacatenango@image...>
  * Don't decompand RGB for the -modulate option.
  * Improve LCHab and LCHuv roundtrip to / from sRGB (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23596).

2013-06-16  6.8.6-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.6-0, SVN revision 12475.

2013-06-10  6.8.6-0 Cristy  <quetzlzacatenango@image...>
  * Clone image->intensity in CloneImageProperties() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23569).
  * Split test suite into smaller tests (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23577).
  * Undercolor rectangle was off by one pixel (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23574).
  * Don't msync() for a read-only memory-mapped mode (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23531).
  * BlurChannelImage() no longer faults for certain CMYK images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23581).
  * Reduce memory requirements for large BMP images.

2013-06-05  6.8.5-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-10, SVN revision 12419.

2013-06-02  6.8.5-10 Cristy  <quetzlzacatenango@image...>
  * Improve caption formatting (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23522).

2013-06-01  6.8.5-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-9, SVN revision 12401.

2013-05-30  6.8.5-9 Cristy  <quetzlzacatenango@image...>
  * Caption no longer clips long words (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23504).
  * The lightness intensity is (min(R',G',B')+max(R',G',B'))/2.0 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23517).

2013-05-25  6.8.5-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-8, SVN revision 12362.

2013-05-23  6.8.5-8 Glenn Randers-Pehrson <glennrp@image...>
  * Stopped a "-fsanitize-address" warning in the JNG coder.

2013-05-20  6.8.5-8 Cristy  <quetzlzacatenango@image...>
  * The -white-threshold option is symmetrical with -black-threshold (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23441);
  * Fix multi-line PNM comments (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23442).
  * The -format option should not automatically append a newline since the
    user can specify a newline in the formatting expression.
  * The -level option is no longer returning a darkened image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23479).
  * Identify SVG image as "SVG" (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=27654).

2013-05-20  6.8.5-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-7, SVN revision 12310.

2013-05-14  6.8.5-7 Glenn Randers-Pehrson <glennrp@image...>
  * Recognize PNG iCCP chunks that contain the sRGB profile and replace
    them with the PNG sRGB chunk.  Use "-define png:preserve-iCCP" to
    get the previous behavior, of simply copying the iCCP chunk.

2013-05-11  6.8.5-7 Cristy  <quetzlzacatenango@image...>
  * Sometimes an sRGB image is masquerading as grayscale (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23370).
  * Labels no longer overflow (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22964).
  * If more then one exception, return the highest security exception.
  * A grayscale image returns a color JPEG for -type TrueColor (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23421).
  * Read PAM comment (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23442).

2013-05-10  6.8.5-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-6, SVN revision 12257.

2013-05-09  6.8.5-6 Cristy  <quetzlzacatenango@image...>
  * The stream utility no longer faults when exporting float pixels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23394).

2013-05-08  6.8.5-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-5, SVN revision 12227.

2013-05-07  6.8.5-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Change the sample JPEG quantization table xml to something that works
    really well with 2x2 Chroma subsampling around quality 75.

2013-05-06  6.8.5-5 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminate whitespace from image properties that hold PNG chunk data.

2013-05-05  6.8.5-5 Cristy  <quetzlzacatenango@image...>
  * The -poly option treats the opacity channel as alpha (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23346).
  * The -threshold 50% option returns a 50-50 black and white image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23354).
  * Let user override the TIFF rows per strip  (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=23307).
  * Fix transient bug in the -separate option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23335).

2013-05-01  6.8.5-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-4, SVN revision 12089.

2013-05-01  6.8.5-4 Cristy  <quetzlzacatenango@image...>
  * Add DeleteImageArtifact() for jpeg:extent artifact (thanks to
    Jimmy Xie @ Microsoft).
  * Track morphology changes per thread to avoid a critical section.

2013-04-28  6.8.5-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-3, SVN revision 12025.

2013-04-29  6.8.5-3 Cristy  <quetzlzacatenango@image...>
  * Add DeleteImageArtifact() for jpeg:extent artifact (thanks to
    Jimmy Xie @ Microsoft).
  * Add support for JXR / WDP image format.

2013-04-28  6.8.5-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-2, SVN revision 12013.

2013-04-28  6.8.5-2 Cristy  <quetzlzacatenango@image...>
  * Use GetImageOption() for webp options (e.g. webp:lossless).

2013-04-27  6.8.5-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-1, SVN revision 12000.

2013-04-26  6.8.5-1 Cristy  <quetzlzacatenango@image...>
  * Recognize xc:gray50 is non-linear.
  * Loop over read() until requested bytes are consumed (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=23268).
  * Don't use gamma lookup map when HDRI is enabled.

2013-04-24  6.8.5-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.5-0, SVN revision 11979.

2013-04-16  6.8.5-0 Glenn Randers-Pehrson <glennrp@image...>
  * Handle benign errors as warnings in the PNG coder.

2013-04-16  6.8.5-0 Cristy  <quetzlzacatenango@image...>
  * Don't modify channel values for -separate (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23193).
  * The -adaptive-sharpen option is now sharpening properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23211).
  * Sometimes an image says it's grayscale when it's not (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23217).
  * Use malloc() to allocate X image data (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23221).
  * If there are more components than quantization tables, the last table is
    replicated.
  * Removed the ICC profile from the logo: image definition in coders/magick.c;
    libpng16 detected that it was a broken sRGB profile.
  * Negatives raised to a non-integer power returns NaN's (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23234).

2013-04-15  6.8.4-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-10, SVN revision 11851.

2013-04-11  6.8.4-10 Cristy  <quetzlzacatenango@image...>
  * Ensure -define jpeg:extent is restricted to at most 7 iterations (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23179).
  * Move X11 font support from annotate.c source module to xwindow.c.

2013-04-10  6.8.4-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-9, SVN revision 11818.

2013-04-10  6.8.4-9 Bastien Roucaries  <roucaries.basti...>
  * Respect --program-suffix configure script option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23143).
  * Update to the newest AX_CHECK_PTHREAD macro from autoconf-archive.

2013-04-10  6.8.4-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Save the calculated angle for "deskew" as the artifact "deskew:angle"

2013-04-08  6.8.4-9 Cristy  <quetzlzacatenango@image...>
  * Pass JP2 format type to decoder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23038).
  * Previously tinting a grayscale image returned dark results.
  * The -page option only affects new images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23172).
  * Revert 'Move binaries to lib subdirectory and link are created from binary
    package' patch.  We're getting too many bug reports.

2013-04-07  6.8.4-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-8, SVN revision 11743.

2013-04-06  6.8.4-8 Cristy  <quetzlzacatenango@image...>
  * Include intensity type in the MIFF metadata.

2013-04-06  6.8.4-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-7, SVN revision 11720.

2013-04-05  6.8.4-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix -sample sampling point to midpoints of sampling areas
  * Add a "sample:offset=" define to allow users to adjust this
    sampling point position in terms of percentage (default = 50x50)

2013-04-02  6.8.4-7 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write a PNG gAMA or cHRM chunk when writing the iCCP or sRGB chunk.

2013-04-02  6.8.4-7 Cristy  <quetzlzacatenango@image...>
  * Return MagickWand for the library name for Wand.pc.
  * The LCH colorspace makes the round-trip now.
  * Revert the default upsampling algortithm for JPEG (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23100).
  * Prevent fault when temporary directory is not-writable (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23117).

2013-04-01  6.8.4-7 Bastien Roucaries  <roucaries.basti...>
  * Prepare X11 support as a plugin.
  * Fix compilation under HPUX of perlmagick

2013-04-01  6.8.4-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-6, SVN revision 11640.

2013-04-01  6.8.4-6 Cristy  <quetzlzacatenango@image...>
  * The -clut option return a luma grayscale instead of the expected luminance.
  * Add moduledir variable to MagickCore.pc to support the MagickFilter and
    MagickCore kits.
  * Caption fits the sized area (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23085).

2013-03-31  6.8.4-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-5, SVN revision 11619.

2013-03-30  6.8.4-5 Cristy  <quetzlzacatenango@image...>
  * Fix transient bug when writing grayscale MIFF images.
  * Adding noise to a gray image returns a gray image as expected.
  * Image interlace no longer overwritten by proper cloning for GIF format.
  * Extract the clipping path from an image file with clip:myimage.

2013-03-29  6.8.4-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-4, SVN revision 11591.

2013-03-29  6.8.4-4 Cristy  <quetzlzacatenango@image...>
  * Update unit test signatures for Q8.
  * Resolve send() / recv() socket problems under MinGW.

2013-03-28  6.8.4-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-3, SVN revision 11581.

2013-03-28  6.8.4-3 Cristy  <quetzlzacatenango@image...>
  * Revert patch to ContrastStretchImage() to match results from 6.8.3-3.

2013-03-27  6.8.4-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-2, SVN revision 11558.

2013-03-27  6.8.4-2 Cristy  <quetzlzacatenango@image...>
  * Use MorphologyApply() rather than MorphologyImage() for -sharpen / -blur.

2013-03-27  6.8.4-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-1, SVN revision 11552.

2013-03-26  6.8.4-1 Cristy  <quetzlzacatenango@image...>
  * Sync 'intensity' option with current image.
  * Normalize sharpen kernel to match that of 6.8.3-3.

2013-03-26  6.8.4-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.4-0, SVN revision 11531.

2013-03-20  6.8.4-0 Cristy  <quetzlzacatenango@image...>
  * Do not write zero-length TIFF tags (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22957).
  * Math library should be private for *.pc.in configuration files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22986).
  * Do not split words for caption (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=17123).
  * Modify the configure script check for the webp delegate library (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=23025).
  * The -blur, -gaussian-blur, and -sharpen are now convenience methods
    for -morphology convolve.
  * Fix infinite loop for 'display -window' (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23028).
  * Revert -auto-level patch to match the results of ImageMagick 6.8.3-4.
  * Revert g_type_init() patch in svg.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23035).

2013-03-18  6.8.3-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-10, SVN revision 11413.

2013-03-15  6.8.3-10 Glenn Randers-Pehrson <glennrp@image...>
  * Added IM, libpng, and zlib version info to debug output.

2013-03-10  6.8.3-10 Bastien Roucaries  <roucaries.basti...>
  * Move PerlMagick arch independent part to 'default' folder.
  * Move binaries to lib subdirectory and link are created from binary package.

2013-03-10  6.8.3-10 Cristy  <quetzlzacatenango@image...>
  * The TXT image format can now generate output compatible with the
    -sparse-color option (e.g. convert image.png sparse-color:image.txt).
  * Support -intensity option: method to generate an intensity value from a
    pixel.
  * Add -similarity-threshold option to the compare utility, the minimum
    distortion for a (sub)image match.
  * Avoid seq-fault in AcquireQuantumInfo() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22973).
  * Comment resource initializers in magick/resource.c.

2013-03-10  6.8.3-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-9, SVN revision 11294.

2013-03-09  6.8.3-9 Cristy  <quetzlzacatenango@image...>
  * Add a space after the LastPage option in coders/ps.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22940).

2013-03-08  6.8.3-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-8, SVN revision 11283.

2013-03-05  6.8.3-8 Cristy  <quetzlzacatenango@image...>
  * GIF comments are no longer displaced by 1 for animated GIFs (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22901).
  * A blur kernel with a zero sigma is unity.

2013-03-03  6.8.3-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-7, SVN revision 11249.

2013-03-02  6.8.3-7 Glenn Randers-Pehrson <glennrp@image...>
  * Do not replace gAMA found in input with 1/2.2
  * Avoid a libpng16 warning about storing unknown chunks.

2013-03-01  6.8.3-7 Cristy  <quetzlzacatenango@image...>
  * Improve performance when rendering a caption.
  * The compare 'map' image should not be transparent.
  * Use only major version for decorating include path.

2013-02-28  6.8.3-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-6, SVN revision 11210.

2013-02-25  6.8.3-6 Cristy  <quetzlzacatenango@image...>
  * Support built-in 1x1 and 2x1 threshold maps (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22861).
  * Check for webp version (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22867).

2013-02-25  6.8.3-6 Glenn Randers-Pehrson <glennrp@image...>
  * Relocated png_set_bKGD(), etc., after png_set_IHDR() because they
    might depend on members of info_ptr that are set by png_set_IHDR().

2013-02-25  6.8.3-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-5, SVN revision 11170.

2013-02-23  6.8.3-5 Cristy  <quetzlzacatenango@image...>
  * Read the WebP extended file format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22809).
  * Add arch annotation to include path to distinquish ImageMagick versions
    6 & 7.

2013-02-22  6.8.3-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-4, SVN revision 11127.

2013-02-22  6.8.3-4 Cristy  <quetzlzacatenango@image...>
  * Reduce default memory resource limit under Windows.

2013-02-19  6.8.3-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-3, SVN revision 11105.

2013-02-19  6.8.3-3 Cristy  <quetzlzacatenango@image...>
  * Set WEBP lossless / lossy property properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22809).

2013-02-18  6.8.3-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-2, SVN revision 11087.

2013-02-17  6.8.3-2 Cristy  <quetzlzacatenango@image...>
  * Semaphore is now unlocked when an X11 annotation exception is thrown.
  * WEBP coder enhancement and memory leak patch (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22809).

2013-02-16  6.8.3-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-1, SVN revision 11060.

2013-02-16  6.8.3-1 Cristy  <quetzlzacatenango@image...>
  * Disable FORTIFY_SOURCE to fix a bug in LVVM / OpenMP support.

2013-02-15  6.8.3-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.3-0, SVN revision 11045.

2013-02-14  6.8.3-0 Cristy  <quetzlzacatenango@image...>
  * Webp requires alpha, not opacity (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22793).

2013-02-12  6.8.3-0 Bastien Roucaries  <roucaries.basti...>
  * Allow PerlMagick to be multi-quantum (e.g. Image::Magick::Q16).

2013-02-11  6.8.2-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-10, SVN revision 11004.

2013-02-11  6.8.2-10 Cristy  <quetzlzacatenango@image...>
  * The XPM regression tests passes now.

2013-02-09  6.8.2-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-9, SVN revision 10995.

2013-02-09  6.8.2-9 Bastien Roucaries  <roucaries.basti...>
  * Export versioning to automake in order to use it for library prefix.
  * So bump was incomplete due to no changing map file.
  * Change abi name by adding major version to lib name (will simplify
    next imagemagick major version release work) and reset release version
    to 1 (due to changing abi name).

2013-02-09  6.8.2-9 Cristy  <quetzlzacatenango@image...>
  * The DOT coders now compiles with GraphViz 2.30 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22767).

2013-02-09  6.8.2-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-8, SVN revision 10986.

2013-02-09  6.8.2-8 Cristy  <quetzlzacatenango@image...>
  * MagickStatisticImage() method signature was corrected, SO bump required.

2013-02-08  6.8.2-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-7, SVN revision 10965.

2013-02-08  6.8.2-7 Cristy  <quetzlzacatenango@image...>
  * Ensure MagickCore compiles with a C++ compiler.

2013-02-07  6.8.2-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-6, SVN revision 10961.

2013-02-07  6.8.2-6 Cristy  <quetzlzacatenango@image...>
  * Don't destroy an image that's already destroyed (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22747).
  * Montage is now invariant to the font when no label image label exists.

2013-02-06  6.8.2-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-5, SVN revision 10952.

2013-02-05  6.8.2-5 Cristy  <quetzlzacatenango@image...>
  * FITS now properly renders the 16 bit signed integer format.

2013-02-04  6.8.2-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-4, SVN revision 10909.

2013-02-02  6.8.2-4 Cristy  <quetzlzacatenango@image...>
  * Do not subsample raw CMYK JPEG images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22731).

2013-02-02  6.8.2-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-3, SVN revision 10894.

2013-02-01  6.8.2-3 Cristy  <quetzlzacatenango@image...>
  * Respect endian for FITS image format.
  * Remove artifact when drawing a circle (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22724).

2013-02-01  6.8.2-3 Glenn Randers-Pehrson <glennrp@image...>
  * Deleted some code added to the PNG decoder in SVN revision 10825; it
    was failing to handle transparency in paletted images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22720).
  * Compare alpha to "QuantumRange-OpaqueOpacity" not just "OpaqueOpacity"
    when detecting transparency in the PNG encoder.

2013-02-01  6.8.2-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-2, SVN revision 10883.

2013-01-30  6.8.2-2 Cristy  <quetzlzacatenango@image...>
  * Properly initialize new throttle resource limit.

2013-01-29  6.8.2-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-1, SVN revision 10859.

2013-01-28  6.8.2-1 Cristy  <quetzlzacatenango@image...>
  * Fix 'format not a string literal' problem (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22656).

2013-01-28  6.8.2-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.2-0, SVN revision 10831.

2013-01-21  6.8.2-0 Glenn Randers-Pehrson <glennrp@image...>
  * Impose a 32k limit on the number of text chunks that will be read.
  * Implemented PNG00, PNG48 and PNG64 PNG subformats.
  * Avoid reading back PNG pixel rows while reading a transparent PNG (
    by using a local "alpha" value instead of GetPixelOpacity()).

2013-01-21  6.8.2-0 Cristy  <quetzlzacatenango@image...>
  * Avoid a rare thread lock for timeout event (e.g. MAGICK_TIME_LIMIT=30).
  * Support a distributed pixel cache.
  * Fix numerical stability problem for convolution.
  * Increase segment stack size for -draw option.

2013-01-18  6.8.1-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-10, SVN revision 10667.

2013-01-08  6.8.1-10 Cristy  <quetzlzacatenango@image...>
  * Add the same noise value to each channel of a grayscale image (+noise).
  * Fix recursive descent within XGetWindowImage() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22550).
  * Multi-plane MatLab images now render properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22586).

2013-01-06  6.8.1-10 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed LBR01 (left-bit-replication) macro in coders/png.c; problem reported
    by the clang compiler.
  * Chromaticity values were read in the wrong order in the cHRM chunk
    when it accompanied the sRGB chunk. Libpng applications built with
    libpng16 and later will detect this and issue a warning (PNG files
    previously written with the cHRM chunk are OK).  Removed the
    troublesome redundant png_set_cHRM() and png_set_sRGB() calls.
  * Look for libpng17 and libpng16 while configuring PNG support.

2013-01-06  6.8.1-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-9, SVN revision 10518.

2013-01-06  6.8.1-9 Cristy  <quetzlzacatenango@image...>
  * Type correction in blob code.

2013-01-02  6.8.1-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-8, SVN revision 10481.

2013-01-02  6.8.1-8 Cristy  <quetzlzacatenango@image...>
  * Check for a density of zero when rendering with Pango (reference
    https://www.imagemagick.org/discourse-server/viewforum.php?f=3).

2013-01-01  6.8.1-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-7, SVN revision 10468.

2013-01-01  6.8.1-7 Cristy  <quetzlzacatenango@image...>
  * magick-baseconfig.h is architecture dependant;
    make headers quantum depth neutral (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22509).

2013-01-01  6.8.1-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-6, SVN revision 10461.

2012-12-31  6.8.1-6 Cristy  <quetzlzacatenango@image...>
  * Repair numerical stability issue with gradients (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22507).

2012-12-30  6.8.1-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-5, SVN revision 10428.

2012-12-29  6.8.1-5 Cristy  <quetzlzacatenango@image...>
  * Correction to scientific notation for the -evaluate log option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22496).

2012-12-29  6.8.1-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-4, SVN revision 10420.

2012-12-28  6.8.1-4 Cristy  <quetzlzacatenango@image...>
  * Support scientific notation for the -evaluate log option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22496).

2012-12-25  6.8.1-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-3, SVN revision 10394.

2012-12-25  6.8.1-3 Cristy  <quetzlzacatenango@image...>
  * Remove pow() dependency from public header.

2012-12-24  6.8.1-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-2, SVN revision 10385.

2012-12-23  6.8.1-2 Cristy  <quetzlzacatenango@image...>
  * Magickcore headers recently used pow() in the inline functions inside
    public headers.  Thus in order to avoid library depends problem, put -lm
    in library depends (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22483).
  * Negative exponentiation bug fix (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22484).

2012-12-23  6.8.1-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-1, SVN revision 10350.

2012-12-23  6.8.1-1 Cristy  <quetzlzacatenango@image...>
  * More large image performance tuning.

2012-12-20  6.8.1-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.1-0, SVN revision 10327.

2012-12-16  6.8.1-0 Cristy  <quetzlzacatenango@image...>
  * Return non-zero exit status if two images differ for the compare utility.
  * Large image performance tuning.

2012-12-15  6.8.0-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-10, SVN revision 10236.

2012-12-13  6.8.0-10 Cristy  <quetzlzacatenango@image...>
  * Improve exception reporting when AcquireAuthenticCacheView() fails.

2012-12-13  6.8.0-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Minor tweeks and commenting of Virtual Pixel shortcuts in
    resampling filters.
  * Added -define "shepards:power" to control the power setting (def=2)
    for Shepards Method in -distort and  -sparse-color
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=22416

2012-12-13  6.8.0-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-9, SVN revision 10182.

2012-12-10  6.8.0-9 Glenn Randers-Pehrson <glennrp@image...>
  * Prepended "Acquire" and "Relinquish" to debugging log messages in
    magick/resource.c that only showed the filename.
  * Added temporary file-count diagnostics to tests/validate.c (this required
    exporting GetPathTemplate() from magick/resource.c
  * Eliminate file leak when writing the JNG image format.

2012-12-09  6.8.0-9 Cristy  <quetzlzacatenango@image...>
  * Further support for associating quantum depth with ABI (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22352).
  * Check for negative square root when resampling (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22398).

2012-12-07  6.8.0-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-8, SVN revision 10118.

2012-11-28  6.8.0-8 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed problem with writing grayscale PNG, bug introduced in version
    6.8.0-0 or 6.8.0-1 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22355).

2012-11-28  6.8.0-8 Cristy  <quetzlzacatenango@image...>
  * Allow temporary-path policy to override temporary path environment
    variables (e.g. MAGICK_TMPDIR).
  * Implement symbol versioning (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22352).
  * ABI is incompatible if quantum depth change. Add abi indication to library
    name, thanks to Bastien Roucaries (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22352).
  * The stream utility no longer returns a black image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22046).

2012-11-26  6.8.0-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-7, SVN revision 10029.

2012-11-25  6.8.0-7 Cristy  <quetzlzacatenango@image...>
  * Width value is optional for label coder (e.g. -size x40 label:Magick).

2012-11-20  6.8.0-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-6, SVN revision 10024.

2012-11-21  6.8.0-6 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed an old bug in chromaticity decoding in coders/bmp.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22294).
  * Fixed bug in coders/bmp.c that failed to read a paletted image
    properly (fix by J. Summers, reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22316).

2012-11-21  6.8.0-6 Cristy  <quetzlzacatenango@image...>
  * Fixed bug in coders/bmp.c that failed to read transparency
    properly (fix by J. Summers, reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22312).

2012-11-20  6.8.0-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-5, SVN revision 10001.

2012-11-15  6.8.0-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Added % escape prefixes %[artifact:..] and %[option:..]
    Including glob search,  EG:  -print "__Options__\n%[option:*]"
    (backport from IMv7 changes)

2012-11-10  6.8.0-5 Cristy  <quetzlzacatenango@image...>
  * Revert HCL saturation strategy patch, it improperly clips white to black.
  * Default to -dEPSCrop for Ghostscript unless eps:use-crop=false (reference
    https://bugzilla.redhat.com/show_bug.cgi?id=832690#c2).
  * Add support for -poly, build a polynomial from the image sequence and the
    corresponding terms (coefficients and degree pairs).
  * Support the OLE Macintosh image format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22257).

2012-11-08  6.8.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * Implemented faster decoding of interlaced PNG images.

2012-11-03  6.8.0-5 Glenn Randers-Pehrson <glennrp@image...>
  * Skip PNG palette-building when it is not needed.
  * Let libpng expand sub-8-bit pixels while reading a PNG file.

2012-11-01  6.8.0-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-4, SVN revision 9832.

2012-10-31  6.8.0-4 Cristy  <quetzlzacatenango@image...>
  * PFM images are grayscale, not sRGB (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22178).
  * Keep YCbCR JPEG compressed TIFF images in the YCbCr colorspace (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22148).

2012-10-27  6.7.9-4 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write sRGB chunk if image->gamma isn't close to (1/2.2), i.e.,
    (0.45 <= gamma <= 0.46) (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22139).

2012-10-25  6.8.0-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-3, SVN revision 9783.

2012-10-21  6.8.0-3 Cristy  <quetzlzacatenango@image...>
  * TIFF positional information must be positive (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22106).
  * Set the compression quality for the Webp image format.

2012-10-21  6.8.0-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-2, SVN revision 9738.

2012-10-20  6.8.0-2 Cristy  <quetzlzacatenango@image...>
  * Wait for more bytes if the number of returned bytes is less than
    requested in ReadBlob().
  * Prefer fullname property for font, if it exists, otherwise family + style.

2012-10-17  6.8.0-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Added LanczosRadius filter, that blurs an EWA Lanczos to a integer
    support size. Equivalent to Lanczos in tensor resize case.

2012-10-16  6.8.0-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-1, SVN revision 9632.

2012-10-12  6.8.0-1 Cristy  <quetzlzacatenango@image...>
  * Fix color management for the -solarize option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22059).
  * Some colormap unit tests failed for a quantum depth of 32 (problem
    report from Glenn Randers-Pehrson).

2012-10-12  6.8.0-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.8.0-0, SVN revision 9594.

2012-10-07  6.8.0-0 Cristy  <quetzlzacatenango@image...>
  * Check -fx expression early to prevent fault.
  * Performance boost for iOS / Android requires a SO major version increment.
  * Corrupt PNG image could cause a memory leak (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22024).

2012-10-06  6.7.9-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-10, SVN revision 9514.

2012-10-01  6.7.9-10 Cristy  <quetzlzacatenango@image...>
  * SVG specs says "1pt" equals "1.25px" (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21967).
  * Support TIFF proprietary tag 34118.
  * The define option is no longer "lazy" interpretation (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22007).

2012-10-01  6.7.9-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-9, SVN revision 9473.

2012-09-27  6.7.9-9 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in JPEG decoder when reading a corrupt image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21948).
  * Add exif:thumbnail namespace to distiguish orientation tag (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21938).
  * Respect DPX data offsets (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21960).

2012-09-26  6.7.9-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-8, SVN revision 9437.

2012-09-24  6.7.9-8 Cristy  <quetzlzacatenango@image...>
  * Off-by-one error in DrawPolygonPrimitive().
  * Fix memory leak in WebP decoder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21943).
  * Certain caption phrases were cut off (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21550).

2012-09-22  6.7.9-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-7, SVN revision 9410.

2012-09-20  6.7.9-7 Cristy  <quetzlzacatenango@image...>
  * jpeg:sampling-factor might be an image property or an option (reference
https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21884).

2012-09-15  6.7.9-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-6, SVN revision 9375.

2012-09-14  6.7.9-6 Cristy  <quetzlzacatenango@image...>
  * Don't compand the YCC colorspace, its already companded.

2012-09-12  6.7.9-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-5, SVN revision 9358.

2012-09-12  6.7.9-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Merge static inline Sigmoidal functions from IM7 to IM6.

2012-09-12  6.7.8-5 Anthony Thyssen <A.Thyssen@griffith...>
  * All untapered windowing filters Welch and Cosine changed to use a 3 lobe
    support (like Lanczos). These were not part of the original 'zoom' program.

2012-09-11  6.7.9-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * sigmoidal-contrast: prevent out of range argument.

2012-09-09  6.7.9-5 Cristy  <quetzlzacatenango@image...>
  * The number of default OpenMP threads is 1 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=23&t=21838).
  * Only first image of raw grayscale image was set to GRAY (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21428).
  * Change sigmoidal-contrast define to inline method to conform with ANSI-C
    requirements.

2012-09-10  6.7.9-5 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * enhance.c improvements:
  * Add tanh/atanh clone of legacy sigmoidal map (faster & more accurate);
  * Add final ClampToQuantum in sigmoidal colormap loop;
  * Remove OpenMP for threads that do not loop over rows;
  * Immediate no-op exit from sigmoidal-contrast if contrast<MagickEpsilon.

2012-09-08  6.7.9-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-4, SVN revision 9282.

2012-09-05  6.7.9-4 Cristy  <quetzlzacatenango@image...>
  * Identify image files with embedded '%d' (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21798).
  * Don't include TIFF header for compress.c source module
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21800).

2012-09-01  6.7.9-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-3, SVN revision 9202.

2012-08-28  6.7.9-3 Cristy  <quetzlzacatenango@image...>
  * Support -channel sync option for -equalize (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21746).
  * Don't remove color profile when setting the image colorspace (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21747).
  * Recognize ICO format in URL (e.g. http://www.google.com/favicon.ico).
  * Don't define HAVE_BOOLEAN for JPEG under MinGW (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=14071).

2012-08-26  6.7.9-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-2, SVN revision 9120.

2012-08-25  6.7.9-2 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug in Q32 builds that erroneously read grayscale 16-bit PNGs
    as PseudoColor.

2012-08-24  6.7.9-2 Cristy  <quetzlzacatenango@image...>
  * Support -channel option for -solarize (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21738).

2012-08-23  6.7.9-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-1, SVN revision 9095.

2012-08-22  6.7.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * The gAMA chunk with gamma==1.0 was ignored while deciding whether to set
    the image colorspace to GRAY when reading grayscale PNG images.

2012-08-16  6.7.9-1 Cristy  <quetzlzacatenango@image...>
  * Adjust scaling for Luv colorspace conversion (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21664).
  * Copy alpha channel of the -median option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21694).
  * Don't add matte channel for -coalesce if input images don't have one.
  * Prevent memory leak in ImageToBlob() if image write fails.
  * In rare cases, label would not auto-size properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21716).
  * Identify command now reports the image colorspace for non-verbose results.
  * Account for stroke width when rendering a caption (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=21721).
  * Don't colorize alpha channel if it is not active (reference
   https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21547

2012-08-15  6.7.9-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.9-0, SVN revision 8970.

2012-08-14  6.7.9-0 Cristy  <quetzlzacatenango@image...>
  * RGB -> HCL, return correct hue when g < b < r (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21646).
  * Prefer inkscape for best SVG compliance.
  * HCL -> RGB conversion enhancement (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21663).
  * Utilize inkscape if it is in your execution path otherwise RSVG.  If
    neither is available, revert to the internal SVG renderer.
  * Initialize image->x_resolution and y_resolution to 0 in image.c
    (previously they were initialized to DefaultResolution, which is 72.0).

2012-08-12  6.7.8-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-10, SVN revision 8915.

2012-08-10  6.7.8-9 Cristy  <quetzlzacatenango@image...>
  * Respect the image mask for option -selective-blur (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21631).
  * Fix multiple issues with BMPv5 colorimetry (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21640).

2012-08-10  6.7.8-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-9, SVN revision 8902.

2012-08-07  6.7.8-9 Cristy  <quetzlzacatenango@image...>
  * Selective blur stopped working after version 6.7.4-10 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21604).
  * Color reduction now handles transparent pixel properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18463).
  * ClipImagePath() now returns a valid SVG XML for Windows x64 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21617).

2012-08-05  6.7.8-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-8, SVN revision 8845.

2012-08-03  6.7.8-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added 2d named convolution kernel Binomial (for Fred Wienhaus)

2012-08-01  6.7.8-8 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Clean up sigmoidal-contrast.

2012-07-31  6.7.8-8 Cristy  <quetzlzacatenango@image...>
  * Use ConcatenateString() for multi-block GIF comments.
  * Caption no longer chops off text (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21558).
  * Support LUV colorspace.
  * Support HCL colorspace.
  * Don't transform the composite image colorspace, set it instead.
  * Interpret -border 5% as 5% of width and 5% of height (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21537).
  * Don't normalize zero-sum kernels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21584).
  * Transform grayscale to linear RGB if fill color is non-gray (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21586).

2012-07-30  6.7.8-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-7, SVN revision 8766.

2012-07-28  6.7.8-7 Glenn Randers-Pehrson <glennrp@image...>
  * Update certain typecasts for libpng < and >= 1.4.0 to allow memory
    allocation > 4GB and prevent a DOS.

2012-07-28  6.7.8-7 Cristy  <quetzlzacatenango@image...>
  * Set DICOM grayscale images to the gray colorspace.
  * Missing grestore from ps3.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20445).
  * Use GetMagickResourceLimit(ThreadResource) to set the # threads (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21543).

2012-07-22  6.7.8-6 Glenn Randers-Pehrson <glennrp@image...>
  * Only report sRGB, iCCP, gAMA, cHRM chunks in "identify" output when
    these chunks were actually present in input, and not when they were
    inserted by the PNG decoder.

2012-07-22  6.7.8-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-6, SVN revision 8720.

2012-07-21  6.7.8-6 Glenn Randers-Pehrson <glennrp@image...>
  * Make sure "intent" is initialized in the PNG decoder.

2012-07-21  6.7.8-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-5, SVN revision 8717.

2012-07-20  6.7.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * Corrected an error in the logic introduced in 6.7.8-3 to always write
    a color PNG when image->colorspace is sRGB.

2012-07-19  6.7.8-5 Cristy  <quetzlzacatenango@image...>
  * Inverse YUV colorspace now produces pure red as expected.
  * Support halted streams:
    cat image.pnm | convert 'pnm:fd:0[0]' 'pnm:fd:0[0]' x:.

2012-07-18  6.7.8-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-4, SVN revision 8697.

2012-07-17  6.7.8-4 Glenn Randers-Pehrson <glennrp@image...>
  * Write ICON subimage as PNG32, only when its dimensions are 256x256
    and image->compression is UndefinedCompression or ZipCompression.

2012-07-16  6.7.8-4 Cristy  <quetzlzacatenango@image...>
  * sRGB color gradients should be in a non-linear colorspace.
  * Fix -fx to interpret scientific notation properly.
  * The draw epsilon was too sensitive.

2012-07-15  6.7.8-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-3, SVN revision 8675.

2012-07-14  6.7.8-3 Glenn Randers-Pehrson <glennrp@image...>
  * Always write a color PNG when image->colorspace is sRGB.

2012-07-08  6.7.8-3 Cristy  <quetzlzacatenango@image...>
  * Attenuate random noise (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21387).
  * Return linear grayscale for gradient:white-black.
  * Promote linear grayscale to linear RGB when compositing.
  * gradient:white-black is sRGB whereas gradient:'icc-color(rgb,255,255,255)-
    icc-color(rgb,0,0,0)' is linear RGB whereas gradient:'gray(255)-gray(0)' is
    linear grayscale.
  * Revert sigmoidal contrast define (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=22&t=21415).

2012-07-08  6.7.8-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-2, SVN revision 8621.

2012-07-02  6.7.8-2 Cristy  <quetzlzacatenango@image...>
  * Set the colorspace to linear gray when reading intensity values (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21362).
  * Don't overrun pixel buffer on inverse fourier for odd image widths.
  * Change LAB encoding to permit blurring, resize, etc.
    (signed A and B channel values now stored using a 50% bias)

    Additional.. This removes a non-linear discontinuity from stored LAB space
    values. As a result you can now Blur, Compose, Resize and Distort in LAB
    colorspace, without problems that previously existed.

2012-07-04  6.7.8-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-1, SVN revision 8595.

2012-07-02  6.7.8-1 Cristy  <quetzlzacatenango@image...>
  * A single argument -stereo option now works as documented (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21348).
  * The -separate option returns channels as linear grayscale.
  * Remove the sRGB color profile when converting to grayscale (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21355).

2012-06-29  6.7.8-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.8-0, SVN revision 8554.

2012-06-28  6.8.0-0 Cristy  <quetzlzacatenango@image...>
  * Increase epsilon value, smallest difference between two points (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15870).

2012-06-28  6.7.7-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-10, SVN revision 8534.

2012-06-26  6.7.7-10 Glenn Randers-Pehrson <glennrp@image...>
  * Don't attempt to use Z_RLE compression strategy with old zlib (prior to
    zlib-1.2.0) that does not support it.
  * Increase PLTE chunk length to accommodate background color in indexed PNG
    (reference www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=21288).
  * Added png:PLTE.number_colors to verbose output.

2012-06-25  6.7.7-10 Cristy  <quetzlzacatenango@image...>
  * Permit linear RGB for PNM and TIFF image formats.
  * Fix conflicting types for 'GenerateDifferentialNoise' (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21286).
  * Fix cast to pointer from integer of different size (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21286).
  * Fix broken MSL profile tag (reference
    https://www.imagemagick.org/discourse-server/viewforum.php?f=9).
  * Better recognition of a CMYK PDF.

2012-06-24  6.7.7-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-9, SVN revision 8460.

2012-06-23  6.7.7-9 Cristy  <quetzlzacatenango@image...>
  * Some options were incorrectly promoting linear gray to sRGB.

2012-06-22  6.7.7-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-8, SVN revision 8432.

2012-06-15  6.7.7-8 Cristy  <quetzlzacatenango@image...>
  * Support the -features option in convert / mogrify.
  * Add support for the %[type] property.

2012-06-15  6.7.7-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Geometry arguments accept multiple sign character for offsets
    EG: "-10-10", "-+10-+10", or "+-10+-10" generate negative offsets
    while "+10+10", "++10++10", or "--10--10" generate positive offsets,
    that is, you can not only optionally have a sign in offset variable
    substitutions, but can negate that substitution if you so desire.

2012-06-12  6.7.7-8 Nicolas Robidoux <nicolas.robidoux@gmail...>
  * Refactor Catmull-Rom and Spline "interpolation" using
    state-of-the-art unpublished formulas.
  * Fix incorrect transparency handling of "interpolative" cubic
    B-spline smoothing.

2012-06-09  6.7.7-8 Cristy  <quetzlzacatenango@image...>
  * Initialize alpha channel when floodfill fill color is not opaque.
  * XYZ and Lab colorspace conversion tweaked (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21161).

2012-06-08  6.7.7-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-7, SVN revision 8219.

2012-06-06  6.7.7-7 Glenn Randers-Pehrson <glennrp@image...>
  * Disabled the new libpng-1.5.10 test for invalid palette index when
    reading a PNG or MNG (for speed), or when writing a MNG (because a
    zero-length PLTE is valid in a MNG when the global PLTE is used).
  * Display the PNG colortype as a string in "identify -verbose" output.

2012-06-06  6.7.7-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Small refactor of Average Interpolators (save some multiplies)
  * Added 'Spline' as a filter type as an alias to 'Cubic'. This brings both
    Catrom and Spline -filter and -interpolate methods in line.  Cubic should
    only be used when defining a general cubic using expert settings or
    when listed in "filter:verbose" debugging output.

2012-06-05  6.7.7-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-6, SVN revision 8164.

2012-06-05  6.7.7-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Renamed 'Bicubic' interpolation the more precise definition 'Catrom'
    Old name kept (but hidden) for backward compatibility in bit CLI and
    API interfaces.

2012-06-01  6.7.7-6 Cristy  <quetzlzacatenango@image...>
  * The -set colorspace option sets the colorspace, it does not transform it.
  * Assume grayscale images in the GIF format are linear.
  * Add Nicolas Robidoux's bicubic interpolation method (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21118).
    This replaces the old 'bicubic' which was very extreme 'cardinal' cubic.
  * Add DuPont & XFIG copyright to NOTICE.
  * sRGB.icc has an unfriendly license, remove it.
  * MinGW does not define KEY_WOW64_32KEY (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=21155).
  * -evaluate log properly handles negative pixel values.
  * The display program displays the ImageMagick logo on EOF.

2012-05-31  6.7.7-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-5, SVN revision 8099.

2012-05-31  6.7.7-5 Cristy  <quetzlzacatenango@image...>
  * Set terminal character for GIF comment.

2012-05-30  6.7.7-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-4, SVN revision 8096.

2012-05-30  6.7.7-4 Cristy  <quetzlzacatenango@image...>
  * 'convert 1-bit.tif -rotate 90 ...' returns a 1-bit TIFF image as expected.

2012-05-29  6.7.7-4 Glenn Randers-Pehrson <glennrp@image...>
  * Ignore APNG chunks even when libpng is built with the "APNG patch".

2012-05-29  6.7.7-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-3, SVN revision 8089.

2012-05-28  6.7.7-3 Cristy  <quetzlzacatenango@image...>
  * Fix bug with stroke-dasharray (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21090).
  * In rare cases, caption would not word-wrap properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21106).
  * Don't set alpha pixels in SetImageVirtualPixelMethod() unless
    image area is well defined (i.e. != 0) (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=21110).

2012-05-27  6.7.7-3 Anthony Thyssen <A.Thyssen@griffith...>
  * Trialing the addition of new interpolation methods
      Average16         average of 16 pixels around sampling point
      Average9          9 pixels around nearest pixel
      Average4          Average of 4 pixels around sampling point
      Background        Background color (for resampling error checking)
      Blend             Blend of closest 1, 2 or 4 pixel neighbors
    NOTE: 'Average' is now equivalent to 'Average4',
    previous to this version it was equivalent to 'Average16'.
    The 'Background' method is for showing 'resample errors' be it
    accidental, or on purpose.  See IM Examples, Cylindrical Filters.
  * added -interpolative-resize added around this version

2012-05-26  6.7.7-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-2, SVN revision 8066.

2012-05-26  6.7.7-2 Cristy  <quetzlzacatenango@image...>
  * MagickDelay() is in microseconds, not milliseconds.

2012-05-25  6.7.7-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-1, SVN revision 8059.

2012-05-20  6.7.7-1 Cristy  <quetzlzacatenango@image...>
  * In rare cases, caption would not word-wrap properly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21044).
  * Set the JPEG image colorspace after the columns / rows are set (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21059).
  * Potential gray images are in either the gray or RGB colorspaces.
  * Restore MagickSetImageEndian() method (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=20425&p=81525).
  * Respect resolution when rendering SVG (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21076).

2012-05-20  6.7.7-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Delegates now 'spawn' faster (replaced 2 second sleep!) (for "show:")

2012-05-17  6.7.7-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.7-0, SVN revision 7980.

2012-05-17  6.7.7-0 Cristy  <quetzlzacatenango@image...>
  * Group4-compressed TIFF / PDF image formats stopped working (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=21039).
  * Auto convert images in the grayscale colorspace to sRGB (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21031).

2012-05-16  6.7.6-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-10, SVN revision 7952.

2012-05-14  6.7.6-10 Glenn Randers-Pehrson <glennrp@image...>
  * Reset color info in grayscale PNG images to gamma=1.0, undefined
    rendering_intent and chromaticity only when reading images that don't
    have a gAMA, sRGB, or cHRM chunk.

2012-05-14  6.7.6-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Added a low level "Cosine" Windowing Filter -- Request by Nicholas Robidox
  * Fixed Kaiser Window Filter (was producing all zeros!)
  * Kaiser Window Function now uses the working value "filter:kaiser-beta"
    (formerly "filter:alpha" in previous versions)
  * Setting the expert option "filter:kaiser-alpha" will override this,
    (after being multiplied by PI).
  * Added resampling 'weight' sanity check in EWA resampling.
  * Set default for histogram:unique-colors to be 'true' when undefined
    Returning it to previous behavior.
  * Refactor of InterpretImageProperties() (percent escape substitutions)
  * Add "gamma" as a -set and % escape to access image gamma meta-data

2012-05-05  6.7.6-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-9, SVN revision 7812.

2012-05-05  6.7.6-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Allow braced single letter escapes, EG "%[x]" as equivalent to "%x"

2012-05-04  6.7.6-9 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write an invalid PNG sRGB chunk when rendering intent is undefined.

2012-05-01  6.7.6-9 Cristy  <quetzlzacatenango@image...>
  * EXR images are in the linear RGB colorspace with a gamma of 1.0 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=20895).
  * Correct annotation offset for right-to-left labels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20884).
  * The -level 100x0% now produces the equivalent of -negate (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20889).
  * Virtual pixel transparent no longer cause fatal exception (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?t=20903).
  * Promote gray image to sRGB when color is injected.

2012-04-29  6.7.6-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-8, SVN revision 7705.

2012-04-25  6.7.6-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Gaussian Filter Fixed.
    For some strange reason it was half the width it should be with an
    effective sigma of 0.25 (not 0.5).  This was the real reason "variable
    blur" was not blurring enough.

2012-04-24  6.7.6-8 Cristy  <quetzlzacatenango@image...>
  * Colorspace round-trip unit tests now work for Q32.

2012-04-23  6.7.6-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added the RobidouxSharp filter (originally defined Dec 2011)
  * Fixed Variable Blur - bad blur area calculation
    Also Gaussian is sampling properly. Substitute the faster Cubic for now.
  * Convert no longer will do an implicit write to a single space image.

2012-04-21  6.7.6-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-7, SVN revision 7587.

2012-04-21  6.7.6-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Error when doing an implicit (final) write to a single space filename.
    This is typically a failed line continuation and is very common.
    Using an explicit "-write" will let you do this.

2012-04-20  6.7.6-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Allow +-X+-Y as geometry arguments.

2012-04-17  6.7.6-7 Cristy  <quetzlzacatenango@image...>
  * Distinguish grayscale as sRGB not linear RGB.

2012-04-16  6.7.6-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-6, SVN revision 7536.

2012-04-11  6.7.6-6 Glenn Randers-Pehrson <glennrp@image...>
  * Always unlock the semaphore before returning from the png codec, either
    by a "return" or png_error(); changed all Magick*Exception() calls
    after setjmp() to png_error() to ensure proper cleanup (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16883).

2012-04-10  6.7.6-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Fixed log known alpha*kernel normalization bug in morphology convolve.

    Convolve kernel weights have been separated from alpha blend handling.
    Un-normalized kernels applied to images with active alpha will no longer
    be auto-normalized due to the effect of alpha blending.  The bug causes
    images using the default channel setting and having an alpha channel to
    automatically 'normalize' the results of a convolve during the handling
    of alpha blending.  This probably would cause severe effects when a
    zero-summing kernel is being used on an image containing an active (though
    likely fully-opaque) alpha channel, as division by near zero weights
    would cause extreme color values in results.  This bug is not normally
    seen as convolution, which is normally applied only to fully-opaque
    images. And using a zero-summing kernel on an image with alpha also
    results in a transparent image!  This is why it was not fixed up until now.

2012-04-08  6.7.6-6 Cristy  <quetzlzacatenango@image...>
  * Pixel allocation for Pango is stride*rows not stride*columns.
  * Set the image resolution for Postscript files with an embedded Photoshop
    profile.
  * Ensure proper round trips to / from sRGB (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20751).

2012-04-07  6.7.6-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-5, SVN revision 7483.

2012-04-06  6.7.6-5 Cristy  <quetzlzacatenango@image...>
  * Avoid fault in SetCacheAlphaChannel() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20681).
  * Don't assume EXIF orientation tag is 2 bytes.

2012-04-04  6.7.6-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-4, SVN revision 7356.

2012-04-01  6.7.6-4 Cristy  <quetzlzacatenango@image...>
  * Properly set the XCF alpha channel values (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20642).
  * Support 'orientation' property (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=20650).
  * The default RGB colorspace transform is now linear (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?p=82839#p82839).
  * Prevent EXIF integer overflow (CVE-2012-1610).

2012-03-30  6.7.6-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-3, SVN revision 7290.

2012-03-29  6.7.6-3 Cristy  <quetzlzacatenango@image...>
  * Don't copy invalid memory when reading TIFF EXIF IFD (CERT-FI case 634116,
    CVE-2012-1798).
  * Bail if we receive excessive JPEG warnings (CERT-FI case 634117,
    CVE-2012-0260).
  * Properly initialize EXIF buffers to prevent JPEG EXIF tag crash (CERT-FI
    case 634118, CVE-2012-0259).

2012-03-28  6.7.6-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-2, SVN revision 7245.

2012-03-26  6.7.6-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Added "Nearest" as a synonym for "Nearest-Neighbor" interpolate setting

2012-03-21  6.7.6-2 Glenn Randers-Pehrson <glennrp@image...>
  * coders/png.c: stored "file_gamma" for later use by identify.

2012-03-19  6.7.6-2 Cristy  <quetzlzacatenango@image...>
  * Add full support for Pango markup.
  * Pango namespace is 'pango:', not 'caption:'.
  * Correct for EXR images with broken display windows.

2012-03-18  6.7.6-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-1, SVN revision 7145.

2012-03-16  6.7.6-1 Glenn Randers-Pehrson <glennrp@image...>
  * Reduce the scope of quantum_info in the PNG decoder to avoid a possible
    memory leak (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20522).

2012-03-13  6.7.6-1 Cristy  <quetzlzacatenango@image...>
  * Use uint32 pointer for ReadStripMethod in coders/tiff.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20526).
  * Ghostscript 32/64 bit detection patch (contributed by
    axeld@pinc-...).
  * Honor center gravity for caption: with Pango support (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20517).
  * Add support for pango: coder to render captions with Pango.

2012-03-10  6.7.6-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.6-0, SVN revision 7090.

2012-03-06  6.7.6-0 Cristy  <quetzlzacatenango@image...>
  * Importing from the X11 root windows no longer leaks memory (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20470).
  * Check to see if delegate file exists before copying.

2012-03-05  6.7.5-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-10, SVN revision 7056.

2012-03-05  6.7.5-10 Cristy  <quetzlzacatenango@image...>
  * Fix too many arguments to AnnotateImage() (copy/paste bug).

2012-03-02  6.7.5-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-9, SVN revision 7046.

2012-02-29  6.7.5-9 Cristy  <quetzlzacatenango@image...>
  * Caption no longer includes the prefix "caption:" in the rendered text.
  * Auto scale pointsize for -size 100x100 caption:

2012-03-02  6.7.5-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-8, SVN revision 7027.

2012-03-02  6.7.5-8 Glenn Randers-Pehrson <glennrp@image...>
  * non-verbose identify now reports DirectClass for transparent PNG images
    to agree with the report by identify -verbose.  (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20448 and
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15482).

2012-02-29  6.7.5-8 Cristy  <quetzlzacatenango@image...>
  * Support infinite caption lengths.
  * Permit custom JPEG quantization tables (e.g.
    -define jpeg:q-table=quantization-table.xml).
  * Missing grestore from ps2.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20445).

2012-02-29  6.7.5-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Image list options (like "-delete" and "-swap") to "montage".

2012-02-25  6.7.5-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-7, SVN revision 6965.

2012-02-23  6.7.5-7 Cristy  <quetzlzacatenango@image...>
  * Add support for the EMFPlus delegate program.

2012-02-22  6.7.5-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Re-added the Iterative Distance function in morphology (as opposed to the
    faster more direct 2-pass Distance Function that replaced it) so it can be
    used in the special situation of Constrained Distance Morphology.
    https://www.imagemagick.org/discourse-server/viewtopic.php??f=2&t=18032

2012-02-13  6.7.5-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-6, SVN revision 6851.

2012-02-13  6.7.5-6 Cristy  <quetzlzacatenango@image...>
  * Only set PDF & PS page size when explicitly requested (e.g. -page).

2012-02-12  6.7.5-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-5, SVN revision 6840.

2012-02-12  6.7.5-5 Cristy  <quetzlzacatenango@image...>
  * Only use the canvas size of the very first frame of a GIF image sequence.

2012-02-11  6.7.5-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-4, SVN revision 6824.

2012-02-08  6.7.5-4 Cristy  <quetzlzacatenango@image...>
  * Set image alpha channel for -virtual-pixel background and transparent.
  * Get tiff:fill-order as an image artifact, not an image option.

2012-02-06  6.7.5-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-3, SVN revision 6732.

2012-02-06  6.7.5-3 Cristy  <quetzlzacatenango@image...>
  * TIFF no longer writes the incorrect fill order.

2012-02-05  6.7.5-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-2, SVN revision 6718.

2012-02-03  6.7.5-2 Cristy  <quetzlzacatenango@image...>
  * Add SyncImagePixelCache() to ensure cache morphology is consistent.
  * Patch so two -colorspace options return correct results for round-trip.

2012-02-02  6.7.5-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-1, SVN revision 6684.

2012-01-30  6.7.5-1 Cristy  <quetzlzacatenango@image...>
  * Support the -alpha remove option (use it to remove transparency from PDF,
    convert -density 200 apple.pdf -alpha remove x:).
  * Use union instead of casting gzFile and BZFILE.
  * Don't treat PSD user channel as alpha (patch from Dominic Benson).
  * Prevent overflow when casting short int to size_t when parsing a
    maliciously crafted image with an IFD whose all IOP tags' value offsets
    point to the beginning of the IFD itself [CVE-2012-0247].
  * Prevent DES when parsing a maliciously crafted image with an IFD whose
    all IOP tags' value offsets point to the beginning of the IFD itself
    [CVE-2012-0248].
  * Caption with Pango support no longer return a blank canvas.
  * Correct sRGB colorspace conversion equations.

2012-01-30  6.7.5-1 Glenn Randers-Pehrson <glennrp@image...>
  * Fix bug in png coder (spurious warning, reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=20257).

2012-01-28  6.7.5-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.5-0, SVN revision 6606.

2012-01-25  6.7.5-0 Cristy  <quetzlzacatenango@image...>
  * Zlib-1.2.5.2 requires gzFile cast (bug report from John Bowler).

2012-01-25  6.7.4-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-10, SVN revision 6592.

2012-01-25  6.7.4-10 Cristy  <quetzlzacatenango@image...>
  * Update PerlMagick TIFF regression signatures to match endian order.

2012-01-24  6.7.4-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-9, SVN revision 6589.

2012-01-24  6.7.4-9 Cristy  <quetzlzacatenango@image...>
  * Fix rare file link in the pixel cache.

2012-01-20  6.7.4-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-8, SVN revision 6551.

2012-01-19  6.7.4-8 Cristy  <quetzlzacatenango@image...>
  * Although MagickRealType is a double, use double for KernelInfo values in
    the rare event of problems with C++ name mangling.
  * Get strokes with patterns (e.g. -stroke xc:red) working again.
  * Revert KernelInfo values from MagickRealType to double.

2012-01-17  6.7.4-8 Glenn Randers-Pehrson <glennrp@image...>
  * Don't write ancillary chunks (except for tRNS and gAMA) in PNG-encoded
    ICO files.

2012-01-14  6.7.4-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-7, SVN revision 6471.

2012-01-13  6.7.4-7 Cristy  <quetzlzacatenango@image...>
  * Default to a lighter hinting algorithm for non-monochrome font rendering.

2012-01-12  6.7.4-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-6, SVN revision 6434.

2012-01-12  6.7.4-6 Cristy  <quetzlzacatenango@image...>
  * Eliminate preprocessor exception for the HDRI build.

2012-01-10  6.7.4-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-5, SVN revision 6422.

2012-01-02  6.7.4-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed -black-threshold and -white-threshold so they work properly with
    the -channels option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20096).

2012-01-02  6.7.4-5 Glenn Randers-Pehrson <glennrp@image...>
  * Removed PNG_USE_CLONE cruft from the PNG encoder (see 2011-11-19 entry)
  * Promote image depths 9-15 to 16 to avoid crashing in the PNG
    encoder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20098).

2012-01-01  6.7.4-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-4, SVN revision 6318.

2011-12-30  6.7.4-4 Glenn Randers-Pehrson <glennrp@image...>
  * Fix problems with JNG encoder "quality" (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20076).

2011-12-30  6.7.4-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-3, SVN revision 6310.

2011-12-28  6.7.4-3 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in JP2 coder (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20071).
  * Use maximum bounds when rendering PDF (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20078).

2011-12-25  6.7.4-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-2, SVN revision 6254.

2011-12-24  6.7.4-2 Cristy  <quetzlzacatenango@image...>
  * Export new Windows binaries.

2011-12-21  6.7.4-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-1, SVN revision 6236.

2011-12-12  6.7.4-0 Cristy  <quetzlzacatenango@image...>
  * Sped up -noise option when radius is 0.
  * Read concatenated arcs correctly in a SVG path (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19992).
  * PDF's now convert properly with -define pdf:use-cropbox=true (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=20033).

2011-12-09  6.7.4-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.4-0, SVN revision 6162.

2010-12-06  6.7.4-0 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminated use of FARDATA in coders/png.c; it won't be supported in
    libpng-1.6.0 and is not needed now.

2011-11-29  6.7.4-0 Cristy  <quetzlzacatenango@image...>
  * Add GetQuantumFormat() method to return the quantum format (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=19961).
  * Allow unspecified width/height in geometries with the aspect flag (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19964).
  * MagickGetImageDepth() no longer returns the depth setting but instead
    computes the depth of the image.

2011-12-02  6.7.4-0 Anthony  <quetzlzacatenango@image...>
  * Fixed Equal-Area Cropping (size and minimum of delta increments)

2011-12-01  6.7.3-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-10, SVN revision 6106.

2011-11-29  6.7.3-10 Cristy  <quetzlzacatenango@image...>
  * Delay reading TIFF EXIF properties to prevent premature exit.
  * Remove duplicates from the configuration file search path under Windows.
  * Use viewbox offset when setting affine transform translation (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19943).
  * Ensure equally sized tiles for -crop 11x2@ (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18322).
  * Recognize SI prefixes for jpeg:extent (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19944).

2011-11-27  6.7.3-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-9, SVN revision 6092

2011-11-27  6.7.3-9 Cristy  <quetzlzacatenango@image...>
  * Upgrade libtool / ltdl to version 2.4.7.

2011-11-25  6.7.3-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-8, SVN revision 6084

2011-11-20  6.7.3-8 Cristy  <quetzlzacatenango@image...>
  * The exif:ExposureBiasValue property is a signed value.
  * Prevent buffer underflow for 1-bit PSD images.
  * Don't include alpha channel when computing range unless image->matte is
    set.
  * Set FILETYPE_REDUCEDIMAGE tag on pyramidal TIFF images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19892).
  * Correct image geometry for Postscript for hi-res bounding box (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19807).

2011-11-19  6.7.3-8 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bug with scaling Q16 background to PNG sub-8-bit bKGD and
    again disabled PNG_USE_CLONE in coders/png.c.

2011-11-18  6.7.3-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-7, SVN revision 6024

2011-11-18  6.7.3-7 Cristy  <quetzlzacatenango@image...>
  * Ensure embedded XML resource file is null terminated (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19856).

2011-11-17  6.7.3-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Added a -define filter:alpha to contol the 'alpha value' of the
    Kaiser Windowing filter.  Default value is 6.5

2010-11-15  6.7.3-7 Glenn Randers-Pehrson <glennrp@image...>
  * Reverted the change of 6.6.6-7 that creates an image clone for use
    by the PNG encoder.  This was not useful and was somewhat wasteful.
  * After finding out that writing the bKGD chunk in sub-8-bit PNG fails,
    enabled PNG_USE_CLONE (to create an image clone again)

2011-11-14  6.7.3-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-6, SVN revision 5972.

2011-11-11  6.7.3-6 Cristy  <quetzlzacatenango@image...>
  * Prefer the hires bounding box for Postscript rendering (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19807).
  * Default configure.xml destination folder to /usr/lib/ImageMagick-ver/config.

2011-11-09  6.7.3-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-5, SVN revision 5936

2011-11-07  6.7.3-4 Cristy  <quetzlzacatenango@image...>
  * Add ShearRotateImage() method.  RotateImage() now uses distorts rather
    than shears.
  * MagickCoreGenesis() path must be accessible to use (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19795).

2011-11-06  6.7.3-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-4, SVN revision 5876

2011-11-02  6.7.3-4 Glenn Randers-Pehrson <glennrp@image...>
  * Ensure that the GIF encoder writes a large enough logical screen (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19734).

2011-11-02  6.7.3-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-3, SVN revision 5825

2011-11-02  6.7.3-3 Cristy  <quetzlzacatenango@image...>
  * Fix small memory leak in the TIFF coder.
  * Support -debug accelerate option.
  * Support -includearch-dir and -sharearch-dir configure option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19720).
  * Use Pango to improve the caption coder.

2011-11-01  6.7.3-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-2, SVN revision 5718

2011-11-01  6.7.3-2 Cristy  <quetzlzacatenango@image...>
  * Support Ghostscript under 64-bit Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19659).
  * Correct affine translation for certain SVG files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19664).
  * -evaluate-sequence multiply no longer hangs ereference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19549).

2011-10-15  6.7.3-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-1.

2011-10-15  6.7.3-1 Cristy  <quetzlzacatenango@image...>
  * Read TIFF EXIF profile before reading the image data.
  * Fix "test: no: unexpected operator" in the configure script (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19615).
  * Off by one error when writing the JPEG XMP profile (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19616).
  * Revert GetPathComponent() patch.

2011-10-09  6.7.3-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.3-0.

2011-10-09  6.7.3-0 Cristy  <quetzlzacatenango@image...>
  * Generate output for caption:"[!]" (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=19589.

2011-10-05  6.7.3-0 Glenn Randers-Pehrson <glennrp@image...>
  * Add "png:format" property with possible values png8, png24, and png32,
    for use when prepending the format type to the filename is not convenient
    or is not possible, e.g., when embedding the PNG in a PNG-encoded ICO.

2011-10-04  6.7.2-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-10.

2011-10-04  6.7.2-10 Cristy  <quetzlzacatenango@image...>
  * Remove most of the LLVM compiler warnings.
  * Fix bug in -evaluate-sequence multiply (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19549).
  * Upgrade to sRGB V4 ICC profile (reference
    http://www.color.org/srgbprofiles.xalter).
  * Distinguish embedded PNG vs BMP within the MicroSoft ICON image format.

2011-09-30  6.7.2-10 Glenn Randers-Pehrson <glennrp@image...>
  * Recognize the sRGB version 4 ICC profile and write PNG sRGB chunk instead.
  * Use crc32 instead of "sRGB" string to recognize certain sRGB profiles.

2011-09-26  6.7.2-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-9.

2011-09-26  6.7.2-9 Cristy  <quetzlzacatenango@image...>
  * Fix race condition on image rotate @ 90 degrees.

2011-09-25  6.7.2-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-8.

2011-09-20  6.7.2-8 Cristy  <quetzlzacatenango@image...>
  * Prevent infinite loop when font is too large for specified width (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19502).
  * Fix LFS cross-compile detection (patch from Mike Frysinger).
  * Add open_utf8(), fopen_utf8(), access_utf8(), etc. utility methods.

2011-09-15  6.7.2-7 Cristy  <quetzlzacatenango@image...>
  * Convert empty .htm / .html file no longer removes source file.
  * -crop 11x2@ now returns 22 images as expected.
  * Enable reading the EXIF profile in a TIFF image under Windows.
  * Support drawing text with bitmap font.

2011-09-13  6.7.2-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-6.

2011-09-12  6.7.2-6 Cristy  <quetzlzacatenango@image...>
  * Expand pixel range for 12 bit DCM images stored in 16-bit words.
  * Gray images not displayed properly when saved as MIFF with sRGB
    colorspace.
  * OpenCL's clCreateContextFromType() no longer returns a system default.
  * Use -enable-zero-configuration for zero configuration ImageMagick
    (previously -enable-embeddable).

2011-09-10  6.7.2-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-5.

2011-09-10  6.7.2-5 Cristy  <quetzlzacatenango@image...>
  * SO bump.

2011-09-09  6.7.2-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-4.

2011-09-05  6.7.2-4 Cristy  <quetzlzacatenango@image...>
  * Fix cut-n-paste error when reading JPEG profiles.

2011-09-07  6.7.2-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-3.

2011-09-05  6.7.2-3 Cristy  <quetzlzacatenango@image...>
  * A small memory overwrite when reading TIFF with 1-bit alpha (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19417).
  * Remove a 2 byte memory leak when checking for environment variables.

2011-09-05  6.7.2-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-2.

2011-09-03  6.7.2-2 Glenn Randers-Pehrson <glennrp@image...>
  * Recognize the sRGB ICC profile and write the PNG sRGB profile instead
    of a full iCCP chunk.

2011-08-31  6.7.2-2 Cristy  <quetzlzacatenango@image...>
  * Write grayscale MIFF as a single gray pixel component, not RGB (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=19403).
  * Bail gracefully for corrupt JPEG images.
  * Bail gracefully for negative montage geometries (references
    https://bugzilla.redhat.com/show_bug.cgi?id=735599).
  * Account for DCm bits allocated 16 and significant bits 12 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19420).
  * Fix bug when appending JPEG image profiles (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19429).

2011-08-29  6.7.2-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.2-1.

2011-08-29  6.7.2-1 Cristy  <quetzlzacatenango@image...>
  * The AllChannels defined changed to 0x7ffffff to avoid integer overflow.

2011-08-26  6.7.2-0 Cristy  <quetzlzacatenango@image...>
  * HDR format 32-bit_rle_xyze implies the XYZ colorspace.

2011-08-22  6.7.1-10 Cristy  <quetzlzacatenango@image...>
  * Revert FormatImageAttributeList(), FormatImagePropertyList() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19339).

2011-08-21  6.7.1-10 Glenn Randers-Pehrson <glennrp@image...>
  * Revised configure.ac (and configure) to look for -lpng15, -lpng14, -lpng12,
    and -lpng in that order instead of just -lpng.  This should help find
    a consistent library and headers when users upgrade their libpng delegate
    from one version to another, incompatible version.

2011-08-20  6.7.1-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-9.

2011-08-20  6.7.1-9 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in text annotation (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=19331).

2011-08-18  6.7.1-9 Glenn Randers-Pehrson <glennrp@image...>
  * The "-strip" option was excluding the PNG tRNS chunk (see 6.6.6-7, below);
  revised the -strip option so it behaves as
  if "-define PNG:include-chunk=none,trns,gama" had appeared on the commandline.
  * When writing a PNG8 and more than one transparent color is present,
  merge them into the image->background_color (Reference
  https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=19329),
  finishing the implementation started in version 6.6.8-7.

2011-08-18  6.7.1-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-8.

2011-08-18  6.7.1-8 Cristy  <quetzlzacatenango@image...>
  * Caption now wraps properly for Chinese text (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19249).

2011-08-18  6.7.1-8 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder would sometimes fail to respect the -define PNG:color-type
    option when the incoming image was PseudoClass (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=19262).

2011-08-15  6.7.1-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-7.

2011-08-15  6.7.1-7 Cristy  <quetzlzacatenango@image...>
  * Properly handled continued JPEG embedded profiles.

2011-08-12  6.7.1-6 Cristy  <quetzlzacatenango@image...>
  * Yet another attempt to read Japanese filenames under Windows.

2011-08-10  6.7.1-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-5.

2011-08-10  6.7.1-5 Cristy  <quetzlzacatenango@image...>
  * Revert -colorspace sRGB option patch (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19256).
  * Revert -type PaletteMatte option patch (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19263

2011-08-09  6.7.1-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-4.

2011-08-09  6.7.1-4 Cristy  <quetzlzacatenango@image...>
  * Revert MultiByteToWideChar() for Windows patch.

2011-08-05  6.7.1-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-3.

2011-08-05  6.7.1-3 Cristy  <quetzlzacatenango@image...>
  * Use MultiByteToWideChar() for Windows filenames (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=19242).

2011-08-03  6.7.1-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-2.

2011-08-02  6.7.1-2 Cristy  <quetzlzacatenango@image...>
  * Windows does not support acosh(), asinh(), or atanh().
  * Accept filenames with time stamps and a sub-image specification (e.g.
    test-18:37.jpg[0]).

2011-08-01  6.7.1-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.1-1.

2011-08-01  6.7.1-1 Cristy  <quetzlzacatenango@image...>
  * Support MSL 'set gravity' element.
  * Don't report HSB colors as RGB colornames (e.g. hsb(0%,0%,100%)).
  * Support -fx acosh(), asinh(), and atanh().

2011-07-21  6.7.1-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Removed a case that prevented rotations of rectangle kernels.

2011-07-01  6.7.1-0 Glenn Randers-Pehrson <glennrp@image...>
  * Use zlib default compression strategy instead of Z_RLE and Z_FIXED
    strategies when linking with zlib versions (prior to 1.2.0 and 1.2.2.2,
    respectively) that don't support them.
  * Exit test loop sooner in coders/png.c when a non-gray pixel is found.

2011-06-30  6.7.0-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-10.

2011-06-30  6.7.0-10 Glenn Randers-Pehrson <glennrp@image...>
  * Added "-define PNG:compression-level|strategy|filter=value" options to
    the PNG encoder.  If these options are used, they take precedence over
    the -quality option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?&f=1&p=73548).

2011-06-29  6.7.0-7 Glenn Randers-Pehrson <glennrp@image...>
  * Handle "-quality 97" properly in the png encoder, i.e., use intrapixel
    filtering when writing a MNG file and no filtering when writing a PNG file.
  * Added support for Z_RLE strategy in the png compressor, using
    -quality 98 or 99.

2011-06-28  6.7.0-10 Cristy  <quetzlzacatenango@image...>
  * Properly allocate points when render text with large font size (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18997).

2011-06-25  6.7.0-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-9.

2011-06-18  6.7.0-9 Cristy  <quetzlzacatenango@image...>
  * Defend against corrupt PSD resource blocks.

2011-06-15  6.7.0-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-8.

2011-06-14  6.7.0-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Initial implementation of Cylinder to/from Plane 3D Distorts
    Includes derivative (scaled lookup), and anti-aliased horizon (validity)
    Currently can NOT handle extractions from full 360 cylinder panoramas.

2011-06-13  6.7.0-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-7.

2011-06-09  6.7.0-7 Cristy  <quetzlzacatenango@image...>
  * Fixed "conversion from unsigned __int64 to double not implemented"
    so IM can compile under VisualStudio 6.

2011-06-08  6.7.0-7 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder would sometimes make black pixels transparent when some
    other gray level was supposed to be the transparent color (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18900).
    This occurred only with 1, 2, 4-bit grayscale images with Q16 or Q32
    builds.

2011-06-08  6.7.0-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-6.

2011-06-08  6.7.0-6 Cristy  <quetzlzacatenango@image...>
  * Fix transient error for composite 'Over' operator.

2011-06-07  6.7.0-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-5.

2011-06-07  6.7.0-5 Cristy  <quetzlzacatenango@image...>
  * Fix one-off bug in option parser (reference
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609177).
  * Transient bug with composite 'Over' in magick/composite-private.h.

2011-06-06  6.7.0-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-4.

2011-06-03  6.7.0-4 Cristy  <quetzlzacatenango@image...>
  * Support -direction right-to-left for the label: and caption: coders.
  * Blue / green reversed for JPEG-compressed TIFF images.

2011-06-03  6.7.0-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-3.

2011-06-02  6.7.0-2 Cristy  <quetzlzacatenango@image...>
  * Use memmove() instead of memcpy() in StripString().

2011-05-27  6.7.0-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-2.

2011-05-26  6.7.0-2 Cristy  <quetzlzacatenango@image...>
  * ImageMagick now compiles on Hurd (reference
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=628020).
  * Use vfprintf rather than fprintf in FormatLocaleFileList().

2011-05-26  6.7.0-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-1.

2011-05-25  6.7.0-1 Cristy  <quetzlzacatenango@image...>
  * Not all Linux'es define locale_t (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18819).

2011-05-22  6.7.0-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.7.0-0.

2011-05-21  6.7.0-0 Cristy  <quetzlzacatenango@image...>
  * Avoid fault on corrupt JPEG images.
  * Avoid fault on certain DJVU images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18807).
  * Fix -fx to interpret scientific notation properly.

2011-05-20  6.6.9-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-10.

2011-05-20  6.6.9-10 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder now respects the -depth setting, including 1, 2, 4.
    Previously settings other than 8 and 16 were ignored (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18412).

2011-05-16  6.6.9-10 Cristy  <quetzlzacatenango@image...>
  * Don't use comma as a separator for stroked text (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18742).
  * Use C locale when generating or interpreting SVG.
  * Fix "unterminated macro" for Q32 build of coders/png.c.

2011-05-15  6.6.9-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-9.

2011-05-14  6.6.9-9 Cristy  <quetzlzacatenango@image...>
  * The -scale option now considers the alpha channel when scaling.
  * Fix transient bug for HSL to RGB and back.

2011-05-12  6.6.9-9 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed PNG8 reduction to work with an image that reduces to 256 colors
    plus transparency, by merging the two darkest red colors.

2011-05-04  6.6.9-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-8.

2011-05-02  6.6.9-8 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed some cut-and-paste errors in new png.c code that caused PNG8
    reductions to fail.

2011-05-02  6.6.9-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Add various Option Flags, and fix option skip counts for plus forms
    of simple operators where plus form is the same as minus form.
    For example the incorrect counts produces a weird error, and possible
    future segmentation fault in a command like  convert rose: +border show:

2011-04-30  6.6.9-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-7.

2011-04-30  6.6.9-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix FX default for interpolation to Bilinear.

2011-04-27  6.6.9-7 Cristy  <quetzlzacatenango@image...>
  * Fix pixel interpolation for -draw 'image Over' (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18612).

2011-04-26  6.6.9-7 Glenn Randers-Pehrson <glennrp@image...>
  * Write the proper bKGD chunk value in grayscale PNG images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18624).

2011-04-25  6.6.9-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Inverse method for Sparse Color Interpolation

2011-04-24  6.6.9-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-6.

2011-04-21  6.6.9-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Make filter:blur define a multiplicative adjustment of filter settings
    rather than a complete override of those settings.
  * Add Flags to CommandOptions parse table, removing the need for
    ImageListOptions parsing table.  This is the start of development to
    produce a "convert" replacement that can read options from both command
    line and from files or pipelines, in "Do it Immediately" handling.
  * Crop Bug Fix. Prevent infinite loop with "+repage -crop 0x40"

2011-04-18  6.6.9-6 Glenn Randers-Pehrson <glennrp@image...>
  * Added "date" to the things that can appear on the -define PNG:exclude-chunk
    list.  This excludes the IM-generated Date:modify and Date:create
    properties from PNG output text chunks without excluding the rest of the
    text chunks.
  * Added "-define PNG:preserve-colormap" option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18564).
  * Simplified LosslessReduceDepthOK() function in coders/png.c

2011-04-18  6.6.9-6 Cristy  <quetzlzacatenango@image...>
  * Add support for writing RGB FITS images as separate planes.

2011-04-16  6.6.9-6 Cristy  <quetzlzacatenango@image...>
  * Support the HDR 32-bit_rle_xyze format.
  * Fixed infinite loop for TARGA images with a V2 develop area.
  * Add signal handler for SIGBUS.

2011-04-15  6.6.9-5 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-5.

2011-04-15  6.6.9-5 Glenn Randers-Pehrson <glennrp@image...>
  * Added "#define PNG_PTR_NORETURN" because this macro does not work
    on all platforms with libpng15, with failure to load png_longjmp() (ref
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18518).

2011-04-14  6.6.9-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Layers Composition Bug Fix, animations attributes of first image not
    transferred in a single destination, multi-source image composition.

2011-04-09  6.6.9-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Add a special 'Voronoi' Morphology Distance method that will fill in holes
    using the nearest non-transparent edge pixel. It is experimental, and
    hidden from normal morphology usage, as it may be interfaced with a
    future hole-filling color 'Diffusion' method.

2011-04-08  6.6.9-5 Cristy  <quetzlzacatenango@image...>
  * MIFF keywords sometimes includes spaces.

2011-04-07  6.6.9-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Major BUG FIX - wrong sign breaks most morphology methods in IM v6.6.9-4
  * Fixed -region handling of transparency. Original images without
    transparency will use 'Over' while images with transparency will
    preserve transparency using 'Copy'. Before this only 'Over' was used
    due to the testing of the wrong image.
  * Added Compose methods  DarkenIntensity and LightenIntensity

2011-04-06  6.6.9-4 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-4.

2011-04-03  6.6.9-4 Anthony Thyssen <A.Thyssen@griffith...>
  * Add Octagon shape and Octagonal distance kernels for Morphology
  * Fix minor Morphology kernel compose bug (cleanup after Src/Dst swap)
  * Fix segmentation fault after error in a morphology 'named' kernel
  * Added a range of kernels used for specialised thinning purposes
    as defined in a research paper by Dan S. Bloomberg.
  * Added Dan Bloomberg best thinning skeleton, "Skeleton:3"
  * Removed origin pixel from many Hit-and-Miss kernels allowing kernels
    to not only be used for thinning, but also thickening.
  * Renamed "ThinDiagonals" kernel to just "Diagonals"
  * Distance uses a fast two pass algorithm, and no longer needs 'iteration'

2011-04-02  6.6.9-4 Glenn Randers-Pehrson <glennrp@image...>
  * Make the PNG encoder use depth==8 when incoming image->depth < 8
    (the encoder later reduces the depth if it can), to avoid writing
    an incorrect image.
  * Remove any bogus colormap received by the PNG encoder with an image
    that is not PseudoClass (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18475).

2011-04-02  6.6.9-3 Cristy  <quetzlzacatenango@image...>
  * Added -statistic Gradient

2011-04-01  6.6.9-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-3.

2011-04-01  6.6.9-3 Cristy  <quetzlzacatenango@image...>
  * Set the caption height correctly for missing row geometry (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18447).

2011-03-31  6.6.9-2 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-2.

2011-03-30  6.6.9-2 Glenn Randers-Pehrson <glennrp@image...>
  * Revised the png decoder to store the PNG IHDR and other known PNG
    chunk data as properties, for later retrieval and reporting by "identify",
    so users can easily and reliably discover the color-type, bit-depth, etc
    that were in the input PNG datastream.
  * The PNG decoder sometimes set images with more than 256 different
    gray-alpha pixels to storage_class=PseudoClass with an incorrect colormap.

2011-03-30  6.6.9-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Add a "Resize" distortion method (distort equivalent of -resize).
  * Special CLI handling so -distort Resize takes a "geometry" argument.

2011-03-29  6.6.9-2 Cristy  <quetzlzacatenango@image...>
  * Expand PCL compressed pixel buffer to prevent delta compressed overrun.

2011-03-29  6.6.9-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-1.

2011-03-29  6.6.9-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix AdaptiveResizeImage() to use 'Mesh' Interpolation, and fix its
    coordinate handling, as originally defined.

2011-03-29  6.6.9-1 Cristy  <quetzlzacatenango@image...>
  * Support -statistic standard-deviation option.
  * Patch for coders/dcm.c so it compiled with HDRI enabled.

2011-03-28  6.6.9-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.9-0.

2011-03-28  6.6.9-0 Cristy  <quetzlzacatenango@image...>
  * Optimize bilinear interpolation.
  * Remove version from etc folder and instead use /etc/ImageMagick.

2011-03-28  6.6.9-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Separated complex cropping function from TransformImage() as a new
    function CropImageToTiles().  This new function returns either the
    new cropped image, or a list of tiles, according to geometry, without
    replacing the source image. The Source image may be part of a larger list
    of images, without the function 'losing' the other images of the list.

2011-03-27  6.6.8-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-10.

2011-03-27  6.6.8-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Modified image handling in MogrifyImages() and MogrifyImage()
    which improves overall handling, and allows correct %p, %n and the
    %[fx:..] 't' and 'n' escape usage to work correctly.
  * Added -duplicate as a multi-image sequence operator

2011-03-26  6.6.8-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-9.

2011-03-25  6.6.8-9 Cristy  <quetzlzacatenango@image...>
  * Add InterpolateMagickPixelPacket() method.
  * Add support for the %[opaque] property.

2011-03-25  6.6.8-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-8.

2011-03-25  6.6.8-8 Cristy  <quetzlzacatenango@image...>
  * Fix memory access bug in CloneString() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=18382).
  * Avoid infinite loop when no space is available in MagickFormatCaption().

2011-03-25  6.6.8-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Removed the fix for %p and %n escapes, as it was not working right

2011-03-24  6.6.8-7 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-7.

2011-03-24  6.6.8-7 Cristy  <quetzlzacatenango@image...>
  * Add support for 16-bit DCM short ints (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18371).

2011-03-23 6.6.8-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Another fix for -sparse-color and unused color channels
  * Finalize the -duplicate option created by Cristy
  * Fix of segmentation fault for second image in %[fx:..] during info:
    (Bug in AcquireFxInfo(), as given start image is not first image)

2011-03-21  6.6.8-7 Glenn Randers-Pehrson <glennrp@image...>
  * Revised the PNG8 encoder to use 50% threshold instead of 0% when
    reducing transparency to binary.  Collapse all resulting fully transparent
    colors into one (the background color), to reduce the compressed filesize.
  * First try the 4-4-4-1 and 3-3-3-1 palettes instead of 3-3-2-1, to preserve
    colors (especially gray) better, when reducing to PNG8.
  * Force the PNG encoder to return image->matte==MagickTrue when the
    format is RGBA or GA or if the tRNS chunk is present, even when the
    image is fully opaque (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18349).

2011-03-21  6.6.8-6 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-6.

2011-03-21  6.6.8-6 Glenn Randers-Pehrson <glennrp@image...>
  * Re-enabled reduction of grayscale images (color-type 0) to 2 or 4 bits
    when appropriate (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18098).
  * The "-define PNG:color-type=4" option did not always force the PNG
    encoder to write an all-opaque alpha channel (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18349).

2011-03-14  6.6.8-6 Cristy  <quetzlzacatenango@image...>
  * Fixed memory leak for PDF and Bitmap PSD RLE support (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18317).
  * Support the -statistic option: replace each pixel with corresponding
    statistic from the neighborhood.
  * Add support for -duplicate option.
  * Move configuration files from /usr/share and /usr/lib to /etc and /var.
  * Do not cache the results of fx: otherwise -format
    '%[fx:rand()] %[fx:rand()]' returns the same random numbers.

2011-03-18 6.6.8-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Replaced Minus and Divide Composition methods with Dst and Src
    equivalents. Now users can decide how these non-commutative mathematical
    operators are applied to the images being composited.
  * Fix the percent escape values for  %p, %n  and  %[fx:t], %[fx:n] to
    respectively mean the current images index and the total number of
    images within the current image sequence.

2011-03-17 6.6.8-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Backed out the patch for Variable Blur Composition that was added
    2011-02-13 v6.6.7-7, until I can re-think the problem.
    The existing fix was failing to do circular blurs correctly.

2011-03-14  6.6.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed a rounding/truncation error while writing the pHYs chunk in the
    png encoder.
  * Don't write text-encoded profile when "-define PNG:exclude-chunk=text,ztxt"
    is present (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17086 and
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18225).

2011-03-14  6.6.8-5 Cristy  <quetzlzacatenango@image...>
  * Add support for the WebP image format.

2011-03-14  6.6.8-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Ensured that -sparse-color preserves unused channels when
    channel limited.  Before this unused channels would be reset to black.

2011-03-11  6.6.8-4 Glenn Randers-Pehrson <glennrp@image...>
  * Don't try to store a bKGD chunk in a PNG8 when there are already
    256 colors in the palette and the background colors is not in that
    palette (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18199);
  * The "-define PNG:exclude-chunk=bKGD" option was also excluding
    the text chunks. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18253).

2011-03-10  6.6.8-4 Cristy  <quetzlzacatenango@image...>
  * Fx is a mathematical function.  Do not treat transparency as black.
  * No image scene suffix for filenames that include a single bracket (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18267).

2011-03-10  6.6.8-3 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-3.

2011-03-10  6.6.8-3 Cristy  <quetzlzacatenango@image...>
  * Boost causes an ambiguity with ssize_t when building PythonMagick.  Add
    patch from Arfrever@gento... to fix the build exception.

2011-03-09  6.6.8-2 Cristy  <quetzlzacatenango@image...>
  * Support the Radiance HDR image format.
  * Update the offset in the black channel when sharpening to avoid incorrect
    results.
  * Do not use GenericReadMethod for TIFF images with 64-bits per sample.

2011-03-06  6.6.8-2 Glenn Randers-Pehrson <glennrp@image...>
  * Throw error message when the requested color-type or bit-depth
    cannot be written by the PNG encoder (error was being thrown
    into the wrong image structure).  (Reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18162).
  * Don't write a PNG text chunk with "density" keyword that overrides the
    PNG pHYs chunk, if the pHYs chunk was not excluded (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18253).
  * Ignore any PNG text chunk with a "density" keyword found by the PNG
    decoder, if the PNG datastream also contains a pHYs chunk.

2011-03-06  6.6.8-1 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-1.

2011-03-05  6.6.8-1 Cristy  <quetzlzacatenango@image...>
  * Support PSD files with one layer and one composite layer.
  * We must cast a Quantum type when bit shifting and HDRI is enabled.

2011-03-05  6.6.8-0 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.8-0.

2011-02-27  6.6.8-0 Cristy  <quetzlzacatenango@image...>
  * Add support for the -mode option.

2011-02-27  6.6.8-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fix scaling of new color-reduction method in the PNG encoder (16-bit
    images were scaled down to 0 or 1, or nearly black).
  * Delay opening the PNG output blob until the PNG encoder is ready
    to write the IHDR chunk, to avoid writing zero-length PNG files when
    errors are found while building the palette.  (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18162).

2011-02-25  6.6.7-10 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.7-10.

2011-02-23  6.6.7-10 Cristy  <quetzlzacatenango@image...>
  * Avoid seg fault in AppendImages() when one image is in the RGB colorspace
    but the other is in the CMYK colorspace.
  * Get rid of 'respect_parenthesis defined but not used' warnings (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=18173).

2011-02-22  6.6.7-10 Glenn Randers-Pehrson <glennrp@image...>
  * Write sub-8-bit grayscale PNG images as palette-indexed PNG images.  This
    usually makes smaller files anyhow.
  * Eliminated a number of redundant tests for gray images in the PNG encoder.
  * Removed now-unused IsMonochromeImage() function from coders/png.c
  * Scan the colormap instead of all of the pixels, when possible, to
    determine whether the image received by the PNG encoder is grayscale
    or black-and-white.
  * Avoid reading from the colormap in coders/png.c when it is NULL (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18162).
  * Add a check whether the PNG "cheap transparency" criteria are met.  That
    is, there is a single transparent color, no semitransparent colors, and
    no opaque color that has the same RGB components as the transparent
    color.  If those aren't met, a color that is transparent in one pixel
    and opaque in another would always be rendered as transparent, so we
    must write a PNG colortype that has an alpha channel (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18167).

2011-02-22  6.6.7-9 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.7-9.

2011-02-22  6.6.7-9 Glenn Randers-Pehrson <glennrp@image...>
  * Disabled reduction of grayscale images (color-type 0) to less than 8 bits
    when writing because this sometimes produced incorrect output (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18098).

2011-02-21  6.6.7-9 Cristy  <quetzlzacatenango@image...>
  * Check image has properties before accessing the splay tree (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18136).

2011-02-15  6.6.7-8 Cristy  <quetzlzacatenango@image...>
  * New version 6.6.7-8.

2011-02-14  6.6.7-8 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG encoder should ignore bogus q->opacity values when image->matte
    is MagickFalse (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18067).

2011-02-14  6.6.7-8 Cristy  <quetzlzacatenango@image...>
  * Use implicit image format when explicit format is bogus (e.g.
    02.13.11-18:43:58.png now writes as PNG).
  * Fix problem with 4GB file seeks on a 32-bit OS.

2011-02-13  6.6.7-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Fixed Variable blur to handle small (< 1.0 sigma) blurs generated
    by the blur map being used, rather than just 'cutoff' suddenly.

2011-02-08  6.6.7-7 Cristy  <quetzlzacatenango@image...>
  * Support 16-bit per pixel YUV image files.
  * Fix off-by-one error in PosterizeImage().
  * Posterize now distributes color uniformly (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17623).
  * Add -smush option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=17953).
  * Repair memory leak in the display program.

2011-02-07  6.6.7-6 Cristy  <quetzlzacatenango@image...>
  * Fix bug in carg() define when HAVE_COMPLEX is not defined (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=18030).

2011-02-06  6.6.7-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Default sigma for Gauusian resize filter is now 1/2 for both
    orthogonal resize and cylindrical EWA distortions.

2011-02-02  6.6.7-5 Cristy  <quetzlzacatenango@image...>
  * Check if the font is null in RenderFreetype() to prevent fault (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17890).
  * Eliminate fault when reading WMF image files (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=17971).
  * Support multi-page transparent Postscript and PDF image files.
  * The compare fuzz metric now returns the same correct value for
    'xc:white xc:blue -alpha off' and 'xc:white xc:blue -alpha on'.

2011-01-29  6.6.7-4 Paul Heckbert  <ph@cs.cm...>
  * Move coders/tiff.c conditional compile to define TIFF exception /
    semaphore / key when TIFF delegate is disabled.

2011-01-29  6.6.7-4 Glenn Randers-Pehrson <glennrp@image...>
  * Renamed variables, macros, and functions defined/declared in coders/png.c
    that were in the libpng namespace (beginning with "png_" or "PNG_").

2011-01-25  6.6.7-3 Glenn Randers-Pehrson <glennrp@image...>
  * Removed a call to GetNumberColors() from the PNG encoder that was
    only there for debugging purposes and was consuming a huge amount
    of CPU time. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=17799).
  * Sometimes black was still written as transparent, when the PNG
    encoder received an image with image->matte==true but no transparent
    pixels were present. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17913);

2011-01-24  6.6.7-3 Cristy  <quetzlzacatenango@image...>
  * Remove memory leak from ThrowFileException() macro (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17908).
  * Multiple blue error count by 'count' in ClassifyImageColors()
  * Add support for the AAI image format.

2011-01-22  6.6.7-2 Cristy  <quetzlzacatenango@image...>
  * Accept quoted file paths in indirect file references (e.g. @myFiles.txt).

2011-01-19  6.6.7-2 Glenn Randers-Pehrson <glennrp@image...>
  * Changed the PNG encoder's "transparent_color" from a UShortPixelPacket
    to LongPixelPacket and made the default (65537,65537,65537), which
    can never occur in the PNG image data.  Previously the default was
    (0,0,0) and black pixels would be rendered as as transparent when
    no tRNS chunk was present in the input, which has caused problems
    with some test cases since version 6.6.6-10.
  * Improved the PNG_BUILD_PALETTE section to count opaque, transparent,
    and semitransparent pixels separately.  Previously it wasn't always
    possible to determine if there was a single fully-transparent color,
    to decide whether to write an RGBA or Gray-Alpha image or an RGB or
    Gray image with a tRNS chunk.

2011-01-15  6.6.7-1 Cristy  <quetzlzacatenango@image...>
  * Do not reset image next / previous when detach argument is false for
    CloneImage().
  * Inline cropping no longer fails for inline raw images (e.g.
    -size 640x480 -depth 8 'gray:logo[100x100+200+200]').

2011-01-14  6.6.7-1 Glenn Randers-Pehrson <glennrp@image...>
  * Don't let the PNG encoder try to sort the colormap when there are more
    than 256 colors in the image. (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17834).

2011-01-10  6.6.7-1 Cristy  <quetzlzacatenango@image...>
  * Accept escaped % in output filename (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17810).

2011-01-08  6.6.7-1 Glenn Randers-Pehrson <glennrp@image...>
  * Quieted some inconsequential warnings in the PNG codec due to a
    change in the type of the PNG iCCP profile from png_charp to png_bytep
    in libpng-1.5.0.

2011-01-03  6.6.7-0 Cristy  <quetzlzacatenango@image...>
  * Handle negative heights for ICO images.

2011-01-02  6.6.7-0 Glenn Randers-Pehrson <glennrp@image...>
  * Recent changes sometimes caused the PNG encoder to select colortype=2
    (Truecolor) instead of 0 (Grayscale) for grayscale images.  This made
    the filesize larger than necessary and caused some of the PerlMagick
    tests to fail.

2011-01-01  6.6.6-10 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG decoder now checks whether the image actually has any transparency
    when the input file contains an alpha channel or a tRNS chunk.  (Reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17748)

2010-12-26  6.6.6-8 Cristy  <quetzlzacatenango@image...>
  * -posterize fails with more than 40 levels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17741).
  * Add support for the MacPaint image format.
  * Eliminate spurious 'invalid colormap index' exception for 16-bit SGI images
    (bug report by steven.sittser@fligh...).
  * Fix user data length for the CIN image format.

2010-12-21  6.6.6-7 Glenn Randers-Pehrson <glennrp@image...>
  * Use a clone instead of the main image in coders/png.c, so the image
    can still be used later on without being affected by changes made by
    the PNG encoder.
  * Added PNG:exclude-chunk and PNG:include-chunk defines.
  * Revised the -strip option so it behaves as though
    "-define PNG:include-chunk=none,gama" had appeared on the commandline.
  * Avoid writing PNG ancillary chunks in the PNG/MNG/JNG encoder while
    generating the alpha channel for a JNG image.

2010-12-21  6.6.6-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Removed the forced interpolation setting in AcquireResampleFilterThreadSet
    It prevented user defined interpolation settings for -clut, and possibly
    other usage.

2010-12-17  6.6.6-6 Chris Madison  <madisonblu@gmail...>
  * Add LZMA compression support to ImageMagick.
  * Eliminate seg-fault in MvgPrintf().

2010-12-17  6.6.6-6 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminated a redundant quantization step in the PNG encoder.
  * Untangled a confusing but apparently harmless improper loop nesting
    in the PNG encoder.
  * Eliminated redundant "IsGray()" tests from the PNG encoder.

2010-12-14  6.6.6-6 Cristy  <quetzlzacatenango@image...>
  * -format "%[fx:u.p{5,5}]" no longer reports parse exception (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17678).

2010-12-10  6.6.6-5 Glenn Randers-Pehrson <glennrp@image...>
  * Make the PNG encoder always rebuild the palette, to avoid losing
    transparency when it is out of sync with the pixel data (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17655).
  * Eliminated CompressColormapTransFirst() since the palette is already
    compressed and sorted by opacity now when it's recreated.

2010-12-10  6.6.6-5 Cristy  <quetzlzacatenango@image...>
  * Account for virtual canvas for the -flip / -flop options (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=17626).
  * Also for -transpose and transverse options
  * Support -metric fuzz option.

2010-12-09  6.6.6-4 Anthony Thyssen <A.Thyssen@griffith...>
  * Replace IsMagickColorSimilar() which provides the Fuzz Factor threshold
    function.  Note function does not calculate 'distance' in total but
    short-circuits when threshold is reached for faster processing.
  * Ordered Dithered handling of Alpha channel was incorrect - fixing
    Bug was introduced v6.6.5-6

2010-12-03  6.6.6-3 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed two more cases where the PNG encoder lost transparency (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17516).

2010-12-01  6.6.6-2 Cristy  <quetzlzacatenango@image...>
  * Affine multiplication reversed when translating (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17570).

2010-11-26  6.6.6-2 Glenn Randers-Pehrson <glennrp@image...>
  * Revised the "c7x7b" and "c7x7w" ordered-dither maps to be complementary
    to each other.

2010-11-27  6.6.6-1 Cristy  <quetzlzacatenango@image...>
  * Add support for -evaluate-sequence median.

2010-11-26  6.6.6-0 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed two more cases where the PNG encoder lost transparency (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17516).

2010-11-23  6.6.6-0 Cristy  <quetzlzacatenango@image...>
  * The policy.xml sets not-to-exceed resource values (e.g. policy memory limit
    1GB, -limit 2GB exceeds policy maximum so memory limit is 1GB).
  * Support NCC (normalized cross correlation) compare metric.

2010-11-21  6.6.5-10 Cristy  <quetzlzacatenango@image...>
  * Fix PNG coder compile error when HDRI is enabled.

2010-11-17  6.6.5-9 Glenn Randers-Pehrson <glennrp@image...>
  * Many of the problems with the PNG encoder have been fixed (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16490).
  * The "-type Optimize" option is now deprecated.  If present, it is treated
    by the PNG encoder the same as if the type were undefined.  Optimization
    is now always performed.  No other formats used the "type Optimize" option.
  * Merged redundant code into LosslessReduceDepth() function in the PNG codec.

2010-11-14  6.6.5-9 Cristy  <quetzlzacatenango@image...>
  * The splice option no longer throws spurious "pixels are not authentic"
    exceptions.
  * Thread the -adaptive-resize option.
  * Set XBM coder height to height not width.

2010-11-14  6.6.5-9 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Lanczos2Sharp blur tweaked. New blur = 0.9549963639785485.

2010-11-13  6.6.5-9 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * LanczosSharp blur tweaked to minimize worst case deviation from "perfect
    preservation of images which only vary horizontally (or vertically)" under
    no-op. New blur = 0.9812505644269356.

2010-11-08  6.6.5-8 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Missing logical operator in tiff.c.

2010-11-08  6.6.5-8 Cristy  <quetzlzacatenango@image...>
  * Only save TIFF image with 1-bit depth if there is no alpha channel.
  * Abandon PSD composite if layer is available.
  * %[fx:mean] is the mean of the default channels (all but opacity) (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=17432).

2010-10-29  6.6.5-6 Glenn Randers-Pehrson <glennrp@image...>
  * Added 5x5, 6x6, and 7x7 ordered-dither level maps.

2010-10-30  6.6.5-5 Cristy  <quetzlzacatenango@image...>
  * Do not read configure files in the current directory for the "installed"
    version of ImageMagick.
  * Allow numeric characters in the XPM basename (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17385).

2010-10-29  6.6.5-4 Glenn Randers-Pehrson <glennrp@image...>
  * Revised PNG palette optimization
  * Added some debug logging in coders/png.c.

2010-10-28  6.6.5-3 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * More precise blur values for Lanczos2Sharp and LanczosSharp.
  * Added location of first Mitchell crossing (=8/7) to the filters data
    structure.

2010-10-28  6.6.5-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Lanczos2D* filters now named Lanczos2*
  * Reorganization of AcquireFilter() to make it work better

2010-10-25  6.6.5-1 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Clearer EWA filters (LanczosSharp etc) comments.

2010-10-25  6.6.5-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Added LanczosSharp  (3-lobe Lanczos with sharpening)
  * Filter sharpening factors are also always applied regardless of usage.

2010-10-24  6.6.5-1 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * CubicBC filter formulas simplified by constant folding. In
    particular, P1 coefficient (always zero) removed from coeff.

2010-10-22  6.6.5-1 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Revert the Robidoux filter to a Keys cubic with C=(108 sqrt 2-29)/398
    (as already specified in the documentation).

2010-10-14  6.6.5-1 Cristy  <quetzlzacatenango@image...>
  * Ignore PS bounding box offsets if -page is set.
  * Use #pragma omp master for dumping single threaded debugging information
    (single caused a fault).
  * Add support for -evaluate exp.

2010-10-12  6.6.5-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Added "filter:sigma" expert setting defining the 'sigma' for the Gaussian
    filter only.  This is similar in action to 'blur' but only for Gaussians,
    and does not modify the filters support, allowing you to set a very small
    sigma, without the function 'missing' all pixels.
    (This will allow future adjustment of Gaussians for variable blur mapping)

2010-10-10  6.6.5-0 Cristy  <quetzlzacatenango@image...>
  * Patch for  DrawableRotation() and DrawableTranslation() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17246).
  * The webp format requires the webpconv delegate program (experimental).

2010-10-05  6.6.5-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Replaced "Robidoux" with Cubic 'Keys' filter that is near equivalent to
    the previous sharped "Lanczos2D" filter. (C=0.31089212245300069)
    This also is very similar to a Mitchell filter but specifically designed
    for EWA use and is the new default filter for Distorting Images.
  * Original sharpened Lanczos2D filter now called "Lanczos2Dsharp"

2010-10-08  6.6.4-10 Jerry Gay  <jerry.gay@gmail..>
  * Autodetect file type support in Makefile.PL to prevent test failures

2010-10-05  6.6.4-10 Anthony Thyssen <A.Thyssen@griffith...>
  * Added new filter 'Lanczos2D' a 2-lobe Lanczos as defined by
    Andreas Gustafsson in his thesis  "Interactive Image Warping" (page 24)
         http://www.gson.org/thesis/warping-thesis.pdf
  * Added filter "Robidoux" which is a slightly sharpened version of the
    "Lanczos2D" filter (blur=0.958033808) specifically designed to be less
    'blurry' for horizontal and vertical lines in no-op distortions.

2010-10-05  6.6.4-10 Cristy  <quetzlzacatenango@image...>
  * Add support for "pattern:vertical2" and "pattern:horizontal2".
  * Add support for "pattern:vertical3" and "pattern:horizontal3".
  * Properly handle PSD layers with negative offsets.

2010-10-03  6.6.4-9 Cristy  <quetzlzacatenango@image...>
  * Fix memory assertion with --enable-embeddable (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17201).
  * Don't permit access to pixels when pinging an image (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17194).

2010-10-02  6.6.4-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Added sqrt(2) blurring default for Gaussian Filter if used as
    a Cylindrical EWA filter.  This resulted removing the last aliasing
    issue that was present in tests for Gaussian EWA resampling. Of course
    it is still a very blurry filter for default use in EWA.
  * Adjusted Variable Mapping Blur Composition so user arguments actual
    relate properly to the sigma of the blur for a maximum mapping value.
  * Fix horizon anti-aliasing for output-scaled perspective distortions.
  * 'Bessel' filter is now officially and more accurately named 'Jinc'
    however 'Bessel' while not visible as a filter option can still be used
    as an internal alias for 'Jinc'.

2010-09-28  6.6.4-8 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Chantal Racette double checked the bounding parallelogram computation
    in resample.c (and I tightened the comments).

2010-09-28  6.6.4-8 Cristy  <quetzlzacatenango@image...>
  * Temporary files not always deleted (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=15960).

2010-09-28  6.6.4-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Bug fix for -filter point distorts (occasional generating black pixels)

2010-09-27  6.6.4-8 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Simplified the ClampUpAxes code, the use of its outputs, its comments,
    and credited Craig DeForest for the "clamp singular values" idea.
  * No reason to have "insane" precision Sinc in resize.c: Use
    the 1.2e-12 max. abs. relative error version for Q64 as well as Q32.

2010-09-27  6.6.4-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Replace the blurry "High Quality EWA" technique with a 'Clamped EWA'
    for Distort Resampling.  This makes -distort a whole lot nicer
    and allows for the use of better cylindrical filters.

2010-09-26  6.6.4-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix Point filter for ResizeImage() caused by support limiting the
    Box weighting function.

2010-09-26  6.6.4-6 Cristy  <quetzlzacatenango@image...>
  * Don't allow resize filter weights to go to zero (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17132).

2010-09-24  6.6.4-6 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Now that MagickPIL is a MagickRealType, some casts are unneeded.

2010-09-21  6.6.4-6 Cristy  <quetzlzacatenango@image...>
  * Do not break words if caption size is absolute (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=17123).
  * Don't define HAVE_THREADS for --without-threads configure script option.

2010-09-20  6.6.4-5 Nicolas Robidoux <nicolas.robidoux@gmai...>
  * Modified "magick/resize.c" so that MagickPIL is a MagickRealType number.
    Some computations were needlessly done in long double precision because
    PIL forced an automatic upcast wherever it appeared. Changed its name to
    MagickREALTYPEPI. <- This was later reverted back to MagickPIL.
  * Modified "magick/resize.c" so that Bohman uses one trig call + one sqrt
    call instead of two trig calls.

2010-09-20  6.6.4-5 Anthony Thyssen <A.Thyssen@griffith...>
  * modified "magick/resample.c" to allow use of either EWA or HQEWA (default)
  * Removed LanczosFast from supported filters (SincFast*SincFast is faster)

2010-09-19  6.6.4-5 Cristy  <quetzlzacatenango@image...>
  * If IPTC profile is not embedded in an 8bim resource, declare it IPTC
    rather than 8BIM.
  * Support %[version] and %[copyright].
  * Improve performance of the pixel cache.

2010-09-18  6.6.4-4 Cristy  <quetzlzacatenango@image...>
  * Automatically set the quantum depth to 16 for HDRI.

2010-09-16  6.6.4-2 Cristy  <quetzlzacatenango@image...>
  * IPTC profile not always wrapped properly inside an 8BIM profile.
  * TIFF tile geometry must be divisible by 16.

2010-09-15  6.6.4-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Rename of SincPolynomial to SincFast for easier user understanding
  * Ditto for LanczosChebyshev to LanzcosFast

2010-09-14  6.6.4-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Switch default resize filters to using the faster SincPolynomial
    filter by default internally.  However 'Sinc' will still use the
    Trigonometric function, and can be used to assign the trig version
    of Sinc() to filters using the filter expert options.
  * The default filter for 'distort' was found to be a very blurry inaccurate
    filter function.  It was removed and replaced with a correct Gaussian
    filter (as used by resize)
  * Added a switch so that "-interpolate filter" will force the use of
    a cylindrical filter for ALL pixels in distorted images.  That is you can
    use that switch to use a cylindrical filter even for images that are
    being enlarged by the distortion.  However EWA is still currently using
    a fixed 2.0 sampling radius.  This switch complements the use of "-filter
    point" which turns off EWA filters in favor of interpolation for all
    pixels in a distorted image.  BOTH switches should not be used together.
  * A bug in the support radius of the EWA resampling function was found,
    now that correctly defined resize filters are being used. Suddenly Normal
    Gaussian distortions are not so blurry, and tests with distortions of
    the 'Rings' image show extremely good and clear results, with only minimal
    blurring.  The filter 'blur' expert option can be used to adjust this
    further.

    The above represents a major improvement forward in the quality of the
    image distortion operator. But near-unity distortions (no scaling) are
    still overly blurry.

2010-09-13  6.6.4-2 Cristy  <quetzlzacatenango@image...>
  * Don't negate the geometry offset for the -extent option.

2010-09-09  6.6.4-1 Cristy  <quetzlzacatenango@image...>
  * The RGBO format is now listed as a supported format.

2010-09-07  6.6.4-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Added the Nicolas Robidoux and Chantal Racette  Lanczos resize filter
    function as "LanczosChebyshev" as faster alternative to Lanczos.
  * Re-code Nicolas Robidoux and Chantal Racette Polynomial Approximation of
    the Sinc Trigonometric resize filter, as a proper filter to allow
    direct comparison and speed testing of the filter.
  * Expanded the "-set option:filter:verbose 1" output, so as to also include
    the actual functions and other values that were used to create the filter.

2010-09-02  6.6.4-0 el_supremo  <digipete@shaw...>
  * Repair a few incorrect LocaleNCompare() calls (ttf.c, ps.c).

2010-08-31  6.6.4-0 Cristy  <quetzlzacatenango@image...>
  * Path no longer closed if join style is round (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16943).
  * Add case for BGRQuantum to GetQuantumExtent().
  * Support no compression on PCX write.

2010-08-23  6.6.3-10 Cristy  <quetzlzacatenango@image...>
  * Fixed bug in the raw BGRA coders (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16880).
  * Fix off-by-one error in the PSD coders.
  * Nicolas Robidoux with the assistance of Chantal Racette contribute an
    approximation of the sinc function over the interval [-3,3].
  * Eliminate a small memory leak in LevelizeImageChannel() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16951).
  * Recognize -fx logtwo (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16958).

2010-08-15  6.6.3-7 Cristy  <quetzlzacatenango@image...>
  * Throw exception if image size differs for the compare program but the
    -subimage-search option is not specified.

2010-08-13  6.6.3-6 Cristy  <quetzlzacatenango@image...>
  * The AdobeRgb.tif TIFF image no longer faults under Windows (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16838).
  * Add -subimage-search option to the compare utility.

2010-08-12  6.6.3-5 Cristy  <quetzlzacatenango@image...>
  * The -fx 2e+6/1e+5 argument no longer returns the wrong results (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16833).

2010-08-10  6.6.3-5 Glenn Randers-Pehrson <glennrp@image...>
  * Emit a warning if the PNG encoder can't satisfy the color type and
    bit depth requested with a "-define" directive.

2010-08-07  6.6.3-4 Cristy  <quetzlzacatenango@image...>
  * The orient option sometimes improperly set "undefined" (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16795).
  * Only list orientation options for the -list orientation option (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16801).
  * Return proper standard deviation for combined channels (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16786).
  * Handle transparency properly for the PSD image format.

2010-08-05  6.6.3-3 Glenn Randers-Pehrson <glennrp@image...>
  * Properly map PNG intent to image->rendering_intent

2010-08-01  6.6.3-3 Cristy  <quetzlzacatenango@image...>
  * Eliminate bogus "invalid colormap index" when pinging ICO images.
  * Support -set density / units.

2010-07-31  6.6.3-2 Cristy  <quetzlzacatenango@image...>
  * Only use the first alpha channel in PSD image.
  * Only use XPM complying colors for XPM images (e.g. green is rgb(0,255,0)).

2010-07-27  6.6.3-2 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminate useless message about assuming zero delay when writing
    a single-frame MNG, and changed it from Error to Warning when
    writing a multiple-frame MNG.

2010-07-25  6.6.3-1 Glenn Randers-Pehrson <glennrp@image...>
  * Don't "ping" a PNG image if it is embedded in a MNG.  Otherwise the
    reader tries to read MNG chunks from the interior of the embedded PNG,
    resulting in an erroneous "corrupted image" message.

2010-07-09  6.6.3-1 Cristy  <quetzlzacatenango@image...>
  * Fix memory leak in for corrupt BMP images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16600).
  * Repair several issues when writing to stdout (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16620).
  * A GIF image with the .bgr extension is still a GIF (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16662).

2010-07-07  6.6.3-1 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG decoder failed to handle the tRNS chunk properly for grayscale
    images where the PNG bit_depth was not the same as the quantum depth,
    and the transparent color was not black.

2010-07-01  6.6.3-0 Chris Madison  <madisonblu@gmail...>
  * Pinging the DJVU image format no longer faults.
  * Check for time-limit-exceeded in only one thread.
  * Reading filenames from a file (e.g. @filenames) no longer includes the
    utility name (side effect of StringToArgv() method).

2010-06-28  6.6.2-10 Cristy  <quetzlzacatenango@image...>
  * Support the tiff:fill-order define.
  * Filters are case sensitive (e.g. reduce-Colors).
  * Restore mogrify's -path option.
  * The -list module option lists image coders and image filters.

2010-06-27  6.6.2-9 Cristy  <quetzlzacatenango@image...>
  * Add the ImageView API.
  * Fix DJVU coder to read one page (e.g. 'image.djvu[2]').
  * Support -define png:bit-depth=1 -define png:color-type=3 for PNG format.

2010-06-22  6.6.2-8 Cristy  <quetzlzacatenango@image...>
  * Skip byte when DDS bitcount is 32 (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16487).
  * Montage now uses final background setting (e.g. montage -background none ...
    -background lightblue show:).
  * Do not annotate directory paths in ListFiles().
  * Reset the image matte for png:color-type=2.

2010-06-17  6.6.2-7 Cristy  <quetzlzacatenango@image...>
  * Support new label:pointsize property.
  * Miscellany->Slide Show, in the display program, now cycles through the
    image sequence.
  * Recognize certain hex color values (e.g. #b9e1cc00) for the -fx argument.
  * Reduce memory requirements when dithering on the iPhone.
  * Command line operators no longer affected by settings that appear after
    them (e.g. -splice 10x0+0+0 -gravity center).
  * Compute the proper DPX user data field size.

2010-06-15  6.6.2-6 Cristy  <quetzlzacatenango@image...>
  * Fix some nits to keep the clang compiler happy.

2010-06-14  6.6.2-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix transprancy handling for Morphology Convolve
  * Adjustments of Hit And Miss and Edge Detection kernel definitions
  * Added 'ThinDiagonals' Thinning Kernel + two sub-types
  * Handling for Convolution of 1-D vertical kernels.
    However this was removed (using #if-#endif) as I found it slower in tests!

2010-06-12  6.6.2-5 Cristy  <quetzlzacatenango@image...>
  * mogrify -format properly handles compressed image filename (e.g.
    -format jpg logo.png.bz2).
  * Respect +dither option when saving to the GIF image format.

2010-06-08  6.6.2-4 Cristy  <quetzlzacatenango@image...>
  * End of string sentinel is \n not \r.

2010-06-06  6.6.2-3 Glenn Randers-Pehrson <glennrp@image...>
  * Don't decode pixels in coders/png.c when image->ping is set.

2010-06-06  6.6.2-3 Cristy  <quetzlzacatenango@image...>
  * Reset image filename when reading inline images.
  * Don't clamp floating point values for HDRI-enabled ImageMagick.

2010-05-25  6.6.2-2 Anthony Thyssen <A.Thyssen@griffith...>
  * Replaced '^' morphology kernel rotation with two variants '>' and '<'
  * 'Skeleton' variant to thin down images as symmetrically as possible.
  * Spelling correction:  Manhatten -> Manhattan

2010-06-01  6.6.2-2 Glenn Randers-Pehrson <glennrp@image...>
  * Properly scale color components of the PNG bKGD chunk.
  * Prevent MNG divide by zero in calculation of frame_timeout.  Set
    both frame_delay and frame_timeout to infinite when ticks_per_second
    is zero, as required by the MNG spec.

2010-05-31  6.6.2-2 Cristy  <quetzlzacatenango@image...>
  * Add x:silent option to prevent beeps when reading the X image format.
  * Recognize TTF for GetMagicInfo().
  * Ensure the +set option deletes the image artifact.

2010-05-28  6.6.2-1 Glenn Randers-Pehrson <glennrp@image...>
  * Prevent coders/png.c from attempting to write an empty tRNS chunk.

2010-05-25  6.6.2-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Fix for Square Array Rotates (off center origin rotate)
  * Added HitAndMiss kernel Ridges2 to find 2 pixel thick ridges
  * Added FreiChen:0,{angle}  FreiChen:{angle} and FreiChen:-1 variations
    to complete this kernels definition

2010-05-24  6.6.2-1 Cristy  <quetzlzacatenango@image...>
  * Respect density when rendering SVG images.
  * Set AVI handler to the MPEG coder.
  * Compute the proper DPX user data field size.
  * Do not interpret a format specifier when enclosed in brackets (e.g.
    rose_tile_%[filename:tile].gif.
  * Use 64-bit types when compiling with the 64-bit Visual C++ compiler under
    Windows.
  * Prevent MNG divide by zero in calculation of frame_delay (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16320).

2010-05-23  6.6.2-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Third Re-write of MorphologyApply() to better handle compound methods.
  * Implemented  -set option:morphology:compose for merging results of
    multiple kernels. "None" means re-iterate results with next kernel.
    While "Undefined" means to use the internal default for a method.
    Thinning, Thickening, HitAndMiss, Convolve, Correlate defaults to "None"
    while HitAndMiss defaults to "Lighten" (union of all kernel results).
    Other morphology methods defaults still to be decided.
  * Added HitAndMiss Kernel: Ridges  (find ridges and pixel width lines)
  * Rotation Expansion of single kernels '^' and '@' flags in arguments
    EG: -set option:showkernel 1 -morphology Convolve 'Blur:0x2^'
  * ExpandKernelInfo() (rotation expand) now groks symmetrical kernels.
    So the above will only produce a list of 2 kernels, not 4 kernels

2010-05-18  6.6.2-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Separation of internal function MorphologyApply() from
    MorphologyImageChannel() to calls to convolve without user settings.
  * Rewrite of MorphologyApply() to output better 'verbose' messages
  * Better handling of Gaussian tyle filters (bug fixes)
  * Bug fix and optimization of kernel size calculations in "gem.c"
  * Allow '^' or '@' flags in 'user defined' kernel size arguments to
    expand kernel into a rotated list.
    EG: -set option:showkernel 1 -morphology Thinning  '3@: 0,1,0 0,1,0 0,0,0'
  * Allow a scaled unity kernel to be added to kernel (EdgeDet->Sharpen)
    EG: -set option:convolve:scale [kernel_scale][^!],[unity_scale][%]
  * Addition of "Laplacian of Gaussian" (LOG), also known as Mexican Hat
    EG: -morphology convolve LOG:0x1
  * Added FreiChen, Kirsch  Convolution kernels
  * Added Discrete 'Laplacian of Gaussian' kernels (Laplacian type 15 and 19)
  * Added Edges HitAndMiss Kernel

2010-05-17  6.6.2-0 Cristy  <quetzlzacatenango@image...>
  * PSD images require a proper layer to support an alpha channel.
  * Enable PFM endian support.
  * Add context to -border for montage.  Inside the parenthesis it adds a border
    to the image otherwise it sets the border for the layout manager.
  * 24-bit BMP images are not colormapped even if header colors != 0.
  * Set DPX user data like this: -set profile dpx:userdata.txt.
  * Make sure Lab => RGB => Lab survives the round trip.

2010-05-15  6.6.1-10 Cristy  <quetzlzacatenango@image...>
  * Use ScaleCharToQuantum() in coders/src.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16229).
  * Don't clamp HDRI EXR pixels.

2010-05-14  6.6.1-9 Cristy  <quetzlzacatenango@image...>
  * Increase the estimated # points for the path drawing primitive.
  * Remove any prior resolution block from PSD before writing the new block.

2010-05-14  6.6.1-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Addition of more Morphological/Convolution Kernels.
    DOG (Difference of Gaussians) and DOB (Difference of Blurs),
    EG:    -morphology convolve DOG:0x1,3
           -morphology convolve DOB:0x1,3,90
  * Added Prewitt, Roberts, Compass  Convolution Kernels
  * Ring Symbol Kernel (subtraction of Disk from a Disk)

2010-05-13  6.6.1-9 Cristy  <quetzlzacatenango@image...>
  * The pixel buffer was underallocated for some image formats when streaming.

2010-05-12  6.6.1-8 Anthony Thyssen <A.Thyssen@griffith...>
  * Implementation of Pattern Matching Morphology methods
    HitAndMiss, Thicken, Thinning
  * Reporting of Kernel Strings that fail to parse (though not why)
  * Parsing of Multiple Kernel Strings, generating a list of kernels
  * Union of results from Multiple Kernels for HitAndMiss method
  * Iterated Multiple Kernels for all other morphology methods
  * Added many new kernels for HitAndMiss and Convolution
    Sobel, Laplacian, Cross, Peaks, Corners, LineEnds, LineJunctions,
    ConvexHull (for Thicken), Skeleton (for Thinning)

2010-05-08  6.6.1-8 Glenn Randers-Pehrson <glennrp@image...>
  * Use proper background.index when writing indexed PNG, if the background
    color is in the palette.

2010-05-08  6.6.1-7 Cristy  <quetzlzacatenango@image...>
  * Fix improper 'invalid colormap index' PNG bug.
  * Fix PerlMagick compile exception.

2010-05-07  6.6.1-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Added % and ! modification flags to morphology distance kernel
    scaling factor, for easier usage.
  * Bug fix for compose math channel handling and morphology diff usage

2010-05-06  6.6.1-6 Cristy  <quetzlzacatenango@image...>
  * Do not claim gray colorspace if gray image includes a non-gray pixel.
  * Initialize BMP alpha channel to opaque for RGB images.
  * Fixed under allocation for round rectangles.
  * The -list option returns a 0 status as expected.

2010-05-06  6.6.1-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Made use of new no-'sync' channel enabled mathematical compose methods
    for the difference morphology methods.  These should now work correctly
    for specific channels, and more importantly for alpha shaped morphology.

2010-05-05  6.6.1-6 Glenn Randers-Pehrson <glennrp@image...>
  * Fixed bugs with losing the opacity channel while writing some PNG images.
    (bug reported by Anthony T.)

2010-05-05  6.6.1-6 Glenn Randers-Pehrson <glennrp@image...>
  * Simplified and corrected rowbytes calculation in coders/png.c and
    added more logging.

2010-05-05  6.6.1-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Rename of "Add" and "Subtract" compositions to "ModulusAdd" and
    "ModulusSubtract" for more clarity of there functions. Old names
    will continue to work as expected.
  * Fix "Minus", "ModulusAdd", and "ModulusSubtract" to follow
    normal SVG 'Over' blending specifications, (see next for override)
    Note that this does NOT include the "Plus" composition method which has
    SVG definition for it to use a 'Plus' blending rather than 'Over' blending.
  * By default mathematical compositions work as per SVG definition. That is
    the results are synchronized with 'Over' alpha-blending (except "Plus"
    which uses 'plus' alpha-blending).
  * By removing the default 'sync' flag from the -channel setting however
    Break this inter-channel synchronization and do the mathematical operations
    only on the individual channels as specified by the -channel setting.
    That is do 'channel' math rather than 'SVG' composition.
  * With this change you can then use mathematical composition methods on
    individual channels or even with the alpha channel of images.

2010-04-28  6.6.1-6 Anthony Thyssen <A.Thyssen@griffith...>
  * Special case handling in Barrel distortion (pixel at image center)
  * Calculation of image for Barrel distortion (pixel vs image coords)
  * Argument input (handling optional 'd' argument) for Barrel distortion

2010-04-24  6.6.1-6 Cristy  <quetzlzacatenango@image...>
  * Do not declare timestruct under MinGW.
  * Respect -compose option for the montage utility (bug report by Anthony).
  * A 256 column gradient produces a 256 color GIF image (bug report by
    Anthony).
  * Register / unregister CALS format in static.c (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=16103).
  * Add SetImageColor() method.

2010-04-17  6.6.1-5 Cristy  <quetzlzacatenango@image...>
  * Only write one ICC profile to PSD image.
  * Sync image colormap for PNG tRNS chunks.
  * The -direction option now works with the -annotate and -draw options.
  * For the histogram: format, if you have no need for the unique color list,
    use <kbd>-define histogram:unique-colors=false</kbd> to forego this
    expensive operation.
  * Match on literal after backslash in glob expression (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16068).
  * Enable JPEG-compression for grayscale TIFF images (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16064).
  * Don't write empty tile if tile geometry matches the image width (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16064).
  * Support -regard-warnings in the mogrify utility.
  * Output the correct units for the identify utility (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16075).

2010-04-15  6.6.1-4 Cristy  <quetzlzacatenango@image...>
  * Do not set the resample virtual pixel method when undefined.
  * Support writing grayscale PSD images.
  * Revert Lab-to-XYZ colorspace transform patch.
  * Clamp HDRI values for LevelImageChannel() method.

2010-04-12  6.6.1-3 Cristy  <quetzlzacatenango@image...>
  * For HSL to RGB, if color temperature is less than 0, set RGB to lightness.
  * Do not flip BMP image with negative height when pinging.

2010-04-08  6.6.1-2 Cristy  <quetzlzacatenango@image...>
  * Improve support for device link profiles.

2010-04-06  6.6.1-1 Anthony Thyssen <A.Thyssen@griffith...>
  * Fixed bug in -auto-level for special case when only one value is present
    in some channel of the image. In this case no 'stretch is performed, just
    as -normalize does.

2010-04-05  6.6.1-1 Cristy  <quetzlzacatenango@image...>
  * WMF support under Windows does not produce the same results as under
    Linux.

2010-03-31  6.6.1-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Fixed bug in equal-size tile cropping, when image has a page offset.

2010-03-31  6.6.1-0 Cristy  <quetzlzacatenango@image...>
  * The -recolor 4x4 matrix is now interpreted properly (previously it
    summed rather than attenuating the alpha channel).
  * Support writing 1-bit PSD images.
  * Support LCMS 2.0.
  * Improved WMF support under Windows.

2010-03-30  6.6.1-0 Glenn Randers-Pehrson <glennrp@image...>
  * The new coders/png.c was failing to read a 1-bit paletted image properly.
  * Finished eliminating the deprecated direct references to members of
    the png_info structure. ImageMagick can now be built with libpng-1.5.

2010-03-21  6.6.0-10 Cristy  <quetzlzacatenango@image...>
  * Respect the -density option when rendering a Postscript or PDF image.
  * Distort barrel no longer complains when 3 arguments are given (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15883).
  * Support -direction left-to-right option for rendering text

2010-03-24  6.6.0-9 Glenn Randers-Pehrson <glennrp@image...>
  * coders/png.c: Eliminated support of libpng versions older than 1.0.12.
  * Relocated the new, misplaced png_get_rowbytes() call.
  * Updated setjmp/longjmp/jmpbuf usage to work with libpng-1.5.

2010-03-21  6.6.0-9 Cristy  <quetzlzacatenango@image...>
  * Windows does not support complex.h (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=15808).
  * Add support for monochrome PSD images.
  * VignetteImage() no longer crashes when x and y arguments are both greater
    than half the width (x) and height (y) of the image.

2010-03-20  6.6.0-8 Glenn Randers-Pehrson <glennrp@image...>
  * Eliminated some of the deprecated direct references to members of
    the png_info structure.  This must be finished before we can build
    with libpng-1.5.

2010-03-18  6.6.0-8 Cristy  <quetzlzacatenango@image...>
  * The animate program no longer loops twice when -loop 1 is specified.
  * The caption format would sometimes hang when the text was not UTF-8.
  * Don't gamma correct log to linear color conversion unless the -gamma is
    specified (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=15799).

2010-03-17  6.6.0-7 Cristy  <quetzlzacatenango@image...>
  * Detect CMYKProcessColor AI tag.
  * Delete image from command line cache for -write option.

2010-03-13  6.6.0-6 Cristy  <quetzlzacatenango@image...>
  * Add support for the Adobe Large Document format.
  * Recognize -remap option for the mogrify utility.
  * The default Helvetica font is not always available, check for
    Century Schoolbook too (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=15780).

2010-03-11  6.6.0-5 Cristy  <quetzlzacatenango@image...>
  * Permit user to get virtual pixels with a region width of 0.
  * Reformulate the jinc() function so that the main peak is of amplitude of 1.
  * Resampling filter must respect the image virtual pixel method.

2010-03-07  6.6.0-4 Cristy  <quetzlzacatenango@image...>
  * The -evaluate-sequence option behaves like -evaluate except it operates
    on a sequence of images.

2010-03-05  6.6.0-2 Cristy  <quetzlzacatenango@image...>
  * Add support for the -maximum and -minimum options.

2010-02-27  6.6.0-1 Cristy  <quetzlzacatenango@image...>
  * Check to see if ICON image width /height exceeds that of the image canvas.
  * Set the DPX descriptor to Luma only if the image type is not TrueColor.
  * Add support for -fx airy(), j0(), j1(), jinc(), and sinc() (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=15685).
    Anthony, review these for correctness.
  * Don't embed an XMP profile in an EPS image for now.

2010-02-21  6.6.0-0 Cristy  <quetzlzacatenango@image...>
  * Insufficient image data in EPT is a warning rather than an error.
  * Respect -type TrueColor when writing gray DPX images.
  * Fix problem reading 10-bit grayscale DPX images when scanline length is
    not a multiple of 3.
  * BMP has an alpha channel, it was treated as an opacity channel.

2010-02-20  6.5.9-10 Cristy  <quetzlzacatenango@image...>
  * Write 10-bit grayscale DPX images properly.

2010-02-18  6.5.9-8 Cristy  <quetzlzacatenango@image...>
  * Detect PDF ICCBased colorspace.

2010-02-18  6.5.9-7 Anthony Thyssen <A.Thyssen@griffith...>
  * Finalized -set option:convolve:scale  kernel normalize/scale option

2010-02-16  6.5.9-7 Cristy  <quetzlzacatenango@image...>
  * TransformImage() resets the image blob when called in the PICT decoder;
    use SetImageExtent() instead.

2010-02-14  6.5.9-6 Cristy  <quetzlzacatenango@image...>
  * Support PSD RLE compression.

2010-02-13  6.5.9-5 Cristy  <quetzlzacatenango@image...>
  * The jpeg:extent define sometimes exceeded the specified limit.

2010-02-09  6.5.9-4 Cristy  <quetzlzacatenango@image...>
  * Resolve "too many open files"  (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15546).

2010-02-08  6.5.9-3 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Correlate method which does a Convolve without reflecting the kernel.

2010-02-07  6.5.9-3 Cristy  <quetzlzacatenango@image...>
  * Initialize grayscale colormap for PSD images.

2010-02-07  6.5.9-3 Anthony Thyssen <A.Thyssen@griffith...>
  * Final testing and fixing of basic morphology operators
  * Addition Third-level Subtractive Morphology Methods:
    EdgeIn, EdgeOut, Edge, TopHat, BottomHat
  * Ensuring original kernels passed to morphology are cloned before being
    modified for use by specific methods (EG: convolve scale/normalize)

2010-02-03  6.5.9-2 Cristy  <quetzlzacatenango@image...>
  * display -immutable to display transparent image without a checkboard.

2010-01-27  6.5.9-1 Glenn Randers-Pehrson <glennrp@image...>
  * Make -define png:color-type less persnickety about what it will accept.

2010-01-24  6.5.9-1 Anthony Thyssen <A.Thyssen@griffith...>
  * added use of -precision in 'showkernel' output of -morphology
  * correct use of a 'reflected kernel' for 'Convolve' 'Dilate' and
    'Distance' Morphology primitives. This does not have a performance hit,
    though is only truely applicable when the kernel is asymmetric.  Note that
    'Erode' does not use a 'reflected' kernel, so that 'Open' and 'Close'
    operations work properly.  This 'reflected usage is defined by online
    morphology lecture notes (Google for "EECE Binary Morphology")
  * Added convolve kernel scaling setting "-set option:convolve:scale N"
    If undefined morphology convolve does not do any scaling or normalization
    of the convolution kernel.  A value of 0.0 causes normalization for both
    zero and non-zero (added weights) kernel types.

2010-01-15  6.5.9-1 Cristy  <quetzlzacatenango@image...>
  * Speed up reading the PSD image format.
  * Add the -precision option.  Use it to set the maximum number of significant
    digits to be printed.
  * Add -features option to the identify program to display channel features.
  * Add -unique option to the identify program to display channel features.

2010-01-01  6.5.9-0 Cristy  <quetzlzacatenango@image...>
  * Add support for compact floating point (i.e. -depth 16 -define
    quantum:format=floating-point).
  * Transparent images no longer flicker on certain system when using the
    display program.
  * Permit interactive resizing with the display program.
  * Support heterogeneous distributed processing, see
    https://www.imagemagick.org/script/architecture.php#distributed.
  * Fix semaphore assertion when reading a corrupt image with Magick++.
  * Add support for -brightness-contrast option.

2010-01-05  6.5.9-0 Stephan Menzel  <stephan.menzel@gmail...>
  * Add support for the BGRA raw image format.

2010-01-04  6.5.9-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Added Kernel Generator to generate kernels from user strings, which
    allows the generation in many built in kernels for both Convolution
    and other Morphological methods.  New Kernels currently include..
      Convolution: Gaussian, Blur, Comet
      Morphological: Rectangle, Square, Diamond, Disk, Plus
      Distance: Chebyshev, Manhatten, Knight, Euclidean
    And both old and new (rectangular) user defined kernel specifications
    including the use of 'nan' to represent elements which are not part
    of the kernel definition.  List built-in kernel types use "-list kernel"
  * Added -morphology {method}[:{iteration}] {kernel_string}
    Initial methods includes no only the basic morphology methods: Dilate,
    Erode, Open, Close; and a pixel color preserving 'Intensity' version, but
    also the special methods: Convolve, and Distance.  Of course the
    appropriate kernel should be provided for each specific method.

2010-01-01  6.5.9-0 Cristy  <quetzlzacatenango@image...>
  * Add OpenCL-enabled filter (e.g.  convert image.png -process
    "convolve '-1, -1, -1, -1, 9, -1, -1, -1, -1'" image.jpg).
  * Added StringTo...() processing functions

2009-12-27  6.5.8-9 Anthony Thyssen <A.Thyssen@griffith...>
  * Added MxN tile cropping with overlapping and space handling.
    See IM Examples, Cutting and Bordering, Cropping roughly Equal

2009-12-23  6.5.8-8 Anthony Thyssen <A.Thyssen@griffith...>
  * angle bug fix in variable blur composition with vertical ellipses
  * Added ability to have variable angles for ellipses in variable blur
    composition.  See IM Examples, Composition, Variable Blur for details

2009-12-20  6.5.8-8 Cristy  <quetzlzacatenango@image...>
  * JPEG does not grok the HSL colorspace.

2009-12-18  6.5.8-7 Cristy  <quetzlzacatenango@image...>
  * Off by 1 error when allocating the dash-pattern array in PerlMagick.
  * The -gaussian-blur over blurred the opacity channel (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15218).

2009-12-13  6.5.8-6 Cristy  <quetzlzacatenango@image...>
  * Declare InverseFourierTransformImage in Magick++/Include.h.

2009-12-09  6.5.8-5 Glenn Randers-Pehrson <glennrp@image...>
  * The PNG8 encoder would fail to write a 1-color image, due to
    a bogus MagickFail return from CompressColormapTransFirst().

2009-12-05  6.5.8-4 Cristy  <quetzlzacatenango@image...>
  * SVG images are no longer double sized with the -density option.

2009-12-04  6.5.8-3 Glenn Randers-Pehrson <glennrp@image...>
  * Changed the one instance of PNG_COLOR_TYPE_RGBA to PNG_COLOR_TYPE_RGB_ALPHA
    in coders/png.c

2009-12-03  6.5.8-3 Cristy  <quetzlzacatenango@image...>
  * It's interword-spacing, not interword_spacing (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=1515).
  * All JP2 depths (e.g. 4, 10, 12, 16) are now supported properly.

2009-11-28  6.5.8-2 Glenn Randers-Pehrson <glennrp@image...>
  * Changed the one remaining ping_info->trans to ping_info->trans_values
    in coders/png.c

2009-11-26  6.5.8-1 Chris Madison  <madisonblu@gmail...>
  * Eliminate bogus 'skip to sync byte' exception for PCD image format.
  * -threshold option: threshold to white if the computed intensity of the
    color channels exceeds the threshold.
  * Add -define jpeg:extent option to restrict the maximum JPEG image file size.

2009-11-26  6.5.8-1 Dr. Ingo Bremer <bremer@wias-...>
  * Escape single quote in when writing the UIL format.

2009-11-25  6.5.8-1 Jee Teck  <jee.teck@cteca...>
  * The mogrify program +opaque option now recognizes its required argument.

2009-11-19  6.5.8-0 Cristy  <quetzlzacatenango@image...>
  * Add magick/morphlogy.{c,h} source templates.
  * Sync image option when reading MPR images.
  * Optimize ping for SVG images.
  * SetLogFormat() no longer causes crash (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15091).
  * Do not call MagickCoreTerminus() when memory allocation fails inside
    the locale component.

2009-11-18  6.5.7-9 Cristy  <quetzlzacatenango@image...>
  * Read / write 32-bit SUN raster images with a odd width.
  * Cairo format returns pixels with the alpha premultiplied (reference
    https://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=15081).

2009-11-12  6.5.7-8 Cristy  <quetzlzacatenango@image...>
  * Thumb::URI file URI now has the correct number of forward slashes.

2009-11-09  6.5.7-7 Glenn Randers-Pehrson <glennrp@image...>
  * Suppress libpng pedantic warnings and warn about using old libpng-1.4.0
    beta versions.

2009-11-09  6.5.7-7 Cristy  <quetzlzacatenango@image...>
  * Bump library age.
  * Restore -tile-offset functionality (bug report from Anthony).

2009-11-06  6.5.7-6 Cristy  <quetzlzacatenango@image...>
  * Animate command line options are no longer ignored.

2009-11-04  6.5.7-5 Anthony Thyssen <A.Thyssen@griffith...>
  * Bug Fix for Polynomial distortion. which is now working.

2009-11-01  6.5.7-4 Cristy  <quetzlzacatenango@image...>
  * Use -define delegate:bimodal=true to activate any bimodal delegates.
  * Make sure MagickWand semaphore is acquired before locking it.

2009-10-28  6.5.7-3 Cristy  <quetzlzacatenango@image...>
  * Convert SVG clipping path points from unsigned to long.

2009-10-26  6.5.7-2 Chris Madison  <madisonblu@gmail...>
  * Only call InstantiateXComponent() if X11 support is included.
  * Correct hue computation for the HSB colorspace.

2009-10-23  6.5.7-1 Samuel Thibault  <samuel.thibault@ens-l...>
  * Braille coder fix for DirectClass images

2009-10-19  6.5.7-1 Wang Dataton <wang@datat...>
  * Use fdopen() rather than MagickOpenStream() in coders/pict.c.

2009-10-18  6.5.7-1 Cristy  <quetzlzacatenango@image...>
  * Alpha blending is not required for ScaleImage().
  * Gaussian noise operator is not longer discontinuous.

2009-10-14  6.5.7-0 Pino Toscano  <pino@kde...>
  * ImageMagick fails to build in GNU/HURD due to absence of PATH_MAX.

2009-10-14  6.5.7-0 Cristy  <quetzlzacatenango@image...>
  * Black channel is now set properly when resizing CMYKA images.

2009-10-10  6.5.7-0 Anthony Thyssen <A.Thyssen@griffith...>
  * Bug Fixes for degenerate 'affine' cases of BilinearForward distortion.

2009-10-06  6.5.6-10 Cristy  <quetzlzacatenango@image...>
  * Declare the  MagickCore method SpliceImage() in Magick++/Include.h.

    QueueCacheViewAuthenticPixels() for the CopyComposite optimization.
2009-10-04  6.5.6-9 Cristy  <quetzlzacatenango@image...>
  * Use GetCacheViewAuthenticPixels() rather than
  * QueueCacheViewAuthenticPixels() for the CopyComposite optimization.

2009-10-03  6.5.6-8 Nick Wellnhofer <wellnhofer@aevum...>
  * Add missing libraries to the LIBADD entries in coders/Makefile.am,
    filters/Makefile.am and wand/Makefile.am.
  * Use LIBS rather than LDFLAGS in configure.ac for the Freetype delegate
    library.

2009-10-01  6.5.6-7 Cristy  <quetzlzacatenango@image...>
  * Don't use group4 compression if the image is truecolor.
  * If image is gray, write grayscale DPX images.
  * We no longer lose a scanline when reading multi-frame raw images
    (Y, R, C, etc.).
  * Properly update the EXIF orientation tag.

2009-09-25  6.5.6-6 Cristy  <quetzlzacatenango@image...>
  * Permit percentage of hue for HSL (e.g. hsl(12%,...)).

2009-09-25  6.5.6-5 Cristy  <quetzlzacatenango@image...>
  * Support -clamp option.
